(function ($) {
    "use strict";

//   Common Js
    $('.form-control-chosen').chosen({
        allow_single_deselect: true,
        width: '100%'
    });
    $.validator.setDefaults({ignore: ":hidden:not(select)"});

    $(".datepicker").datepicker({
        minDate: '0D'
    });
    $('[data-toggle="tooltip"]').tooltip();
    $('.jxpress-counter-number').counterUp({
        delay: 1,
        time: 1600
    });

    $('.jxpress-testimonial').slick();
    // Login / Register 
    $('.jxpress-role-tabs li').on('click', function (e) {
        $('.role').val($(this).data('role'));
        $('.jxpress-role-tabs li').removeClass('active');
        $(this).addClass('active');
    });



    // Perform AJAX login/register on form submit
    $('form#login, form#register').on('submit', function (e) {
        if (!$(this).valid())
            return false;
        var action = 'ajaxlogin';
        var username = $('form#login #username').val();
        var password = $('form#login #password').val();
        var email = '';
        var role = '';
        var security = $('form#login #security').val();
        if ($(this).attr('id') == 'register') {
            
            action = 'ajaxregister';
            username = $('form#register #signonname').val();
            password = $('form#register #signonpassword').val();
            email = $('form#register #email1').val();
            security = $('#signonsecurity').val();
            role = $('.role').val();
        }
        $("input[type=submit]").attr("disabled", "disabled");
        var ctrl = $(this);
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {
                'action': action,
                'username': username,
                'password': password,
                'email': email,
                'role': role,
                'security': security
            },
            success: function (data) {
                $("input[type=submit]").removeAttr("disabled");
                $.toaster(data.message, null, 'success');
                if (data.loggedin == true) {
                    location.reload();
                }
            }
        });
        e.preventDefault();
    });


    // Client side form validation
    if (jQuery("#register").length)
        jQuery("#register").validate(
                {
                    rules: {
                        password2: {equalTo: '#signonpassword'
                        }
                    }}
        );
    else if (jQuery("#login").length)
        jQuery("#login").validate();


    $('form#lostpasswordform').on('submit', function (e) {
        if (!$(this).valid())
            return false;
        var action = 'jxpresspasswordrest';
        var username = $('form#lostpasswordform #user_login').val();

        $("input[type=submit]").attr("disabled", "disabled");

        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {
                'action': action,
                'user_login': username
            },
            success: function (data) {
                $("input[type=submit]").removeAttr("disabled");
                $.toaster(data.message, null, 'success');

            }
        });
        e.preventDefault();
    });


    $('.jxpress-login').on('click', function (e) {
        $(this).closest('#login').hide();
        $(this).parent().next('#lostpasswordform').show();
        return false;
    });

    $('.jxpress-lostpassword').on('click', function (e) {
        $(this).closest('#lostpasswordform').hide();
        $(this).parent().prev('#login').show();
        return false;
    });

////            End Login/Register

//               User Profile Message        //
    $('form#user-message').on('submit', function (e) {
        if (!$(this).valid())
            return false;

        var ctrl = $(this);
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                $.toaster(data.message, null, 'success');
                document.getElementById("user-message").reset();
            }
        });
        e.preventDefault();
    });






    $(".editor-textarea").jqte();


    $('form#user-profile').on('submit', function (e) {
        if (!$(this).valid())
            return false;
        var ctrl = $(this);
        var formData = $(this).serialize();
        $("input[type=submit]").attr("disabled", "disabled");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                $("input[type=submit]").removeAttr("disabled");
                $.toaster(data.message, null, 'success');
            }
        });
        e.preventDefault();
    });

    $('form#user-profile').validate({
        errorPlacement: function (error, element) {

            if (element.is("select.form-control-chosen")) {

                // placement for chosen
                element.next("div.chosen-container").append(error);
            } else {
                // standard placement
                error.insertAfter(element);
            }
        }
    });
    $(".job-package").change(function () {

        var featured = $(this).find(':selected').data('featured');
        var starttime = new Date($(this).find(':selected').data('expiry'));
       
        if (featured > 0)
        {
            $('.job-featured-section').removeClass('d-none');
        } else
        {
            $('.job-featured-section').addClass('d-none');
        }

    });
    
    
    $('form.jxpress-alerts').on('submit', function (e) {
        if (!$(this).valid())
            return false;
        var ctrl = $(this);
        var formData = $(this).serialize();
        $("input[type=submit]").attr("disabled", "disabled");
        var  data = new FormData();
         data.append( 'action', $('#action').val());
         data.append( 'alerts_name', $('#alertname').val());
         data.append( 'alerts_email', $('#alerts_email').val());
         data.append( 'search_query', JSON.stringify($('#search_query').val()));
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values) 
           //data:data,
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                $("input[type=submit]").removeAttr("disabled");
                 $("#alert").removeClass('show');
                 $("#alertname").val('');
                $.toaster(data.message, null, 'success');
            }
        });
        e.preventDefault();
    });
    

    $('form.user-resume').on('submit', function (e) {
        if (!$(this).valid())
            return false;
        var ctrl = $(this);
        var formData = $(this).serialize();
        $("input[type=submit]").attr("disabled", "disabled");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                $("input[type=submit]").removeAttr("disabled");
                $.toaster(data.message, null, 'success');
                location.href = data.url;
            }
        });
        e.preventDefault();
    });

$('.confirm-delete-alert').on('click', function (e) {
        var nonce = $(this).data("nonce");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "delete_alert", id: $(this).data('id'), nonce: nonce},
            success: function (data) {
                $.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });


    $('.confirm-delete').on('click', function (e) {
        var nonce = $(this).data("nonce");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "candidatedeleteusermeta", umetaid: $(this).data('id'), nonce: nonce},
            success: function (data) {
                location.reload();
            }
        });
        e.preventDefault();
    });
    
    
    
    
    
    $('.confirm-delete-job').on('click', function (e) {
        var element = this;
        var nonce = $(this).data("nonce");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "deleteemployerjob", jobid: $(this).data('id'), nonce: nonce},
            success: function (data) {
                $.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });
    $('.confirm-delete-application').on('click', function (e) {
        var element = this;
        var nonce = $(this).data("nonce");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "deletecandidateapplication", jobid: $(this).data('id'), nonce: nonce},
            success: function (data) {
                $.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });

    $('.shortlist-resume').on('click', function (e) {
        var element = this;
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "shortlistresume", candidateid: $(this).data('id')},
            success: function (data) {

                if (data.status != 'login')
                {
                    $.toaster(data.message, null, 'success');
                    $(element).html($(element).data('text'));
                    $(element).toggleClass('active');
                } else
                {
                    $.toaster(data.message, null, 'danger');
                }


            }
        });
        e.preventDefault();
    });

    $('.shortlist-job').on('click', function (e) {
        var element = this;
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "shortlistjob", candidateid: $(this).data('id')},
            success: function (data) {

                if (data.status != 'login')
                {
                    $.toaster(data.message, null, 'success');
                    $(element).html($(element).data('text'));
                    $(element).toggleClass('active');
                } else
                {
                    $.toaster(data.message, null, 'danger');
                }


            }
        });
        e.preventDefault();
    });

    $('.job-status').on('click', function (e) {
        var nonce = $(this).data("nonce");
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "changejobstatus", jobid: $(this).data('id'), status: $(this).data('status')},
            success: function (data) {
                location.reload();
            }
        });
        e.preventDefault();
    });

    $('.add-more').on('click', function (e) {
        $(this).prev().show();
        e.preventDefault();
    });
    $('.edit-form').on('click', function (e) {
        $('.' + $(this).data('id')).toggle();
        e.preventDefault();
    });




    $('.deletecurrentcv').on('click', function (e) {
        $('#current_cv').val('');
        $('#currentcv').hide();
        $(this).hide();
        e.preventDefault();
    });




    $('.listing-search-form .checkbox').on('change', function () {
        $('.listing-search-form').submit();
    });

    function jxpress_initMap(lat, long) {
        var center = new google.maps.LatLng(parseFloat(lat), long);
        var mapOptions = {center: center, zoom: 16, scrollwheel: false};
        var map = new google.maps.Map(document.getElementById("jxpressmap-profile"), mapOptions);
        var marker = new google.maps.Marker({position: new google.maps.LatLng(lat, long), draggable: true, map: map, title: ''});
        marker.setMap(map);
        google.maps.event.addListener(marker, 'dragend', function (event) {
            var lat = this.getPosition().lat();
            var long = this.getPosition().lng();
            jxpress_initMap(lat, long);
            $('#jxpress_latitude').val(lat);
            $('#jxpress_longitude').val(long);
        });
    }
    $('body').on('keyup', '#jxpress_address', function (e) {
        var address = $(this).val();
        var geocoder = new google.maps.Geocoder();
        if (geocoder) {
            geocoder.geocode({'address': address}, function (results, status) {
                if (status == google.maps.GeocoderStatus.OK) {
                    var lat = results[0].geometry.location.lat();
                    var long = results[0].geometry.location.lng();
                    jxpress_initMap(lat, long);
                    $('#jxpress_latitude').val(lat);
                    $('#jxpress_longitude').val(long);
                }

            });
        }
    });

    
  if ($('#jxpress_latitude').length && $('#jxpress_longitude').length)
    {
        var lat = $('#jxpress_latitude').val();
        var long = $('#jxpress_longitude').val();
        jxpress_initMap(lat, long);
    }

    $('form#job-apply').on('submit', function (e) {
        if (!$(this).valid())
            return false;

        var ctrl = $(this);
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                $.toaster(data.message, null, 'success');
                document.getElementById("job-apply").reset();
                $('#apply-now').modal('toggle');
                $('.job-apply').addClass('active');
                $('.job-apply').html($('.job-apply').data('text'));
            }
        });
        e.preventDefault();
    });

})(jQuery);