(function ($) {
    "use strict";
    var jxpressmap = null;
    var bounds = new google.maps.LatLngBounds();
    var marker;
    function refreshMap() {
        var i = 0;
        $(".map-item").each(function () {
            var latLng = new google.maps.LatLng($(this).data('latitude'),
                    $(this).data('longitude'));
            jxpressmap.setCenter(latLng);
            marker = new google.maps.Marker({
                position: latLng,
                draggable: false,
                icon: gpin,              
                content: $(this).find('.map-content').html(),
                map: jxpressmap
            });
           
            var infowindow = new google.maps.InfoWindow();
            google.maps.event.addListener(marker, 'click', (function (marker, i) {
                return function () {
                    var content = marker.content;

                    infowindow.setContent(content);
                    infowindow.open(jxpressmap, marker);
                }

            })(marker, i));

            i = i + 1;
        });

    }

    function initialize() {
        jxpressmap = new google.maps.Map(document.getElementById('jxpressmap'), {
            zoom: $('#jxpressmap').data('zoom'),
            center: new google.maps.LatLng(39.91, 116.38),
            mapTypeId: google.maps.MapTypeId.ROADMAP,
            styles: [{
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#f5f5f5"
                        }]
                },
                {
                    "elementType": "labels.icon",
                    "stylers": [{
                            "visibility": "off"
                        }]
                },
                {
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#616161"
                        }]
                },
                {
                    "elementType": "labels.text.stroke",
                    "stylers": [{
                            "color": "#f5f5f5"
                        }]
                },
                {
                    "featureType": "administrative.land_parcel",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#bdbdbd"
                        }]
                },
                {
                    "featureType": "poi",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#eeeeee"
                        }]
                },
                {
                    "featureType": "poi",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#757575"
                        }]
                },
                {
                    "featureType": "poi.park",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#e5e5e5"
                        }]
                },
                {
                    "featureType": "poi.park",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#9e9e9e"
                        }]
                },
                {
                    "featureType": "road",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#ffffff"
                        }]
                },
                {
                    "featureType": "road.arterial",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#757575"
                        }]
                },
                {
                    "featureType": "road.highway",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#dadada"
                        }]
                },
                {
                    "featureType": "road.highway",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#616161"
                        }]
                },
                {
                    "featureType": "road.local",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#9e9e9e"
                        }]
                },
                {
                    "featureType": "transit.line",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#e5e5e5"
                        }]
                },
                {
                    "featureType": "transit.station",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#eeeeee"
                        }]
                },
                {
                    "featureType": "water",
                    "elementType": "geometry",
                    "stylers": [{
                            "color": "#c9c9c9"
                        }]
                },
                {
                    "featureType": "water",
                    "elementType": "labels.text.fill",
                    "stylers": [{
                            "color": "#9e9e9e"
                        }]
                }
            ]
        });
        refreshMap();
    }
    if($("#jxpressmap").length){
    google.maps.event.addDomListener(window, 'load', initialize);
}
})(jQuery);