jQuery(document).ready(function() {
    "use strict";

//   Common Js
    jQuery('.form-control-chosen').chosen({
        allow_single_deselect: true,
        width: '100%'
    });
    jQuery.validator.setDefaults({ignore: ":hidden:not(select)"});

    jQuery(".datepicker").datepicker({
        minDate: '0D'
    });
    jQuery('[data-toggle="tooltip"]').tooltip();
    jQuery('.jxpress-counter-number').counterUp({
        delay: 1,
        time: 1600
    });

    jQuery('.jxpress-testimonial').slick();
    // Login / Register 
    jQuery('.jxpress-role-tabs li a').on('click', function (e) {
        var role = jQuery(this).attr('data-role');
        jQuery('#user_role').val( role );
        jQuery('.jxpress-role-tabs li a').removeClass('active');
        jQuery(this).addClass('active');
    });



    // Perform AJAX login/register on form submit
    jQuery('form#login, form#register').on('submit', function (e) {			
        if (!jQuery(this).valid())
            return false;
        var action = 'ajaxlogin';
	
		// change		
        //var username = jquery('form#login #username').val();
		//var password = jquery('form#login #password').val();
		var username =document.getElementById("login").elements["username_hid"].value;
		var password =document.getElementById("login").elements["password_hid"].value;
		// change
		
		
        var email = '';
        var role = '';
        var security = jQuery('form#login #security').val();
        if (jQuery(this).attr('id') == 'register') {
            
            action = 'ajaxregister';
            username = jQuery('form#register #signonname').val();
            password = jQuery('form#register #signonpassword').val();
            email = jQuery('form#register #email1').val();
            security = jQuery('#signonsecurity').val();
            role = jQuery('.role').val();
        }
        jQuery("input[type=submit]").attr("disabled", "disabled");
		
        var ctrl = jQuery(this);
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {
                'action': action,
                'username': username,
                'password': password,
                'email': email,
                'role': role,
                'security': security
            },
            success: function (data) {
                jQuery("input[type=submit]").removeAttr("disabled");
                jQuery.toaster(data.message, null, 'success');
                if (data.loggedin == true) {
                    location.reload();
                }
            }
        });
        e.preventDefault();
    });


    // Client side form validation
    if (jQuery("#register").length)
        jQuery("#register").validate(
                {
                    rules: {
                        password2: {equalTo: '#signonpassword'
                        }
                    }}
        );
    else if (jQuery("#login").length)
        jQuery("#login").validate();


    jQuery('form#lostpasswordform').on('submit', function (e) {
        if (!jQuery(this).valid())
            return false;
        var action = 'jxpresspasswordrest';
        var username = jQuery('form#lostpasswordform #user_login').val();

        jQuery("input[type=submit]").attr("disabled", "disabled");

        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {
                'action': action,
                'user_login': username
            },
            success: function (data) {
                jQuery("input[type=submit]").removeAttr("disabled");
                jQuery.toaster(data.message, null, 'success');

            }
        });
        e.preventDefault();
    });


    jQuery('.jxpress-login').on('click', function (e) {
        jQuery(this).closest('#login').hide();
        jQuery(this).parent().next('#lostpasswordform').show();
        return false;
    });

    jQuery('.jxpress-lostpassword').on('click', function (e) {
        jQuery(this).closest('#lostpasswordform').hide();
        jQuery(this).parent().prev('#login').show();
        return false;
    });

////            End Login/Register

//               User Profile Message        //
    jQuery('form#user-message').on('submit', function (e) {
        if (!jQuery(this).valid())
            return false;

        var ctrl = jQuery(this);
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                document.getElementById("user-message").reset();
            }
        });
        e.preventDefault();
    });






    jQuery(".editor-textarea").jqte();


    jQuery('form#user-profile').on('submit', function (e) {
        if (!jQuery(this).valid())
            return false;
        var ctrl = jQuery(this);
        var formData = jQuery(this).serialize();
        jQuery("input[type=submit]").attr("disabled", "disabled");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                jQuery("input[type=submit]").removeAttr("disabled");
                jQuery.toaster(data.message, null, 'success');
            }
        });
        e.preventDefault();
    });

    jQuery('form#user-profile').validate({
        errorPlacement: function (error, element) {

            if (element.is("select.form-control-chosen")) {

                // placement for chosen
                element.next("div.chosen-container").append(error);
            } else {
                // standard placement
                error.insertAfter(element);
            }
        }
    });
    jQuery(".job-package").change(function () {

        var featured = jQuery(this).find(':selected').data('featured');
        var starttime = new Date(jQuery(this).find(':selected').data('expiry'));
       
        if (featured > 0)
        {
            jQuery('.job-featured-section').removeClass('d-none');
        } else
        {
            jQuery('.job-featured-section').addClass('d-none');
        }

    });
    
    
    jQuery('form.jxpress-alerts').on('submit', function (e) {
        if (!jQuery(this).valid())
            return false;
        var ctrl = jQuery(this);
        var formData = jQuery(this).serialize();
        jQuery("input[type=submit]").attr("disabled", "disabled");
        var  data = new FormData();
         data.append( 'action', jQuery('#action').val());
         data.append( 'alerts_name', jQuery('#alertname').val());
         data.append( 'alerts_email', jQuery('#alerts_email').val());
         data.append( 'search_query', JSON.stringify(jQuery('#search_query').val()));
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values) 
           //data:data,
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                jQuery("input[type=submit]").removeAttr("disabled");
                 jQuery("#alert").removeClass('show');
                 jQuery("#alertname").val('');
                jQuery.toaster(data.message, null, 'success');
            }
        });
        e.preventDefault();
    });
    

    jQuery('form.user-resume').on('submit', function (e) {
        if (!jQuery(this).valid())
            return false;
        var ctrl = jQuery(this);
        var formData = jQuery(this).serialize();
        jQuery("input[type=submit]").attr("disabled", "disabled");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                jQuery("input[type=submit]").removeAttr("disabled");
                jQuery.toaster(data.message, null, 'success');
                location.href = data.url;
            }
        });
        e.preventDefault();
    });

jQuery('.confirm-delete-alert').on('click', function (e) {
        var nonce = jQuery(this).data("nonce");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "delete_alert", id: jQuery(this).data('id'), nonce: nonce},
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });


    jQuery('.confirm-delete').on('click', function (e) {
        var nonce = jQuery(this).data("nonce");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "candidatedeleteusermeta", umetaid: jQuery(this).data('id'), nonce: nonce},
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });


    jQuery('.confirm-delete-fav-job').on('click', function (e) {
        var nonce = jQuery(this).data("nonce");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "deleteuserfavJobs", delidjob: jQuery(this).data('id'), nonce: nonce},
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });
    
    
    
    
    
    jQuery('.confirm-delete-job').on('click', function (e) {
        var element = this;
        var nonce = jQuery(this).data("nonce");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "deleteemployerjob", jobid: jQuery(this).data('id'), nonce: nonce},
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });
    jQuery('.confirm-delete-application').on('click', function (e) {
        var element = this;
        var nonce = jQuery(this).data("nonce");
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "deletecandidateapplication", jobid: jQuery(this).data('id'), nonce: nonce},
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });

    jQuery('.shortlist-resume').on('click', function (e) {
        var element = this;
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "shortlistresume", candidateid: jQuery(this).data('id')},
            success: function (data) {

                if (data.status != 'login')
                {
                    jQuery.toaster(data.message, null, 'success');
                    jQuery(element).html(jQuery(element).data('text'));
                    jQuery(element).toggleClass('active');
                } else
                {
                    jQuery.toaster(data.message, null, 'danger');
                }


            }
        });
        e.preventDefault();
    });

    jQuery('.shortlist-job').on('click', function (e) {
        var element = this;
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "shortlistjob", candidateid: jQuery(this).data('id')},
            success: function (data) {

                if (data.status != 'login')
                {
                    jQuery.toaster(data.message, null, 'success');
                    jQuery(element).html(jQuery(element).data('text'));
                    jQuery(element).toggleClass('active');
                    location.reload();
                } else
                {
                    jQuery.toaster(data.message, null, 'danger');
                }


            }
        });
        e.preventDefault();
    });

    jQuery('.job-status').on('click', function (e) {
        var nonce = jQuery(this).data("nonce");
        var button = jQuery(this);
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: {action: "changejobstatus", jobid: jQuery(this).data('id'), status: jQuery(this).data('status')},
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                location.reload();
            }
        });
        e.preventDefault();
    });

    jQuery('.add-more').on('click', function (e) {
        jQuery(this).prev().show();
        e.preventDefault();
    });
    jQuery('.edit-form').on('click', function (e) {
        jQuery('.' + jQuery(this).data('id')).toggle();
        e.preventDefault();
    });




    jQuery('.deletecurrentcv').on('click', function (e) {
        jQuery('#current_cv').val('');
        jQuery('#currentcv').hide();
        jQuery(this).hide();
        e.preventDefault();
    });




    jQuery('.listing-search-form .checkbox').on('change', function () {
        jQuery('.listing-search-form').submit();
    });

    function jxpress_initMap(lat, long) {
        var center = new google.maps.LatLng(parseFloat(lat), long);
        var mapOptions = {center: center, zoom: 16, scrollwheel: false};
        var map = new google.maps.Map(document.getElementById("jxpressmap-profile"), mapOptions);
        var marker = new google.maps.Marker({position: new google.maps.LatLng(lat, long), draggable: true, map: map, title: ''});
        marker.setMap(map);
        google.maps.event.addListener(marker, 'dragend', function (event) {
            var lat = this.getPosition().lat();
            var long = this.getPosition().lng();
            jxpress_initMap(lat, long);
            jQuery('#jxpress_latitude').val(lat);
            jQuery('#jxpress_longitude').val(long);
        });
    }

    try {
        var map_option = ajax_frontend.map_option;
        if ( map_option == 'googlemap' ) {
            jQuery('body').on('keyup', '#jxpress_address', function (e) {
                var address = jQuery(this).val();
                var geocoder = new google.maps.Geocoder();
                if (geocoder) {
                    geocoder.geocode({'address': address}, function (results, status) {
                        if (status == google.maps.GeocoderStatus.OK) {
                            var lat = results[0].geometry.location.lat();
                            var long = results[0].geometry.location.lng();
                            jxpress_initMap(lat, long);
                            jQuery('#jxpress_latitude').val(lat);
                            jQuery('#jxpress_longitude').val(long);
                        }

                    });
                }
            });
        }
    } catch(err) {

    }
    

    try{
        if (jQuery('#jxpress_latitude').length && jQuery('#jxpress_longitude').length)
    {
        var lat = jQuery('#jxpress_latitude').val();
        var long = jQuery('#jxpress_longitude').val();
        jxpress_initMap(lat, long);
    }
    } catch(err) {

    }

    

    jQuery('form#job-apply').on('submit', function (e) {
        if (!jQuery(this).valid())
            return false;

        var ctrl = jQuery(this);
        jQuery.ajax({
            type: 'POST',
            dataType: 'json',
            url: ajax_auth_object.ajaxurl,
            data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
            contentType: false, // The content type used when sending data to the server.
            cache: false, // To unable request pages to be cached
            processData: false,
            success: function (data) {
                jQuery.toaster(data.message, null, 'success');
                document.getElementById("job-apply").reset();
                jQuery('#apply-now').modal('toggle');
                jQuery('.job-apply').addClass('active');
                jQuery('.job-apply').html(jQuery('.job-apply').data('text'));
            }
        });
        e.preventDefault();
    });

});