<?php 
defined( 'ABSPATH' ) or wp_die();

/**
 *  Submenu for Import/Export user's data
 */
class JXPORT_ImportExportUsersDataMenu{
	
	function __construct() {
		add_action( 'admin_menu', array( 'JXPORT_ImportExportUsersDataMenu', 'jxport_admin_menu' ) );
	}

	public static function jxport_admin_menu() {
		$dashboard1 = add_submenu_page( 'tools.php', esc_html__( 'User Impor/Exportt', 'jxpress-portal' ), esc_html__( 'User Import/Export', 'jxpress-portal' ), 'manage_options', 'jxpress-portal-users-data', array(
			'JXPORT_ImportExportUsersDataMenu',
			'jxport_dashboard'
		) );
		add_action( 'admin_print_styles-' . $dashboard1, array( 'JXPORT_ImportExportUsersDataMenu', 'jxport_dashboard_assets' ) );
	}

	public static function jxport_dashboard() {
		require_once( 'jxport-users-data.php' );
	}

	public static function jxport_dashboard_assets() {
		
	}
}
new JXPORT_ImportExportUsersDataMenu();

function jxpress_upload_media_from_url( $url, $title = null ) {
	require_once( ABSPATH . "/wp-load.php");
	require_once( ABSPATH . "/wp-admin/includes/image.php");
	require_once( ABSPATH . "/wp-admin/includes/file.php");
	require_once( ABSPATH . "/wp-admin/includes/media.php");
	
	// Download url to a temp file
	$tmp = download_url( $url );
	if ( is_wp_error( $tmp ) ) return false;
	
	// Get the filename and extension ("photo.png" => "photo", "png")
	$filename  = pathinfo($url, PATHINFO_FILENAME);
	$extension = pathinfo($url, PATHINFO_EXTENSION);
	
	// An extension is required or else WordPress will reject the upload
	if ( ! $extension ) {
		// Look up mime type, example: "/photo.png" -> "image/png"
		$mime = mime_content_type( $tmp );
		$mime = is_string($mime) ? sanitize_mime_type( $mime ) : false;
		
		// Only allow certain mime types because mime types do not always end in a valid extension (see the .doc example below)
		$mime_extensions = array(
			// mime_type         => extension (no period)
			'text/plain'         => 'txt',
			'text/csv'           => 'csv',
			'application/msword' => 'doc',
			'image/jpg'          => 'jpg',
			'image/jpeg'         => 'jpeg',
			'image/gif'          => 'gif',
			'image/png'          => 'png',
			'video/mp4'          => 'mp4',
		);
		
		if ( isset( $mime_extensions[$mime] ) ) {
			// Use the mapped extension
			$extension = $mime_extensions[$mime];
		}else{
			// Could not identify extension
			@unlink($tmp);
			return false;
		}
	}
	
	
	
	// Upload by "sideloading": "the same way as an uploaded file is handled by media_handle_upload"
	$args = array(
		'name' => "$filename.$extension",
		'tmp_name' => $tmp,
	);
	
	// Do the upload
	$attachment_id = media_handle_sideload( $args, 0, $title);
	
	// Cleanup temp file
	@unlink($tmp);
	
	// Error uploading
	if ( is_wp_error($attachment_id) ) return false;
	
	// Success, return attachment ID (int)
	return (int) $attachment_id;
}

function JXPORT_export_users_data() {
	if ( empty( $_POST['user_data_action'] ) || 'user_data_export_settings' != $_POST['user_data_action'] )
                return;

    if ( ! wp_verify_nonce( $_POST['user_data_export_nonce'], 'user_data_export_nonce' ) )
        return;

    ignore_user_abort( true );
    nocache_headers();
    header( 'Content-Type: text/csv' );
    header( 'Content-Disposition: inline; filename=user-data.csv' );
    header( "Expires: 0" );

    echo esc_html__( "ID, user_login, user_pass, user_nicename, user_email, user_url, user_registered, display_name, first_name, last_name, user_status, roles, nickname, description, profile_pic, avatar, fcebook_url, twitter_url, linkdin_url, user_youtube_video, user_vimeo_video, user_phone, user_country, user_city, user_address, user_experience, user_languages, user_current_salary, user_expected_salary, user_qualification, user_age, user_latitude, user_longitude, user_since, user_teamsize, user_business_type, user_category, user_educations, experiences, awards, skills, works, user_title \r\n", 'jxpress-portal' );

    global $wpdb;
	$user_table = $wpdb->base_prefix . "users";
	$users_data = $wpdb->get_results( "SELECT * FROM $user_table" );

	if ( ! empty( $users_data ) )  { 
		foreach ( $users_data as $key => $users ) {

			$user_info       = get_user_meta( $users->ID );
			$user_data       = get_userdata( $users->ID );
			$displayName     = isset( $users->display_name ) ? $users->display_name : '';
			$usertitle       = get_user_meta( $users->ID, 'user_title', true );
			$nickName        = isset( $user_info['nickname'][0] ) ? $user_info['nickname'][0] : '';
			$firstName       = isset( $user_info['first_name'][0] ) ? $user_info['first_name'][0] : '';
			$lastName        = isset( $user_info['last_name'][0] ) ? $user_info['last_name'][0] : '';
			$description     = get_user_meta( $users->ID, 'description', true );
			$full_avatar     = isset( $user_info['wp_full_avatars'] ) ? $user_info['wp_full_avatars'][0] : '';
			$user_facebook   = isset( $user_info['user_facebook'] ) ? $user_info['user_facebook'][0] : '';
			$user_twitter    = isset( $user_info['user_twitter'] ) ? $user_info['user_twitter'][0] : '';
			$user_linkedin   = isset( $user_info['user_linkedin'] ) ? $user_info['user_linkedin'][0] : '';
			$user_youtube    = get_user_meta( $users->ID, 'user_youtube_video', true );
			$user_vimeo      = get_user_meta( $users->ID, 'user_vimeo_video', true );
			$user_phone      = isset( $user_info['user_phone'] ) ? $user_info['user_phone'][0] : '';
			$user_country    = isset( $user_info['user_country'] ) ? $user_info['user_country'][0] : '';
			$user_city       = isset( $user_info['user_city'] ) ? $user_info['user_city'][0] : '';
			$user_address    = isset( $user_info['user_address'] ) ? $user_info['user_address'][0] : '';
			$user_latitude   = isset( $user_info['user_latitude'] ) ? $user_info['user_latitude'][0] : '';
			$user_longitude  = isset( $user_info['user_longitude'] ) ? $user_info['user_longitude'][0] : '';
			$user_experience = isset( $user_info['user_experience'] ) ? $user_info['user_experience'][0] : '';

			$user_languages       = isset( $user_info['user_languages'] ) ? $user_info['user_languages'][0] : '';
			$user_current_salary  = isset( $user_info['user_current_salary'] ) ? $user_info['user_current_salary'][0] : '';
			$user_expected_salary = isset( $user_info['user_expected_salary'] ) ? $user_info['user_expected_salary'][0] : '';
			$user_qualification   = isset( $user_info['user_qualification'] ) ? $user_info['user_qualification'][0] : '';
			$user_age             = isset( $user_info['user_age'] ) ? $user_info['user_age'][0] : '';
			$user_since           = isset( $user_info['user_since'] ) ? $user_info['user_since'][0] : '';
			$user_teamsize        = isset( $user_info['user_teamsize'] ) ? $user_info['user_teamsize'][0] : '';
			$user_business_type   = isset( $user_info['user_business_type'] ) ? $user_info['user_business_type'][0] : '';
			$user_category        = isset( $user_info['user_category'] ) ? $user_info['user_category'][0] : '';

			$userLogin       = isset( $users->user_login ) ? $users->user_login : '';
			$userPaswd       = isset( $users->user_pass ) ? $users->user_pass : '';
			$niceName        = isset( $users->user_nicename ) ? $users->user_nicename : '';
			$userEmail       = isset( $users->user_email ) ? $users->user_email : '';
			$userWebsite     = isset( $users->user_url ) ? $users->user_url : '';
			$user_registered = isset( $users->user_registered ) ? $users->user_registered : '';
			$user_status     = isset( $users->user_status ) ? $users->user_status : '';
			$user_meta       = get_userdata( $users->ID );
    		$user_roles      = $user_meta->roles;
    		$user_role       = $user_roles[0];
    		$profilePic      = get_avatar_url( $users->ID );

    		if ( is_array( $user_languages ) ) {
    			$user_languages = implode( ',', $user_languages );
    		}

    		if ( is_array( $user_qualification ) ) {
    			$user_qualification = implode( ',', $user_qualification );
    		}

    		$userskills = array();
    		$skills     = get_user_meta( $users->ID, 'user_skills' );
    		if ( ! empty( $skills ) && is_array( $skills ) ) {
	            foreach ( $skills as $metajson ) {
	                $skill            = json_decode( $metajson );
	                $skill_title      = isset( $skill->skill_title ) ? $skill->skill_title: '';
	                $skill_percentage = isset( $skill->skill_percentage ) ? $skill->skill_percentage: '';
	                array_push( $userskills, $skill_title.' | '.$skill_percentage );
	            }
	            $user_skills = implode( "} ", $userskills );
    		} else {
    			$user_skills = "";
    		}
            
            $userexperiences = array();
            $experiences     = get_user_meta( $users->ID, 'user_experiences' );
            if ( ! empty( $experiences ) && is_array( $experiences ) ) {
	            foreach ( $experiences as $metajson ) {
	                $experience         = json_decode( $metajson );
	                $experience_company = isset( $experience->experience_company ) ? $experience->experience_company : '';
	                $experience_from    = isset( $experience->experience_from ) ? $experience->experience_from : '';
	                $experience_to      = isset( $experience->experience_to ) ? $experience->experience_to : '';
	                $edescription       = isset( $experience->experience_description ) ? strip_tags( $experience->experience_description ) : '';
	                array_push( $userexperiences, $experience_company.' | '.$experience_from.' | '.$experience_to.' | '.strip_tags( $edescription ) );
	            }
	            $user_experiences = implode( "} ", $userexperiences );
	        } else {
    			$user_experiences = "";
    		}

            $userawards = array();
            $awards     = get_user_meta( $users->ID, 'user_awards' );
            if ( ! empty( $awards ) && is_array( $awards ) ) {
	            foreach ( $awards as $metajson ) {
	                $award             = json_decode( $metajson );
	                $award_title       = isset( $award->award_title ) ? $award->award_title : '';
	                $award_year        = isset( $award->award_year ) ? $award->award_year : '';
	                $award_description = isset( $award->award_description ) ? strip_tags( $award->award_description ) : '';
	                array_push( $userawards, $award_title.' | '.$award_year.' | '.strip_tags( $award_description ) );
	            }
	            $user_awards = implode( "} ", $userawards );
	        } else {
    			$user_awards = "";
    		}

            $usereducations = array();
            $educations     = get_user_meta( $users->ID, 'user_educations' );
            if ( ! empty( $educations ) && is_array( $educations ) ) {
	            foreach ( $educations as $metajson ) {
	                $education = json_decode( $metajson );
	                $education_institute = isset( $education->education_institute ) ? $education->education_institute: '';
	                $education_title     = isset( $education->education_title ) ? $education->education_title: '';
	                $education_from      = isset( $education->education_from ) ? $education->education_from: '';
	                $education_to        = isset( $education->education_to ) ? $education->education_to: '';
	                $edudescription      = isset( $education->education_description ) ? strip_tags( $education->education_description ) : '';
	                array_push( $usereducations, $education_institute.' | '.$education_title.' | '.$education_from.' | '.$education_to.' | '.strip_tags( $edudescription ) );
	            }
	            $user_educations = implode( "} ", $usereducations );
	        } else {
    			$user_educations = "";
    		}

	        $userworks = array();
            $works     = get_user_meta( $users->ID, 'user_works' );
            if ( ! empty( $works ) && is_array( $works ) ) {
	            foreach ( $works as $metajson ) {
	                $work = json_decode( $metajson );
	                $work_title = isset( $work->work_title ) ? $work->work_title: '';
	                $work_image = isset( $work->work_image ) ? $work->work_image: '';
	                $work_url   = isset( $work->work_url ) ? $work->work_url: '';
	                array_push( $userworks, $work_title.' | '.$work_image.' | '.$work_url );
	            }
	            $user_works = implode( "} ", $userworks );
	        } else {
    			$user_works = "";
    		}

			echo esc_html( $users->ID )
			.'", "'.esc_html( $userLogin )
			.'", "'.esc_html( $userPaswd )
			.'", "'.esc_html( $niceName )
			.'", "'.esc_html( $userEmail )
			.'", "'.esc_html( $userWebsite )
			.'", "'.esc_html( $user_registered )
			.'", "'.esc_html( $displayName )
			.'", "'.esc_html( $firstName )
			.'", "'.esc_html( $lastName )
			.'", "'.esc_html( $user_status )
			.'", "'.$user_role
			.'", "'.esc_html( $nickName )
			.'", "'.esc_html( trim( $description ) )
			.'", "'.$profilePic
			.'", "'.$full_avatar
			.'", "'.esc_html( $user_facebook )
			.'", "'.esc_html( $user_twitter )
			.'", "'.esc_html( $user_linkedin )
			.'", "'.esc_html( $user_youtube )
			.'", "'.esc_html( $user_vimeo )
			.'", "'.esc_html( $user_phone )
			.'", "'.esc_html( $user_country )
			.'", "'.esc_html( $user_city )
			.'", "'.strip_tags( trim( $user_address ) )
			.'", "'.esc_html( $user_experience )
			.'", "'.esc_html( $user_languages )
			.'", "'.esc_html( $user_current_salary )
			.'", "'.esc_html( $user_expected_salary )
			.'", "'.esc_html( $user_qualification )
			.'", "'.esc_html( $user_age )
			.'", "'.esc_html( $user_latitude )
			.'", "'.esc_html( $user_longitude )
			.'", "'.esc_html( $user_since )
			.'", "'.esc_html( $user_teamsize )
			.'", "'.esc_html( $user_business_type )
			.'", "'.esc_html( $user_category )
			.'", "'.esc_html( $user_educations )
			.'", "'.esc_html( $user_experiences )
			.'", "'.esc_html( $user_awards )
			.'", "'.esc_html( $user_skills )
			.'", "'.esc_html( $user_works )
			.'", '.esc_html( $usertitle )." \r\n";
		}
	}
    exit;
}
add_action( 'admin_init', 'JXPORT_export_users_data' );

add_action( 'admin_init', 'JXPORT_import_users_data' );
function JXPORT_import_users_data() {
	if ( empty( $_POST['user_data_import_action'] ) || 'user_data_import_settings' != $_POST['user_data_import_action'] )
	return;

	if ( ! wp_verify_nonce( $_POST['user_data_import_nonce'], 'user_data_import_nonce' ) )
		return;

	$extension = end( explode( '.', $_FILES['user_data_import_file']['name'] ) );
	if ( $extension != 'csv' ) {
		wp_die( esc_html__( 'Please upload a valid .csv file', 'clockinator' ) );
	}

	$import_file = $_FILES['user_data_import_file']['tmp_name'];
	if ( empty( $import_file ) ) {
		wp_die( esc_html__( 'Please upload a file to import', 'clockinator' ) );
	}

	$file   = fopen( $import_file, "r" );
	$count  = 1;
	$result = 0;

	while( ! feof( $file ) ) {
	  	$csv_file_arr = fgetcsv( $file );
	  	if ( $count>1 ) {

	  		$userID               = ! empty( $csv_file_arr[0] ) ? $csv_file_arr[0] : '';
	  		$user_login           = ! empty( $csv_file_arr[1] ) ? $csv_file_arr[1] : '';
	  		$user_pass            = ! empty( $csv_file_arr[2] ) ? $csv_file_arr[2] : '';
	  		$user_nicename        = ! empty( $csv_file_arr[3] ) ? $csv_file_arr[3] : '';
	  		$user_email           = ! empty( $csv_file_arr[4] ) ? $csv_file_arr[4] : '';
	  		$user_url             = ! empty( $csv_file_arr[5] ) ? $csv_file_arr[5] : '';
	  		$user_registered      = ! empty( $csv_file_arr[6] ) ? $csv_file_arr[6] : '';
	  		$display_name         = ! empty( $csv_file_arr[7] ) ? $csv_file_arr[7] : '';
	  		$first_name           = ! empty( $csv_file_arr[8] ) ? $csv_file_arr[8] : '';
	  		$last_name            = ! empty( $csv_file_arr[9] ) ? $csv_file_arr[9] : '';
	  		$user_status          = ! empty( $csv_file_arr[10] ) ? $csv_file_arr[10] : '';
	  		$userRole             = ! empty( $csv_file_arr[11] ) ? $csv_file_arr[11] : '';
	  		$nickname             = ! empty( $csv_file_arr[12] ) ? $csv_file_arr[12] : '';  
	  		$description          = ! empty( $csv_file_arr[13] ) ? $csv_file_arr[13] : '';
	  		$profile_pic          = ! empty( $csv_file_arr[14] ) ? $csv_file_arr[14] : '';
	  		$avatar               = ! empty( $csv_file_arr[15] ) ? $csv_file_arr[15] : '';
	  		$fcebook_url          = ! empty( $csv_file_arr[16] ) ? $csv_file_arr[16] : '';
	  		$twitter_url          = ! empty( $csv_file_arr[17] ) ? $csv_file_arr[17] : '';
	  		$linkdin_url          = ! empty( $csv_file_arr[18] ) ? $csv_file_arr[18] : '';
	  		$user_youtube_video   = ! empty( $csv_file_arr[19] ) ? $csv_file_arr[19] : '';
	  		$user_vimeo_video     = ! empty( $csv_file_arr[20] ) ? $csv_file_arr[20] : '';
	  		$user_phone           = ! empty( $csv_file_arr[21] ) ? $csv_file_arr[21] : '';
	  		$user_country         = ! empty( $csv_file_arr[22] ) ? $csv_file_arr[22] : '';
	  		$user_city            = ! empty( $csv_file_arr[23] ) ? $csv_file_arr[23] : '';
	  		$user_address         = ! empty( $csv_file_arr[24] ) ? $csv_file_arr[24] : '';
	  		$user_experience      = ! empty( $csv_file_arr[25] ) ? $csv_file_arr[25] : '';
	  		$user_languages       = ! empty( $csv_file_arr[26] ) ? $csv_file_arr[26] : '';
	  		$user_current_salary  = ! empty( $csv_file_arr[27] ) ? $csv_file_arr[27] : '';
	  		$user_expected_salary = ! empty( $csv_file_arr[28] ) ? $csv_file_arr[28] : '';
	  		$user_qualification   = ! empty( $csv_file_arr[29] ) ? $csv_file_arr[29] : '';
	  		$user_age             = ! empty( $csv_file_arr[30] ) ? $csv_file_arr[30] : '';
	  		$user_latitude        = ! empty( $csv_file_arr[31] ) ? $csv_file_arr[31] : '';
	  		$user_longitude       = ! empty( $csv_file_arr[32] ) ? $csv_file_arr[32] : '';
	  		$user_since           = ! empty( $csv_file_arr[33] ) ? $csv_file_arr[33] : '';
	  		$user_teamsize        = ! empty( $csv_file_arr[34] ) ? $csv_file_arr[34] : '';
	  		$user_business_type   = ! empty( $csv_file_arr[35] ) ? $csv_file_arr[35] : '';
	  		$user_category        = ! empty( $csv_file_arr[36] ) ? $csv_file_arr[36] : '';
	  		$user_educations      = ! empty( $csv_file_arr[37] ) ? $csv_file_arr[37] : '';
	  		$experiences          = ! empty( $csv_file_arr[38] ) ? $csv_file_arr[38] : '';
	  		$awards               = ! empty( $csv_file_arr[39] ) ? $csv_file_arr[39] : '';
	  		$skills               = ! empty( $csv_file_arr[40] ) ? $csv_file_arr[40] : '';
	  		$works                = ! empty( $csv_file_arr[41] ) ? $csv_file_arr[41] : '';
	  		$user_title           = ! empty( $csv_file_arr[42] ) ? $csv_file_arr[42] : '';

	  		$user_qualification = explode( ',', $user_qualification );
	  		$user_languages     = explode( ',', $user_languages );

	  		$user = get_userdatabylogin( $user_login );
			if ( $user ) {
			  	$userdata = array(
			        'ID'           => $user->ID,
			        'user_url'     => isset( $user_url ) ? esc_url_raw( $user_url ) : '',
			        'first_name'   => isset( $first_name ) ? sanitize_text_field( $first_name ) : '',
			        'last_name'    => isset( $last_name ) ? sanitize_text_field( $last_name ) : '',
			        'description'  => isset( $description ) ? htmlspecialchars( $description ) : '',
			        'user_email'   => isset( $user_email ) ? sanitize_email( $user_email ) : '',
			        'display_name' => $display_name,
			        'role'         => $userRole,
			    );
			    $usr    = wp_update_user( $userdata );
			    $userID = $user->ID;
			} else {
				$userdata = array(
			        'user_url'     => isset( $user_url ) ? esc_url_raw( $user_url ) : '',
			        'first_name'   => isset( $first_name ) ? sanitize_text_field( $first_name ) : '',
			        'last_name'    => isset( $last_name ) ? sanitize_text_field( $last_name ) : '',
			        'description'  => isset( $description ) ? htmlspecialchars( $description ) : '',
			        'user_email'   => isset( $user_email ) ? sanitize_email( $user_email ) : '',
			        'display_name' => $display_name,
			        'role'         => $userRole,
			    );
			    $userID = wp_insert_user( $userdata );
			}

			if ( ! empty( $profile_pic ) ) {
				$profile_pic_id  = jxpress_upload_media_from_url( $profile_pic );
				$profile_pic_url = wp_get_attachment_url( $profile_pic_id, 'full' );

				$meta_value = array(
					'media_id' => $profile_pic_url,
					'site_id'  => get_current_blog_id(),
					'full'     => $profile_pic_url,
				);

	        	update_user_meta( $userID, 'wp_user_avatars', $meta_value );
			}

			if ( isset( $user_title ) )
		        update_user_meta( $userID, 'user_title', $user_title );

			if ( isset( $avatar ) ) {
				update_user_meta( $userID, 'wp_full_avatars', $avatar );
		    	update_user_meta( $userID, 'avatar', $avatar );
			}

		    if ( isset( $user_category ) )
		        update_user_meta( $userID, 'user_category', $user_category );

		    if ( isset( $fcebook_url ) )
		        update_user_meta( $userID, 'facebookurl', $fcebook_url );
		        update_user_meta( $userID, 'user_facebook', $fcebook_url );

		    if ( isset( $twitter_url ) )
		        update_user_meta( $userID, 'twitterurl', $twitter_url );
		        update_user_meta( $userID, 'user_twitter', $twitter_url );

		    if ( isset( $linkdin_url ) ) {
		    	update_user_meta( $userID, 'linkedinurl', $linkdin_url );
		    	update_user_meta( $userID, 'user_linkedin', $linkdin_url );
		    }

		    if ( isset( $user_experience ) )
		        update_user_meta( $userID, 'user_experience', $user_experience );

		    if ( isset( $user_languages ) && ! empty( $user_languages ) )
		        update_user_meta( $userID, 'user_languages', json_encode( $user_languages ) );

		    if ( isset( $user_qualification ) && ! empty( $user_qualification ) )
		        update_user_meta( $userID, 'user_qualification', json_encode( $user_qualification ) );


		    if ( isset( $user_current_salary ) )
		        update_user_meta( $userID, 'user_current_salary', $user_current_salary );

		    if ( isset( $user_expected_salary ) )
		        update_user_meta( $userID, 'user_expected_salary', $user_expected_salary );

		    if ( isset( $user_address ) )
		        update_user_meta( $userID, 'user_address', $user_address );

		    if ( isset( $user_phone ) )
		        update_user_meta( $userID, 'user_phone', $user_phone );

		    if ( isset( $user_country ) )
		        update_user_meta( $userID, 'user_country', $user_country );

		    if ( isset( $user_city ) )
		        update_user_meta( $userID, 'user_city', $user_city );

		    if ( isset( $user_age ) )
		        update_user_meta( $userID, 'user_age', $user_age );

		    if ( isset( $user_latitude ) )
		        update_user_meta( $userID, 'user_latitude', $user_latitude );

		    if ( isset( $user_longitude ) )
		        update_user_meta( $userID, 'user_longitude', $user_longitude );

		    if ( isset( $user_youtube_video ) )
		        update_user_meta( $userID, 'user_youtube_video', $user_youtube_video );

		    if ( isset( $user_vimeo_video ) )
		        update_user_meta( $userID, 'user_vimeo_video', $user_vimeo_video );

		    global $wpdb;

		    if ( 'candidate' == $userRole ) {
		        $user_skills = explode( "} ", $skills );
		        foreach ( $user_skills as $key => $skills ) {
		        	$skills = explode( '|', $skills );
		        	$sdata  = array(
		        		'skill_title'      => isset( $skills[0] ) ? $skills[0] : '',
		        		'skill_percentage' => isset( $skills[1] ) ? $skills[1] : '',
		        	);
		        	$sdata = json_encode($sdata);
		        	add_user_meta( $userID, 'user_skills', $sdata );
		        }

		        $user_experiences = explode( "} ", $experiences );
		        foreach ( $user_experiences as $key => $experiences ) {
		        	$experiences = explode( '|', $experiences );
		        	$sdata  = array(
		        		'experience_company'     => isset( $experiences[0] ) ? $experiences[0] : '',
		        		'experience_from'        => isset( $experiences[1] ) ? $experiences[1] : '',
		        		'experience_to'          => isset( $experiences[2] ) ? $experiences[2] : '',
		        		'experience_description' => isset( $experiences[3] ) ? $experiences[3] : '',
		        	);
		        	$sdata = json_encode($sdata);
		        	add_user_meta( $userID, 'user_experiences', $sdata );
		        }

		        $user_educations = explode( "} ", $user_educations );
		        foreach ( $user_educations as $key => $educations ) {
		        	$educations = explode( '|', $educations );
		        	$sdata  = array(
		        		'education_institute'   => isset( $educations[0] ) ? $educations[0] : '',
		        		'education_title'       => isset( $educations[1] ) ? $educations[1] : '',
		        		'education_from'        => isset( $educations[2] ) ? $educations[2] : '',
		        		'education_to'          => isset( $educations[3] ) ? $educations[3] : '',
		        		'education_description' => isset( $educations[4] ) ? $educations[4] : '',
		        	);
		        	$sdata = json_encode($sdata);
		        	add_user_meta( $userID, 'user_educations', $sdata );
		        }

		        $user_awards = explode( "} ", $awards );
		        foreach ( $user_awards as $key => $awards ) {
		        	$awards = explode( '|', $awards );
		        	$sdata  = array(
		        		'award_title'       => isset( $awards[0] ) ? $awards[0] : '',
		        		'award_year'        => isset( $awards[1] ) ? $awards[1] : '',
		        		'award_description' => isset( $awards[2] ) ? $awards[2] : ''
		        	);
		        	$sdata = json_encode($sdata);
		        	add_user_meta( $userID, 'user_awards', $sdata );
		        }

		        $user_works = explode( "} ", $works );
		        foreach ( $user_works as $key => $works ) {
		        	$works = explode( '|', $works );
		        	$sdata  = array(
		        		'work_title' => isset( $works[0] ) ? $works[0] : '',
		        		'work_image' => isset( $works[1] ) ? $works[1] : '',
		        		'work_url'   => isset( $works[2] ) ? $works[2] : '',
		        	);
		        	$sdata = json_encode($sdata);
		        	add_user_meta( $userID, 'user_works', $sdata );
		        }
		    }

	    	if ( 'employer' == $userRole ) {
		    	if ( isset( $ser_since ) )
		        	update_user_meta( $userID, 'user_since', $user_since );

		    	if ( isset( $user_teamsize ) )
		        	update_user_meta( $userID, 'user_teamsize', $user_teamsize );

		        if ( isset( $user_business_type ) )
		        	update_user_meta( $userID, 'user_business_type', $user_business_type );

		    }
		    
		    update_user_meta( $userID, 'profile_completed', 1); 
	  	}
	  	$count++;
	}
	fclose( $file );

	$admin_url = 'admin.php?page=jxpress-portal-users-data';
	$redirect_link = add_query_arg( 
        array(
            'action' => 'import',
            'status' => 'success'
        ), 
        admin_url( $admin_url ) 
    );
	wp_safe_redirect( $redirect_link ); 
	exit;
}