<?php
// Custom Cron Recurrences
function jxpress_schedule_cron_recurrence( $schedules ) {
	$schedules['daily'] = array(
		'display' => __( 'Daily', 'jxpress-portal' ),
		'interval' => 60,
	);
	return $schedules;
}
add_filter( 'cron_schedules', 'jxpress_schedule_cron_recurrence' );

register_activation_hook( __FILE__, 'jxpress_schedule_alert' );
// SETUP CRON
add_action('wp', 'jxpress_schedule_alert');

function jxpress_schedule_alert() {
    $args = array( false );
    if ( !wp_next_scheduled( 'jobalert_schedule', $args ) )
        wp_schedule_event( time(), 'daily', 'jobalert_schedule', $args );
}

add_action('jobalert_schedule', 'jobalert_cron_function');

function jobalert_cron_function() {
    global $jxpress_data;
    $args = array(
        'post_type' => 'job-alerts',
        'post_status' => 'publish',
        'posts_per_page' => -1
    );
      
    $alerts = get_posts($args);
    foreach ($alerts as $alert) {
        $alert_author_id = get_post_field('post_author', $alert->ID);
        $user_info = get_user_meta($alert_author_id);
        $email_to = get_post_meta($alert->ID, 'alert_email', true);




        $tax_query = array('relation' => 'OR');
        $terms = wp_get_post_terms($alert->ID, 'city');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'city',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }

        $terms = wp_get_post_terms($alert->ID, 'job-category');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'job-category',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }

        $terms = wp_get_post_terms($alert->ID, 'job-type');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'job-type',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }

        $terms = wp_get_post_terms($alert->ID, 'industries');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'industries',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }

        $terms = wp_get_post_terms($alert->ID, 'gender');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'gender',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }


        $terms = wp_get_post_terms($alert->ID, 'experience');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'experience',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }



        $terms = wp_get_post_terms($alert->ID, 'qualification');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'qualification',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }


        $terms = wp_get_post_terms($alert->ID, 'language');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'language',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }
        $terms = wp_get_post_terms($alert->ID, 'salary');
        foreach ($terms as $term) {
            $tax_query[] = array(
                'taxonomy' => 'salary',
                'field' => 'term_id',
                'terms' => $term->term_id,
            );
        }


        $job_args = array(
            'post_type' => 'jobs',
            'tax_query' => $tax_query,
            'posts_per_page' => -1,
            'date_query' => array(
                array(
                    'after' => '24 hours ago'
                )
            )
        );

        $jobs = new WP_Query($job_args);
        $alertjob = '';
        if ($jobs->have_posts()) {
            while ($jobs->have_posts()) {
                $jobs->the_post();
                $job_author_id = get_post_field('post_author', get_the_ID());
                $user_info = get_user_meta($job_author_id);
                $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                $selected_values = [];
                foreach ($terms as $term) {
                    $jobterm = get_term_by('id', $term->term_id, 'job-category');
                    $jobcategory = $jobterm->name;
                }
                $alertjob .= '
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border-bottom:solid 1px #f0f0f0;padding:0px">
                                  <tbody><tr>
                                    <td width="81%" style="padding-bottom:10px; font:normal 14px Arial,Helvetica,sans-serif;color:#333"><a style=" font:normal 18px Arial,Helvetica,sans-serif;" href="' . get_permalink(get_the_ID()) . '"><strong>' . get_the_title() . '</strong></a><br>
                                     ' . $jobcategory . ' <br>
                                     <b>' . esc_attr(get_the_author_meta('display_name', $job_author_id)) . '</b><br></td>
                                    <td width="19%" align="right" valign="top" style="padding-bottom:10px;  padding-right:10px"><a href="' . get_permalink(get_the_ID()) . '"><img src="'. get_stylesheet_directory_uri().'/assets/images/view-job.png" alt="" border="0" style="padding-top:10px" class="CToWUd"></a></td>
                                  </tr>
                                </tbody></table>';
            }

            $searchReplaceArray = array(
                '[site_name]' => get_option('blogname'),
                '[site_url]' => get_option('siteurl'),
                '[admin_email]' => get_option('admin_email'),
                '[alert_name]' => get_the_title($alert->ID),
                '[alert_email]' => $email_to,
                '[alert_user_name]' => esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : "") . ' ' . esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""),
                '[alert_jobs]' => $alertjob
            );
            $message = nl2br($jxpress_data['alert_content']);
            $emailcontent = str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $message);

            $email_subject = isset($jxpress_data['alert_Subject']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['alert_Subject']) : '';
            $email_from = isset($jxpress_data['alert_from']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['alert_from']) : '';
            $headers = 'From: ' . $email_from . "\r\n" .
                    'Reply-To: ' . $email_from . "\r\n" .
                    'X-Mailer: PHP/' . phpversion();

            wp_mail($email_to, $email_subject, $emailcontent, $headers);
        }




        wp_reset_query();
    }
    wp_reset_query();
}
