<?php
function jxpress_set_content_type() {
    return "text/html";
}

add_filter('wp_mail_content_type', 'jxpress_set_content_type');

function jxpress_get_category_jobcount($id) {

    //return $count;
    $args = array(
        'post_type' => 'jobs', //post type, I used 'product'
        'post_status' => 'publish', // just tried to find all published post
        'posts_per_page' => -1, //show all
        'tax_query' => array(
            'relation' => 'AND',
            array(
                'taxonomy' => 'job-category', //taxonomy name  here, I used 'product_cat'
                'field' => 'id',
                'terms' => array($id)
            )
        )
    );

    $query = new WP_Query($args);

    /*
      echo '<pre>';

      print_r($query->post_count);
      echo '</pre>';
     */

    return (int) $query->post_count;
}

function jxpress_candidate_register_email_data($variables = array()) {
    global $jxpress_data;

    $email_data = array(
        'email' => 0,
        'subject' => '',
        'from' => '',
        'email_to' => '',
        'message' => ''
    );
  $portal_data = jxpress_portal_data();   
    $login = $portal_data['login_page'];
    $loginurl = get_permalink($login);
    
    $searchReplaceArray = array(
        '[site_name]' => get_option('blogname'),
        '[site_url]' => get_option('siteurl'),
        '[admin_email]' => get_option('admin_email'),
        '[candidate_email]' => $variables['user_email'],
        '[candidate_username]' => $variables['user_nicename'],
         '[login_url]' => $loginurl,
    );
    $message = nl2br($jxpress_data['candidate_content']);


    if (isset($jxpress_data)) {
        $email_data = array(
            'email' => (isset($jxpress_data['candidate_register_email']) && $jxpress_data['candidate_register_email']) ? 1 : 0,
            'subject' => isset($jxpress_data['subject']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['subject']) : '',
            'from' => isset($jxpress_data['from']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['from']) : '',
            'email_to' => isset($jxpress_data['recipient']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['recipient']) : '',
            'message' => isset($jxpress_data['candidate_content']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $message) : '',
        );
    }
    return $email_data;
}
function jxpress_employer_register_email_data($variables = array()) {
    global $jxpress_data;

    $email_data = array(
        'email' => 0,
        'subject' => '',
        'from' => '',
        'email_to' => '',
        'message' => ''
    );
  $portal_data = jxpress_portal_data();   
    $login = $portal_data['login_page'];
    $loginurl = get_permalink($login);
    
    $searchReplaceArray = array(
        '[site_name]' => get_option('blogname'),
        '[site_url]' => get_option('siteurl'),
        '[admin_email]' => get_option('admin_email'),
        '[employer_email]' => $variables['user_email'],
        '[employer_username]' => $variables['user_nicename'],
         '[login_url]' => $loginurl,
    );
    $message = nl2br($jxpress_data['employer_content']);


    if (isset($jxpress_data)) {
        $email_data = array(
            'email' => (isset($jxpress_data['employer_register_email']) && $jxpress_data['employer_register_email']) ? 1 : 0,
            'subject' => isset($jxpress_data['employer_subject']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['employer_subject']) : '',
            'from' => isset($jxpress_data['employer_from']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['employer_from']) : '',
            'email_to' => isset($jxpress_data['employer_recipient']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['employer_recipient']) : '',
            'message' => isset($jxpress_data['employer_content']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $message) : '',
        );
    }
    return $email_data;
}

function jxpress_admin_registration_email_data($variables = array()) {
    global $jxpress_data;

    $email_data = array(
        'email' => 0,
        'subject' => '',
        'from' => '',
        'email_to' => '',
        'message' => ''
    );
  $portal_data = jxpress_portal_data();  
  
    
    $searchReplaceArray = array(
        '[site_name]' => get_option('blogname'),
        '[site_url]' => get_option('siteurl'),
        '[admin_email]' => get_option('admin_email'),
        '[user_email]' => $variables['user_email'],
        '[user_username]' => $variables['user_nicename'],
         '[user_role]' => $variables['role']=='candidate'? 'Candidate':'Employer',
    );
    $message = nl2br($jxpress_data['admin_content']);


    if (isset($jxpress_data)) {
        $email_data = array(
            'email' => (isset($jxpress_data['admin_register_email']) && $jxpress_data['admin_register_email']) ? 1 : 0,
            'subject' => isset($jxpress_data['admin_Subject']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['admin_Subject']) : '',
            'from' => isset($jxpress_data['admin_from']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['admin_from']) : '',
            'email_to' => isset($jxpress_data['admin_recipient']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $jxpress_data['admin_recipient']) : '',
            'message' => isset($jxpress_data['admin_content']) ? str_replace(array_keys($searchReplaceArray), array_values($searchReplaceArray), $message) : '',
        );
    }
    return $email_data;
}
