<?php
add_shortcode('jxpress_candidate_list', 'jxpress_candidate_list');

function jxpress_candidate_list($atts) {
    global $current_user;
    $portal_data = jxpress_portal_data();
    $user_id = get_current_user_id();
    $view = 'list';
    if (isset($_REQUEST['grid']) || (isset($atts['grid']) && $atts['grid'])) {
        $view = 'grid';
    }
    if (isset($_REQUEST['list'])) {
        $view = 'list';
    }
    extract(shortcode_atts(
                    array(
        'filter' => 1,
        'map' => 1,
        'name' => 1,
        'city' => 1,
        'category' => 1,
        'experience' => 1,
        'qualification' => 1,
        'language' => 1,
        'salary' => 1,
        'view' => $view,
        'resultsnviewfilter' => 1,
                    ), $atts));

    ob_start();

    $mapbox_key = get_option('mapbox_key');
    $map_marker = get_option('map_marker_icon');

    if ( empty( $map_marker ) ) {
        $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
    }

    if ( empty( $mapbox_key ) ) {
        $mapbox_key = 'pk.eyJ1IjoiYWJyYWFvYWx2ZXMiLCJhIjoiY2oxbTRzZXBmMDA1ZjJ3bzI3ODZucTM2dCJ9.AICaNFFp-vS2tD5mEHulmA';
    }

    $shortlists = get_user_meta($user_id, 'candidate_shortlist');
    ?>
    <div class="row">

        <?php if ($filter) { ?>
            <div class="col-12 col-lg-3 jxpress-filter">
                <form name="candidate-search" class="listing-search-form">
                    <?php if ($city || $name) { ?>
                        <div class="sidebar-search widget">
                            <?php if ($name) { ?>
                                <div class="form-group">
                                    <input type="text" class="form-control" name="candidate_name" placeholder="Name" value="<?php echo esc_html(isset($_REQUEST['candidate_name']) ? $_REQUEST['candidate_name'] : ""); ?>"/>
                                </div>
                            <?php } ?>
                            <?php if ($city) { ?>
                                <div class="form-group">
                                    <select name="candidate_city" class="form-control form-control-chosen" data-placeholder="City"> 
										<option value="">Select City</option>	
                                        <?php
                                        $cities = get_terms('city', array('hide_empty' => false));
                                        foreach ($cities as $city) {
                                            ?>
                                            <option <?php echo esc_html((isset($_REQUEST['candidate_city']) && $_REQUEST['candidate_city'] == $city->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($city->slug); ?>"><?php esc_attr_e($city->name); ?></option>
                                        <?php } ?>
                                    </select>

                                </div>
                            <?php } ?>
                            <div class="form-group">
                                <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Search Candidate Results', 'jxpress-portal'); ?>">
                            </div>

                        </div>
                    <?php } ?>
                    <?php if ($category) { ?>
                        <div class="accordion" id="accordion-cat-accordion">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-cat-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-cat-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['candidate_category'])) ? "true" : "false"); ?>" aria-controls="collapse-cat-accordion">
                                <?php echo esc_html__('Categories', 'jxpress-portal'); ?> 
                              </button>
                            </h2>
                            <div id="collapse-cat-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['candidate_category'])) ? "show" : ""); ?>" aria-labelledby="heading-cat-accordion" data-bs-parent="#accordion-cat-accordion">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('job-category', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['candidate_category']) && in_array($category->slug, $_REQUEST['candidate_category'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="candidate_category[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>      
                    <?php } ?>
                    <?php if ($experience) { ?>
                        <div class="accordion" id="accor-experience-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-accor-experience">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collaps-accoe-experience" aria-expanded="<?php echo esc_html((isset($_REQUEST['candidate_experience'])) ? "true" : "false"); ?>" aria-controls="collaps-accoe-experience">
                                <?php echo esc_html__('Experience', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collaps-accoe-experience" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['candidate_experience'])) ? "show" : ""); ?>" aria-labelledby="heading-accor-experience" data-bs-parent="#accor-experience-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('experience', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>"  <?php echo esc_html((isset($_REQUEST['candidate_experience']) && in_array($category->slug, $_REQUEST['candidate_experience'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="candidate_experience[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if ($qualification) { ?>
                        <div class="accordion" id="accordion-qualification-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-qualification">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-qualification-one" aria-expanded="<?php echo esc_html((isset($_REQUEST['candidate_qualification'])) ? "true" : "false"); ?>" aria-controls="collapseOne-qualification-one">
                                <?php echo esc_html__('Qualification', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collapseOne-qualification-one" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['candidate_qualification'])) ? "show" : ""); ?>" aria-labelledby="heading-qualification" data-bs-parent="#accordion-qualification-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('qualification', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['candidate_qualification']) && in_array($category->slug, $_REQUEST['candidate_qualification'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="candidate_qualification[]" value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if ($language) { ?>

                        <div class="accordion" id="accordion-language-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne-lahuage-accor">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-lanuage-accor" aria-expanded="<?php echo esc_html((isset($_REQUEST['candidate_language'])) ? "true" : "false"); ?>" aria-controls="collapseOne-lanuage-accor">
                                <?php echo esc_html__('Languages', 'jxpress-portal'); ?> 
                              </button>
                            </h2>
                            <div id="collapseOne-lanuage-accor" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['candidate_language'])) ? "show" : ""); ?>" aria-labelledby="headingOne-lahuage-accor" data-bs-parent="#accordion-language-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('language', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['candidate_language']) && in_array($category->slug, $_REQUEST['candidate_language'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="candidate_language[]" value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if ($salary) { ?>
                        <div class="accordion" id="accordion-salary-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne-salary-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-salary-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['candidate_salary'])) ? "true" : "false"); ?>" aria-controls="collapseOne-salary-accordion">
                                <?php echo esc_html__('Salary', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collapseOne-salary-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['candidate_salary'])) ? "show" : ""); ?>" aria-labelledby="headingOne-salary-accordion" data-bs-parent="#accordion-salary-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('salary', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['candidate_salary']) && in_array($category->slug, $_REQUEST['candidate_salary'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="candidate_salary[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>                     
                    <?php } ?>
                </form>
            </div>
        <?php } ?>
        <div class="col-12 <?php echo $filter ? 'col-lg-9' : ''; ?>">
            <?php
            $number = 10;
            if ($view == 'grid') {
                $number = 9;
            }
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            $offset = ($paged - 1) * $number;

            $args = array(
                'offset' => $offset,
                'number' => $number,
                'orderby' => 'nicename',
                'role' => 'candidate'
            );
			
            if (isset($_REQUEST['candidate_name']) && !empty($_REQUEST['candidate_name'])){
                $meta_query[] = array(
					'relation' => 'AND',
					array(
						'key' => 'first_name',
						'value' => $_REQUEST['candidate_name'],
						'compare' => 'LIKE'
					)
				);
			}
				
            if (isset($_REQUEST['candidate_city']) && !empty($_REQUEST['candidate_city'])){
                $meta_query[] = array(
					'relation' => 'AND',
					array(
						'key' => 'user_city',
						'value' => $_REQUEST['candidate_city'],
						'compare' => '='
					)
				);
			}

            if (isset($_REQUEST['candidate_category']) && !empty($_REQUEST['candidate_category'])){
					$meta_query = array('relation' => 'AND');
                    $meta_query[] = array(
							'key' => 'user_category',
							'value' => $_REQUEST['candidate_category'],
							'compare' => 'IN'
						);
			}

            if (isset($_REQUEST['candidate_experience']) && !empty($_REQUEST['candidate_experience'])){
					$meta_query = array('relation' => 'AND');
                    $meta_query[] = array(
							'key' => 'user_experience',
							'value' => $_REQUEST['candidate_experience'],
							'compare' => 'IN'
						);
			}

            if (isset($_REQUEST['candidate_qualification']) && !empty($_REQUEST['candidate_qualification'])){
					$meta_query = array('relation' => 'AND');
                    $meta_query[] = array(
							'key' => 'user_qualification',
							'value' => $_REQUEST['candidate_qualification'],
							'compare' => 'IN'
						);
			}
				

            if (isset($_REQUEST['candidate_language']) && !empty($_REQUEST['candidate_language'])){
					$meta_query = array('relation' => 'AND');
                    $meta_query[] = array(
							'key' => 'user_languages',
							'value' => $_REQUEST['candidate_language'],
							'compare' => 'IN'
						);
			}

            if (isset($_REQUEST['candidate_salary']) && !empty($_REQUEST['candidate_salary'])){
					$meta_query = array('relation' => 'AND');
                    $meta_query[] = array(
							'key' => 'user_expected_salary',
							'value' => $_REQUEST['candidate_salary'],
							'compare' => 'IN'
						);
			}

            $meta_query[] = array(
					'relation' => 'AND',
				array(
					'key' => 'profile_completed',
					'value' => 1,
					'compare' => '='
				)
			);

            $args['meta_query'] = $meta_query;
			//print_r($meta_query);
            $candidates = get_users($args);
            $args['offset'] = '';
            $args['number'] = '';
            $users = get_users($args);
            $total_users = count($users);
            $total_query = count($candidates);
            $total_pages = ceil($total_users / $number);
            $current_page = max(1, get_query_var('paged'));
            ?> 

            <?php if ($resultsnviewfilter && count($candidates) > 0) { ?>
                <div class="container">
                    <div class="row border mb-3 font-weight-bold">
                        <div class="col-12 col-md-8 my-auto">
                            <?php echo esc_html__('Showing', 'jxpress-portal'); ?> <?php echo (($current_page - 1) * $number) + 1; ?>-<?php echo $total_pages == $current_page ? $total_users : $current_page * $number; ?> <?php echo esc_html__('of', 'jxpress-portal'); ?> <?php echo $total_users; ?>
                        </div>
                        <div class="col-12 col-md-4 my-auto">
                            <ul class="list-inline float-right m-0 jxpress-listing-view">
                                <li class="list-inline-item"><a class="social-icon text-xs-center <?php echo $view == 'grid' ? 'active' : ''; ?>" href="<?php echo get_permalink(get_the_ID()); ?>?grid=1"><i class="fa fa-th-large" aria-hidden="true"></i></a></li>
                                <li class="list-inline-item"><a class="social-icon text-xs-center <?php echo $view == 'list' ? 'active' : ''; ?>" href="<?php echo get_permalink(get_the_ID()); ?>?list=1"><i class="fa fa-list" aria-hidden="true"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <?php if ($map && count($candidates) > 0) { ?>
                <div class="candidate-listing container p-0">
                    <div id="jxpressmap" data-zoom="4"></div>  
                </div>

                <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {

                    $CandidateFirstValue = end($candidates);
                    $map_lat1  = get_user_meta( $CandidateFirstValue->ID, 'user_latitude', true );
                    $map_long1 = get_user_meta( $CandidateFirstValue->ID, 'user_longitude', true );

                ?>
                <script type="text/javascript">
                    mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

                    const map = new mapboxgl.Map({
                        container: 'jxpressmap', // container ID
                        // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                        style: 'mapbox://styles/mapbox/streets-v12', // style URL
                        center: [<?php echo esc_attr( $map_long1 ); ?>, <?php echo esc_attr( $map_lat1 ); ?>], // starting position [lng, lat]
                        zoom: 4 // starting zoom
                    });

                    const geojson = {
                        'type': 'FeatureCollection',
                        'features': [
                            <?php foreach ($candidates as $candidate) { 
                                $user_info = get_user_meta($candidate->ID);
                                $map_lat  = get_user_meta( $candidate->ID, 'user_latitude', true );
                                $map_long = get_user_meta( $candidate->ID, 'user_longitude', true );
                                $candidateFname = esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : "").' '.esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : "");

                                $userskills = [];
                                $skills = get_user_meta($candidate->ID, 'user_skills');
                                foreach ($skills as $metajson) { 
                                    $skill = json_decode($metajson);
                                    $userskills[] = isset( $skill->skill_title ) ? $skill->skill_title : '';
                                }
                            ?>
                            {
                                'type': 'Feature',
                                'geometry': {
                                    'type': 'Point',
                                    'coordinates': [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>]
                                },
                                'properties': {
                                    'link': '<?php echo get_author_posts_url($candidate->ID); ?>',
                                    'imgurl': '<?php echo $user_info['wp_full_avatars'][0]; ?>',
                                    'title': '<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>',
                                    'usertitle' : '<?php echo $candidateFname; ?>',
                                    'user_city': '<?php
                                            $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_city', true), 'city');
                                            echo $name = $term->name;
                                            echo ', ';
                                            $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_country', true), 'country');
                                            echo $name = $term->name;
                                            ?>',
                                    'skills': '<?php echo implode(", ", $userskills); ?>',
                                }
                            },
                        <?php } ?>
                        ]
                    };

                    // add markers to map
                    for (const feature of geojson.features) {
                    // create a HTML element for each feature
                    const el = document.createElement('div');
                    el.className = 'marker';
                     
                    // make a marker for each feature and add it to the map
                    new mapboxgl.Marker(el)
                    .setLngLat(feature.geometry.coordinates)
                    .setPopup(
                        new mapboxgl.Popup({ offset: 25 }) // add popups
                        .setHTML(
                            `<div class="map-content">
                                <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                    <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                        <a href="${feature.properties.link}">

                                            <img src="${feature.properties.imgurl}" class="img-fluid rounded" alt="${feature.properties.title}"/>           

                                        </a>
                                    </div>
                                    <div class="py-1 px-0"><h6 class="m-0">${feature.properties.usertitle}</h6></div>
                                    <p>${feature.properties.title}</p>
                                    <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong>${feature.properties.user_city}</span></p>
                                    <p><span><strong><?php echo esc_html__('Skills', 'jxpress-portal'); ?>:</strong> 
                                            ${feature.properties.skills}
                                        </span></p>
                                </div>
                            </div>`
                        )
                    )
                    .addTo(map);
                    }

                </script>
                <style type="text/css">
                    .marker {
                        background-image: url('<?php echo esc_attr( $map_marker ); ?>')!important;
                    }
                </style>
                <?php } ?>
            <?php } ?>
            <div class="jxpress-listing container border-top"> 

                <?php if (count($candidates) > 0) { ?>

                    <?php if ($view == 'grid') { ?>
                        <div class="border border-top-0 border-right-0 border-bottom-0 row">
                        <?php } ?>
                        <?php
                        foreach ($candidates as $candidate) {
                            $userskills = [];
                            $skills = get_user_meta($candidate->ID, 'user_skills');
                            foreach ($skills as $metajson) { 
                                $skill = json_decode($metajson);
                                $userskills[] = isset( $skill->skill_title ) ? $skill->skill_title : '';
                            }
                            $user_info = get_user_meta($candidate->ID);
                            ?>
                            <?php if ($view == 'list') { ?>
                                <div class="border border-top-0 jxpress-list-item row py-3 map-item"  data-latitude="<?php echo get_user_meta($candidate->ID, 'user_latitude', true); ?>" data-longitude="<?php echo get_user_meta($candidate->ID, 'user_longitude', true); ?>">

                                    <?php if ($map) { ?>
                                        <div class="d-none map-content">
                                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                    <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                            <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>

                                                    </a>
                                                </div>
                                                <div class="py-1 px-0"><h6 class="m-0"><?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?></h6></div>
                                                <p><?php echo get_user_meta($candidate->ID, 'user_title', true); ?></p>
                                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_city', true), 'city');
                                                        echo $name = $term->name;
                                                        ?>,
                                                        <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_country', true), 'country');
                                                        echo $name = $term->name;
                                                        ?></span></p>
                                                <p><span><strong><?php echo esc_html__('Skills', 'jxpress-portal'); ?>:</strong> 
                                                        <?php
                                                        echo implode(", ", $userskills);
                                                        ?>
                                                    </span></p>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class="col-12 col-md-2 text-center">
                                        <a href="<?php echo get_author_posts_url($candidate->ID); ?>" >

                                            <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid jxpress-author-image rounded w-100 w-md-auto" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                            <?php } ?>
                                        </a>

                                    </div>
                                    <div class="col-12 col-md-7 my-auto">
                                        <div class="text-shorting">
                                            <h5 class="mb-0"><a href="<?php echo get_author_posts_url($candidate->ID); ?>" ><?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?></a></h5>

                                            <div class="row">
                                                <div class="col-md-6"><?php echo get_user_meta($candidate->ID, 'user_title', true); ?></div>
                                                <div class="col-md-6"><span><i class="fa fa-money"></i> <?php echo get_user_meta($candidate->ID, 'user_expected_salary', true); ?></span></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <span><strong><i class="fa fa-map-marker"></i></strong> 

                                                        <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_city', true), 'city');
                                                        echo $name = isset( $term->name ) ? $term->name : '';
                                                        ?>,
                                                        <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_country', true), 'country');
                                                        echo $name = isset( $term->name ) ? $term->name : '';
                                                        ?>
                                                    </span>
                                                </div>
                                                <div class="col-md-6">
                                                    <span><strong><?php echo esc_html__('Skills', 'jxpress-portal'); ?>:</strong> 

                                                        <?php
                                                        echo implode(", ", $userskills);
                                                        ?>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3 text-center my-auto">
                                        <a href="#"  class="btn-outline shortlist shortlist-resume  <?php echo esc_html(is_array($shortlists) && in_array($candidate->ID, $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array($candidate->ID, $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo $candidate->ID; ?>"><?php echo esc_html__(is_array($shortlists) && in_array($candidate->ID, $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>
                                        <a href="<?php echo get_author_posts_url($candidate->ID); ?>"  class="btn-outline mt-2"><?php echo esc_html__('View Info', 'jxpress-portal'); ?></a>

                                    </div>

                                </div>
                            <?php } ?>

                            <?php if ($view == 'grid') { ?>

                                <div class="col-12 col-md-6 col-lg-4 border-right border-bottom p-3 jxpress-list-item   map-item"  data-latitude="<?php echo get_user_meta($candidate->ID, 'user_latitude', true); ?>" data-longitude="<?php echo get_user_meta($candidate->ID, 'user_longitude', true); ?>">
                                    <?php if ($map) { ?>
                                        <div class="d-none map-content">
                                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                    <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                            <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>
                                                    </a>
                                                </div>
                                                <div class="py-1 px-0"><h6 class="m-0"><?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?></h6></div>
                                                <p><?php echo get_user_meta($candidate->ID, 'user_title', true); ?></p>
                                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_city', true), 'city');
                                                        echo $name = $term->name;
                                                        ?>,
                                                        <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_country', true), 'country');
                                                        echo $name = $term->name;
                                                        ?></span></p>
                                                <p><span><strong><?php echo esc_html__('Skills', 'jxpress-portal'); ?>:</strong> 
                                                        <?php
                                                        echo implode(", ", $userskills);
                                                        ?>
                                                    </span></p>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class="panel-body">
                                        <div class="w-100 text-center">
                                            <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                                                <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                    <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                <?php } ?>
                                            </a></div>
                                        <div class="w-100 text-center">
                                            <a href="#"  class="btn-outline mt-3 shortlist shortlist-resume text-center <?php echo esc_html(is_array($shortlists) && in_array($candidate->ID, $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array($candidate->ID, $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo $candidate->ID; ?>"><?php echo esc_html__(is_array($shortlists) && in_array($candidate->ID, $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>

                                            <?php if (!empty(get_user_meta($candidate->ID, 'user_cv', true))) { ?>
                                                <a class="btn-outline mt-3 shortlist text-center" href="<?php echo get_user_meta($candidate->ID, 'user_cv', true); ?>"><?php echo esc_html__('Download CV', 'jxpress-portal'); ?></a>                                  
                                            <?php } ?>
                                        </div>


                                        <div class="mt-3 text-center">                                           
                                            <h5 class="jxpress-title"> <?php echo esc_html__('Hi', 'jxpress-portal'); ?>, <?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?> </h5>
                                            <h5 class="jxpress-title my-1"><span><?php echo get_user_meta($candidate->ID, 'user_title', true); ?></span></h5>
                                        </div>
                                        <div class="candidate_contact_details clearfix text-center">

                                            <?php if (!empty(get_the_author_meta('user_email', $candidate->ID)) && $portal_data['candidate_email']) { ?>
                                                <span><i class="fa fa-envelope jxpress-color"></i> <a class="jxpress-color" href="mailto:<?php echo esc_attr(get_the_author_meta('user_email', $candidate->ID)); ?>"><?php echo esc_attr(get_the_author_meta('user_email', $candidate->ID)); ?></a></span><br/>
                                            <?php } ?>
                                            <?php if (!empty(get_the_author_meta('user_url', $candidate->ID)) && $portal_data['candidate_website']) { ?>
                                                <span><i class="fa fa-chrome jxpress-color"></i> <a class="jxpress-color" href="<?php echo esc_attr(get_the_author_meta('user_url', $candidate->ID)); ?>"><?php echo esc_attr(get_the_author_meta('user_url', $candidate->ID)); ?></a></span><br/>
                                            <?php } ?>
                                            <?php if (!empty(get_the_author_meta('user_phone', $candidate->ID)) && $portal_data['candidate_phone']) { ?>
                                                <span><i class="fa fa-phone"></i> <?php echo get_user_meta($candidate->ID, 'user_phone', true); ?></span><br/>
                                            <?php } ?>
                                            <?php if (!empty(get_the_author_meta('user_address', $candidate->ID)) && $portal_data['candidate_address']) { ?>
                                                <span><i class="fa fa-map-marker"></i> <?php
                                                    echo get_user_meta($candidate->ID, 'user_address', true);
                                                    ?></span>
                                            <?php } ?>


                                        </div>
                                    </div>
                                </div>
                            <?php } ?>

                        <?php }
                        ?>
                        <?php if ($view == 'grid') { ?>
                        </div>
                    <?php } ?>
                    <?php
                } else {
                    ?>
                    <div class="row border border-top-0">
                        <div class="col-md-12"><b>
                                <?php echo esc_html__('There are no results that match your search.', 'jxpress-portal'); ?></b>

                        </div>
                    </div>
                    <?php
                }
                ?>

            </div>
            <?php
            if ($total_users > $total_query) {
                echo '<div class="clearfix pagination mt-3 float-right">';
                $current_page = max(1, get_query_var('paged'));
                echo paginate_links(array(
                    'base' => get_pagenum_link(1) . '%_%',
                    'format' => 'page/%#%/',
                    'current' => $current_page,
                    'total' => $total_pages,
                    'prev_next' => true,
                    'type' => 'list',
                    'prev_text' => __('<', 'jxpress-portal'),
                    'next_text' => __('>', 'jxpress-portal'),
                ));
                echo '</div>';
            }
            ?>

        </div>
    </div>

    <?php
    return ob_get_clean();
}
