<?php
add_shortcode('jxpress_employer_list', 'jxpress_employer_list');

function jxpress_employer_list($atts) {
    $portal_data = jxpress_portal_data(); 
    $view = 'list';
    if (isset($_REQUEST['grid']) || (isset($atts['grid']) && $atts['grid'])) {
        $view = 'grid';
    }
    if (isset($_REQUEST['list'])) {
        $view = 'list';
    }
    extract(shortcode_atts(
                    array(
        'filter' => 1,
        'map' => 1,
        'name' => 1,
        'city' => 1,
        'category' => 1,
        'view' => $view,
        'resultsnviewfilter' => 1,
                    ), $atts));

    ob_start();

    $mapbox_key = get_option('mapbox_key');
    $map_marker = get_option('map_marker_icon');

    if ( empty( $map_marker ) ) {
        $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
    }

    if ( empty( $mapbox_key ) ) {
        $mapbox_key = 'pk.eyJ1IjoiYWJyYWFvYWx2ZXMiLCJhIjoiY2oxbTRzZXBmMDA1ZjJ3bzI3ODZucTM2dCJ9.AICaNFFp-vS2tD5mEHulmA';
    }

    ?>
    <div class="row">
        <?php if ($filter) { ?>
            <div class="col-12 col-lg-3">
                <form name="candidate-search" class="listing-search-form">
                    <?php if ($city || $name) { ?>
                        <div class="sidebar-search widget">
                            <?php if ($name) { ?>
                                <div class="form-group">
                                    <input type="text" class="form-control" name="candidate_name" placeholder="Name" value="<?php echo esc_html(isset($_REQUEST['candidate_name']) ? $_REQUEST['candidate_name'] : ""); ?>"/>
                                </div>
                            <?php } ?>
                            <?php if ($city) { ?>
                                <div class="form-group">
                                    <select name="candidate_city" class="form-control form-control-chosen" data-placeholder="City"> 
										<option value="">Select City</option>
                                        <?php
                                        $cities = get_terms('city', array('hide_empty' => false));
                                        foreach ($cities as $city) {
                                            ?>
                                            <option <?php echo esc_html((isset($_REQUEST['user_city']) && $_REQUEST['user_city'] == $city->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($city->slug); ?>"><?php esc_attr_e($city->name); ?></option>
                                        <?php } ?>
                                    </select>

                                </div>
                            <?php } ?>
                            <div class="form-group">
                                <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Search Employers', 'jxpress-portal'); ?>">
                            </div>

                        </div>
                    <?php } ?>
                    <?php if ($category) { ?>
                        <div class="accordion" id="accordion-cat-accordion">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-cat-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-cat-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_category'])) ? "true" : "false"); ?>" aria-controls="collapse-cat-accordion">
                                <?php echo esc_html__('Categories', 'jxpress-portal'); ?> 
                              </button>
                            </h2>
                            <div id="collapse-cat-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_category'])) ? "show" : ""); ?>" aria-labelledby="heading-cat-accordion" data-bs-parent="#accordion-cat-accordion">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('job-category', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['candidate_category']) && in_array($category->slug, $_REQUEST['candidate_category'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="candidate_category[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>  
                    <?php } ?>                    


                </form>
            </div>
        <?php } ?>
        <div class="col-12 <?php echo $filter ? 'col-lg-9' : ''; ?>">
            <?php
            $number = 10;
            if ($view == 'grid') {
                $number = 9;
            }
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            $offset = ($paged - 1) * $number;

            $args = array(
                'offset' => $offset,
                'number' => $number,
                'orderby' => 'nicename',
                'role' => 'employer'
            );
            //$meta_query = array('relation' => 'AND');
            if (isset($_REQUEST['candidate_name']) && !empty($_REQUEST['candidate_name']))
                $meta_query[] = array(
					'relation' => 'AND',
					array(
						'key' => 'first_name',
						'value' => $_REQUEST['candidate_name'],
						'compare' => 'LIKE'
					)
				);
				
            if (isset($_REQUEST['candidate_city']) && !empty($_REQUEST['candidate_city']))
                $meta_query[] = array(
					'relation' => 'AND',
					array(
						'key' => 'user_city',
						'value' => $_REQUEST['candidate_city'],
						'compare' => '='
					)
				);

            if (isset($_REQUEST['candidate_category']) && !empty($_REQUEST['candidate_category']))
                $meta_query[] = array(
					'relation' => 'OR',
					array(
						'key' => 'user_category',
						'value' => $_REQUEST['candidate_category'],
						'compare' => 'IN'
					)
				);
                
                $meta_query[] = array(
					'relation' => 'AND',
					array(
						'key' => 'profile_completed',
						'value' => 1,
						'compare' => '='
					)
				);

            $args['meta_query'] = $meta_query;
            $candidates         = get_users($args);
            $args['offset']     = '';
            $args['number']     = '';
            $users              = get_users($args);
            $total_users        = count($users);
            $total_query        = count($candidates);
            $total_pages        = ceil($total_users / $number);
            $current_page       = max(1, get_query_var('paged'));   
            ?>
            <?php if ($resultsnviewfilter && count($candidates) > 0) { ?>
                <div class="container">
                    <div class="row border mb-3 font-weight-bold">
                        <div class="col-12 col-md-8 my-auto">
                            <?php echo esc_html__('Showing', 'jxpress-portal'); ?> <?php echo (($current_page - 1) * $number) + 1; ?>-<?php echo $total_pages == $current_page ? $total_users : $current_page * $number; ?> <?php echo esc_html__('of', 'jxpress-portal'); ?> <?php echo $total_users; ?>
                        </div>
                        <div class="col-12 col-md-4 my-auto">
                            <ul class="list-inline float-right m-0 jxpress-listing-view">
                                <li class="list-inline-item"><a class="social-icon text-xs-center <?php echo $view == 'grid' ? 'active' : ''; ?>" href="<?php echo get_permalink(get_the_ID()); ?>?grid=1"><i class="fa fa-th-large" aria-hidden="true"></i></a></li>
                                <li class="list-inline-item"><a class="social-icon text-xs-center <?php echo $view == 'list' ? 'active' : ''; ?>" href="<?php echo get_permalink(get_the_ID()); ?>?list=1"><i class="fa fa-list" aria-hidden="true"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <?php if ($map && count($candidates) > 0) { ?>
                <div class="candidate-listing container p-0">
                    <div id="jxpressmap" data-zoom="4"></div>  
                </div>

                <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {

                    $candidates = array_reverse( $candidates );
                    $CandidateFirstValue = end($candidates);
                    $map_lat1  = get_user_meta( $CandidateFirstValue->ID, 'user_latitude', true );
                    $map_long1 = get_user_meta( $CandidateFirstValue->ID, 'user_longitude', true );

                ?>
                <script type="text/javascript">
                    mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

                    const map = new mapboxgl.Map({
                        container: 'jxpressmap',
                        style: 'mapbox://styles/mapbox/streets-v12',
                        center: [<?php echo $map_long1; ?>, <?php echo $map_lat1; ?>],
                        zoom: 4 
                    });

                    const geojson = {
                        'type': 'FeatureCollection',
                        'features': [
                            <?php foreach ($candidates as $candidate) { 
                                $user_info = get_user_meta($candidate->ID);
                                $map_lat  = get_user_meta( $candidate->ID, 'user_latitude', true );
                                $map_long = get_user_meta( $candidate->ID, 'user_longitude', true );
                                $candidateFname = esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : "").' '.esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : "");

                            ?>
                            {
                                'type': 'Feature',
                                'geometry': {
                                    'type': 'Point',
                                    'coordinates': [<?php echo ( $map_long ); ?>, <?php echo ( $map_lat ); ?>]
                                },
                                'properties': {
                                    'link': '<?php echo get_author_posts_url($candidate->ID); ?>',
                                    'imgurl': '<?php echo $user_info['wp_full_avatars'][0]; ?>',
                                    'title': '<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>',
                                    'usertitle' : '<?php echo $candidateFname; ?>',
                                    'designation' : '<?php echo get_user_meta($candidate->ID, 'user_title', true); ?>',
                                    'user_city': '<?php echo get_user_meta($candidate->ID, 'user_city', true); ?>',
                                    'user_country': '<?php echo get_user_meta($candidate->ID, 'user_country', true); ?>',
                                    
                                }
                            },
                        <?php } ?>
                        ]
                    };

                    // add markers to map
                    for (const feature of geojson.features) {
                    // create a HTML element for each feature
                    const el = document.createElement('div');
                    el.className = 'marker';
                     
                    // make a marker for each feature and add it to the map
                    new mapboxgl.Marker(el)
                    .setLngLat(feature.geometry.coordinates)
                    .setPopup(
                        new mapboxgl.Popup({ offset: 25 }) // add popups
                        .setHTML(
                            `<div class="map-content">
                                <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                    <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                        <a href="${feature.properties.link}">

                                            <img src="${feature.properties.imgurl}" class="img-fluid rounded" alt="${feature.properties.title}"/>           

                                        </a>
                                    </div>
                                    <div class="py-1 px-0"><h6 class="m-0">${feature.properties.usertitle}</h6></div>
                                    <p>${feature.properties.title}</p>
                                    <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> ${feature.properties.user_city}, ${feature.properties.user_country}</span></p>

                                </div>
                            </div>`
                        )
                    )
                    .addTo(map);
                    }

                </script>
                <style type="text/css">
                    .marker {
                        background-image: url('<?php echo ( $map_marker ); ?>');
                    }
                </style>
                <?php } ?>

            <?php } ?>
            <div class="jxpress-listing container">     
                <?php if (count($candidates) > 0) { ?>

                    <?php if ($view == 'grid') { ?>
                        <div class="border border-top-0 border-right-0 border-bottom-0 row">
                        <?php } ?>
                        <?php
                        foreach ($candidates as $candidate) {
                            $user_info = get_user_meta($candidate->ID);
                            ?>
                            <?php if ($view == 'list') { ?>
                                <div class="row border border-top-0 py-4 map-item jxpress-list-item" data-latitude="<?php echo get_user_meta($candidate->ID, 'user_latitude', true); ?>" data-longitude="<?php echo get_user_meta($candidate->ID, 'user_longitude', true); ?>">

                                    <?php if ($map) { ?>
                                        <div class="d-none map-content">
                                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                    <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                            <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>
                                                    </a>
                                                </div>
                                                <div class="py-1 px-0"><h6 class="m-0"><?php echo esc_html($candidate->display_name); ?></h6></div>
                                                <p><?php echo get_user_meta($candidate->ID, 'user_title', true); ?></p>
                                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php echo get_user_meta($candidate->ID, 'user_city', true); ?>, <?php echo get_user_meta($candidate->ID, 'user_country', true); ?></span></p>

                                            </div>
                                        </div>
                                    <?php } ?>

                                    <div class="col-12 col-md-9 col-lg-9 col-xl-10">
                                        <div class="row">
                                            <div class="col-12 col-md-3 ">                                               
                                                    <a href="<?php echo get_author_posts_url($candidate->ID); ?>" >
                                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                            <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="border bg-white p-2 img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>
                                                    </a>
                                              
                                            </div>
                                            <div class="col-12 col-md-9 ">
                                                <div class="text-shorting">
                                                    <h5  class="mb-0"><a href="<?php echo get_author_posts_url($candidate->ID); ?>" ><?php echo esc_html($candidate->display_name); ?></a></h5>                                  
                                                    <b>
                                                        <?php
                                                        $term = get_term_by('slug', $user_info['user_category'][0], 'job-category');
                                                        echo $name = isset( $term->name ) ? $term->name : '';
                                                        ?></b>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <span><strong><i class="fa fa-map-marker"></i></strong> <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_city', true), 'city');
                                                        echo $name = isset( $term->name ) ? $term->name : '';
                                                        ?>,
                                                        <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_country', true), 'country');
                                                        echo $name = isset( $term->name ) ? $term->name : '';
                                                        ?></span>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <span><strong><?php echo esc_html__('Vacancies', 'jxpress-portal'); ?>:</strong> 

                                                            <?php echo jxpress_count_posts_by_author($candidate->ID, 'jobs'); ?>
                                                        </span>
                                                    </div>
                                                </div>


                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3 col-lg-3 col-xl-2">
                                        <strong><?php echo esc_html__('Est. Since', 'jxpress-portal'); ?>:</strong>
                                        <?php echo isset( $user_info['user_since'] ) ? $user_info['user_since'][0] : ''; ?><br/>
                                        <strong><?php echo esc_html__('Team Size', 'jxpress-portal'); ?>:</strong>
                                        <?php echo isset( $user_info['user_teamsize'] ) ? $user_info['user_teamsize'][0] : ''; ?>
                                        <a href="<?php echo get_author_posts_url($candidate->ID); ?>"  class="btn-outline text-center mt-2"><?php echo esc_html__('View Info', 'jxpress-portal'); ?></a>

                                    </div>
                                </div>
                            <?php } ?>
                            <?php if ($view == 'grid') { ?>

                                <div class="col-12 col-md-6 col-lg-4 border-right  border-bottom p-3 jxpress-list-item  map-item"  data-latitude="<?php echo get_user_meta($candidate->ID, 'user_latitude', true); ?>" data-longitude="<?php echo get_user_meta($candidate->ID, 'user_longitude', true); ?>">
                                    <?php if ($map) { ?>
                                        <div class="d-none map-content">
                                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                    <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                            <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>
                                                    </a>
                                                </div>
                                                <div class="py-1 px-0"><h6 class="m-0"><?php echo esc_html($candidate->display_name); ?></h6></div>
                                                <p><?php echo get_user_meta($candidate->ID, 'user_title', true); ?></p>
                                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_city', true), 'city');
                                                        echo $name = $term->name;
                                                        ?>,
                                                        <?php
                                                        $term = get_term_by('slug', get_user_meta($candidate->ID, 'user_country', true), 'country');
                                                        echo $name = $term->name;
                                                        ?></span></p>
                                               
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class="panel-body">
                                         <div class=" mb-3 text-center">
                                            <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                                                <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                    <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="border p-2 bg-white img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                <?php } ?>
                                            </a></div>
                                        <div class="mt-3 text-center">                                           
                                            <h6 class="jxpress-title"><a href="<?php echo get_author_posts_url($candidate->ID); ?>"><?php echo esc_attr(get_the_author_meta('display_name', $candidate->ID)); ?></a> </h6>                                           
                                        </div>
                                        
                                    </div>
                                </div>
                            <?php } ?>
                        <?php }
                        ?>
                        <?php if ($view == 'grid') { ?>
                        </div>
                    <?php } ?>
                    <?php
                } else {
                    ?>
                    <div class="row border border-top-0">
                        <div class="col-md-12"><b>
                                <?php echo esc_html__('There are no results that match your search.', 'jxpress-portal'); ?></b>

                        </div>
                    </div>
                    <?php
                }
                ?>

            </div>
            <?php
            if ($total_users > $total_query) {
                echo '<div class="clearfix pagination mt-3 float-right">';
                $current_page = max(1, get_query_var('paged'));
                echo paginate_links(array(
                    'base' => get_pagenum_link(1) . '%_%',
                    'format' => 'page/%#%/',
                    'current' => $current_page,
                    'total' => $total_pages,
                    'prev_next' => true,
                    'type' => 'list',
                    'prev_text' => __('<', 'jxpress-portal'),
                    'next_text' => __('>', 'jxpress-portal'),
                ));
                echo '</div>';
            }
            ?>

        </div>
    </div>

    <?php
    return ob_get_clean();
}
