<?php
add_shortcode('jxpress_job_list', 'jxpress_job_list');

function jxpress_job_list($atts) {
    global $current_user;
    $portal_data = jxpress_portal_data(); 
    $user_id = get_current_user_id();
    $view = 'list';
    if (isset($_REQUEST['grid']) || (isset($atts['grid']) && $atts['grid'])) {
        $view = 'grid';
    }
    if (isset($_REQUEST['list'])) {
        $view = 'list';
    }
    extract(shortcode_atts(
                    array(
        'filter' => 1,
        'map' => 1,
        'name' => 1,
        'city' => 1,
        'category' => 1,
        'experience' => 1,
        'qualification' => 1,
        'language' => 1,
        'salary' => 1,
        'gender' => 1,
        'type' => 1,
        'industries' => 1,
        'view' => $view,
        'resultsnviewfilter' => 1,
                    ), $atts));

    ob_start();

    $mapbox_key = get_option('mapbox_key');
    $map_marker = get_option('map_marker_icon');

    if ( empty( $map_marker ) ) {
        $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
    }

    if ( empty( $mapbox_key ) ) {
        $mapbox_key = 'pk.eyJ1IjoiYWJyYWFvYWx2ZXMiLCJhIjoiY2oxbTRzZXBmMDA1ZjJ3bzI3ODZucTM2dCJ9.AICaNFFp-vS2tD5mEHulmA';
    }

    $shortlists = get_user_meta($user_id, 'job_shortlist');
    $current_user = wp_get_current_user();  
    ?>
    <div class="row">

        <?php if ($filter) { ?>
            <div class="col-12 col-lg-3">

                <form name="candidate-search" class="listing-search-form">
                    <?php if ($city || $name) { ?>
                        <div class="sidebar-search widget">
                            <?php if ($name) { ?>
                                <div class="form-group">
                                    <input type="text" class="form-control" name="job_name" placeholder="Name" value="<?php echo esc_html(isset($_REQUEST['job_name']) ? $_REQUEST['job_name'] : ""); ?>"/>
                                </div>
                            <?php } ?>
                            <?php if ($city) { ?>
                                <div class="form-group">

                                    <select name="job_city" class="form-control form-control-chosen" data-placeholder="<?php echo esc_html__('City', 'jxpress-portal'); ?>"> 

                                        <?php
                                        $cities = get_terms('city', array('hide_empty' => false));
                                        foreach ($cities as $city) {
                                            ?>
                                            <option <?php echo esc_html((isset($_REQUEST['job_city']) && $_REQUEST['job_city'] == $city->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($city->slug); ?>"><?php esc_attr_e($city->name); ?></option>
                                        <?php } ?>
                                    </select>

                                </div>
                            <?php } ?>

                            <div class="form-group">
                                <input class="btn btn-larger btn-block form-control" type="submit" value="<?php echo esc_html__('Search Job Results', 'jxpress-portal'); ?>">
                            </div>

                        </div>
                    <?php } ?>

                    <?php if ($type) { ?>

                        <div class="accordion" id="type-accordion">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-type-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-type-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_type'])) ? "true" : "false"); ?>" aria-controls="collapse-type-accordion">
                                <?php echo esc_html__('Job Type', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collapse-type-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_type'])) ? "show" : ""); ?>" aria-labelledby="heading-type-accordion" data-bs-parent="#type-accordion">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('job-type', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li> <input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_type']) && in_array($category->slug, $_REQUEST['job_type'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_type[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"> <?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>                             
                    <?php } ?> 

                    <?php if ($category) { ?>   

                        <div class="accordion" id="accordion-cat-accordion">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-cat-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-cat-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_category'])) ? "true" : "false"); ?>" aria-controls="collapse-cat-accordion">
                                <?php echo esc_html__('Categories', 'jxpress-portal'); ?> 
                              </button>
                            </h2>
                            <div id="collapse-cat-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_category'])) ? "show" : ""); ?>" aria-labelledby="heading-cat-accordion" data-bs-parent="#accordion-cat-accordion">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('job-category', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_category']) && in_array($category->slug, $_REQUEST['job_category'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_category[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>    
                    <?php } ?>

                    <?php if ($industries) { ?>

                        <div class="accordion" id="accordion-industries-accordion">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-industries-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-industries-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_industry'])) ? "true" : "false"); ?>" aria-controls="collapse-industries-accordion">
                                <?php echo esc_html__('Industries', 'jxpress-portal'); ?> 
                              </button>
                            </h2>
                            <div id="collapse-industries-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_industry'])) ? "show" : ""); ?>" aria-labelledby="heading-industries-accordion" data-bs-parent="#accordion-industries-accordion">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('industries', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="industries-<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_industry']) && in_array($category->slug, $_REQUEST['job_industry'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_industry[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="industries-<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?> 

                    <?php if ($experience) { ?>
                        <div class="accordion" id="accor-experience-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-accor-experience">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collaps-accoe-experience" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_experience'])) ? "true" : "false"); ?>" aria-controls="collaps-accoe-experience">
                                <?php echo esc_html__('Experience', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collaps-accoe-experience" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_experience'])) ? "show" : ""); ?>" aria-labelledby="heading-accor-experience" data-bs-parent="#accor-experience-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('experience', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>"  <?php echo esc_html((isset($_REQUEST['job_experience']) && in_array($category->slug, $_REQUEST['job_experience'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_experience[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>

                    <?php if ($gender) { ?>
                        <div class="accordion" id="accor-gender-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-gender-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse-gender-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_gender'])) ? "true" : "false"); ?>" aria-controls="collapse-gender-accordion">
                                <?php echo esc_html__('Gender', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collapse-gender-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_gender'])) ? "show" : ""); ?>" aria-labelledby="heading-gender-accordion" data-bs-parent="#accor-gender-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('gender', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_gender']) && in_array($category->slug, $_REQUEST['job_gender'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_gender[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?> 

                    <?php if ($qualification) { ?>

                        <div class="accordion" id="accordion-qualification-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="heading-qualification">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-qualification-one" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_qualification'])) ? "true" : "false"); ?>" aria-controls="collapseOne-qualification-one">
                                <?php echo esc_html__('Qualification', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collapseOne-qualification-one" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_qualification'])) ? "show" : ""); ?>" aria-labelledby="heading-qualification" data-bs-parent="#accordion-qualification-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('qualification', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_qualification']) && in_array($category->slug, $_REQUEST['job_qualification'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_qualification[]" value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if ($language) { ?>

                        <div class="accordion" id="accordion-language-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne-lahuage-accor">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-lanuage-accor" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_language'])) ? "true" : "false"); ?>" aria-controls="collapseOne-lanuage-accor">
                                <?php echo esc_html__('Languages', 'jxpress-portal'); ?> 
                              </button>
                            </h2>
                            <div id="collapseOne-lanuage-accor" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_language'])) ? "show" : ""); ?>" aria-labelledby="headingOne-lahuage-accor" data-bs-parent="#accordion-language-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('language', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_language']) && in_array($category->slug, $_REQUEST['job_language'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_language[]" value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>
                    <?php if ($salary) { ?>
                        <div class="accordion" id="accordion-salary-one">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne-salary-accordion">
                              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne-salary-accordion" aria-expanded="<?php echo esc_html((isset($_REQUEST['job_salary'])) ? "true" : "false"); ?>" aria-controls="collapseOne-salary-accordion">
                                <?php echo esc_html__('Salary', 'jxpress-portal'); ?>  
                              </button>
                            </h2>
                            <div id="collapseOne-salary-accordion" class="accordion-collapse collapse <?php echo esc_html((isset($_REQUEST['job_salary'])) ? "show" : ""); ?>" aria-labelledby="headingOne-salary-accordion" data-bs-parent="#accordion-salary-one">
                              <div class="accordion-body">
                                <ul>
                                    <?php
                                    $categories = get_terms('salary', array('hide_empty' => false));
                                    foreach ($categories as $category) {
                                        ?>
                                        <li><input id="<?php esc_attr_e($category->slug); ?>" <?php echo esc_html((isset($_REQUEST['job_salary']) && in_array($category->slug, $_REQUEST['job_salary'])) ? "checked" : ""); ?> type="checkbox" class="checkbox" name="job_salary[]"  value="<?php esc_attr_e($category->slug); ?>"> <label for="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></label></li>
                                    <?php } ?>
                                </ul>
                              </div>
                            </div>
                          </div>
                        </div>
                    <?php } ?>
                </form>
            </div>
        <?php } ?>
        <div class="col-12 <?php echo $filter ? 'col-lg-9' : ''; ?>">
            <?php
            $tax_query = array('relation' => 'AND');

            if (isset($_REQUEST['job_city']) && !empty($_REQUEST['job_city']))
                $tax_query[] = array(
                    'taxonomy' => 'city',
                    'field' => 'slug',
                    'terms' => $_REQUEST['job_city'],
                );

            if (isset($_REQUEST['job_category']) && !empty($_REQUEST['job_category']))
                foreach ($_REQUEST['job_category'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'job-category',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_category'],
                    );
                }


            if (isset($_REQUEST['job_type']) && !empty($_REQUEST['job_type']))
                foreach ($_REQUEST['job_type'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'job-type',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_type'],
                    );
                }


            if (isset($_REQUEST['job_industry']) && !empty($_REQUEST['job_industry']))
                foreach ($_REQUEST['job_industry'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'industries',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_industry'],
                    );
                }

            if (isset($_REQUEST['job_gender']) && !empty($_REQUEST['job_gender']))
                foreach ($_REQUEST['job_gender'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'gender',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_gender'],
                    );
                }



            if (isset($_REQUEST['job_experience']) && !empty($_REQUEST['job_experience']))
                foreach ($_REQUEST['job_experience'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'experience',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_experience'],
                    );
                }

            if (isset($_REQUEST['job_qualification']) && !empty($_REQUEST['job_qualification']))
                foreach ($_REQUEST['job_qualification'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'qualification',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_qualification'],
                    );
                }

            if (isset($_REQUEST['job_language']) && !empty($_REQUEST['job_language']))
                foreach ($_REQUEST['job_language'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'language',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_language'],
                    );
                }

            if (isset($_REQUEST['job_salary']) && !empty($_REQUEST['job_salary']))
                foreach ($_REQUEST['job_salary'] as $values) {
                    $tax_query[] = array(
                        'taxonomy' => 'salary',
                        'field' => 'slug',
                        'terms' => $_REQUEST['job_salary'],
                    );
                }
				
				 $search_title='';
                if (isset($_REQUEST['job_name']) && !empty($_REQUEST['job_name']))
               $search_title=$_REQUEST['job_name'];
			   
            $wpDateFormat = get_option('date_format');
            $today = current_time('timestamp');
            $number = 10;
            if ($view == 'grid') {
                $number = 9;
            }
            $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
            $args = array(
                'post_type' => 'jobs',
                'tax_query' => $tax_query,
                'posts_per_page' => $number,
                'paged' => $paged,
                's' => $search_title
                
            );

            $the_query = new WP_Query($args);
            $current_page = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
            $total_pages = $the_query->max_num_pages;
            $total_jobs = $the_query->found_posts;
            ?>

            <?php if (is_user_logged_in() && jxpress_userrole_exist('candidate')) { ?>
                <div class="float-left w-100">
                    <a href="#" data-bs-toggle="collapse" data-bs-target="#alert" class="mb-2 float-left jxpress-btn-outline"><?php echo esc_html__('Add Alert', 'jxpress-portal'); ?></a>
                </div>
                <div  id="alert" class="collapse border p-3 mb-2 float-left w-100">
                    <form class="jxpress-alerts">
                        <input type="hidden" id="action" name="action" value="add_jobalert">
                        <input type="hidden" name="search_query" id="search_query" value='<?php echo json_encode($_GET); ?>'>
                        <div class="row">
                            <div class="col-12 col-md-5 my-auto"> <input name="alerts_name" id="alertname" required placeholder="<?php echo esc_html__('Job alert name...', 'jxpress-portal'); ?>" class="form-control name-input-top"  type="text">
                            </div>
                            <div class="col-12 col-md-5 my-auto"> <input type="email" required id="alerts_email"  placeholder="<?php echo esc_html__('example@email.com', 'jxpress-portal'); ?>" name="alerts_email" value="<?php echo $current_user->user_email; ?>" >
                            </div>
                            <div class="col-12 col-md-2 my-auto"> <button name="AlertsEmail" class="jobalert-submit" type="submit"><?php echo esc_html__('Submit', 'jxpress-portal'); ?></button> </div>
                        </div>	</form>
                </div>
            <?php } ?>


            <?php if ($resultsnviewfilter && $the_query->have_posts()) { ?>
                <div class="container">
                    <div class="row border mb-3 font-weight-bold">
                        <div class="col-12 col-md-8 my-auto">
                            <?php echo esc_html__('Showing', 'jxpress-portal'); ?> <?php echo (($current_page - 1) * $number) + 1; ?>-<?php echo $total_pages == $current_page ? $total_jobs : $current_page * $number; ?> <?php echo esc_html__('of', 'jxpress-portal'); ?> <?php echo $total_jobs; ?>
                        </div>
                        <div class="col-12 col-md-4 my-auto">
                            <ul class="list-inline float-right m-0 jxpress-listing-view">
                                <li class="list-inline-item"><a class="social-icon text-xs-center <?php echo $view == 'grid' ? 'active' : ''; ?>" href="<?php echo get_permalink(get_the_ID()); ?>?grid=1"><i class="fa fa-th-large" aria-hidden="true"></i></a></li>
                                <li class="list-inline-item"><a class="social-icon text-xs-center <?php echo $view == 'list' ? 'active' : ''; ?>" href="<?php echo get_permalink(get_the_ID()); ?>?list=1"><i class="fa fa-list" aria-hidden="true"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            <?php } ?>

            <?php if ($map && $the_query->have_posts()) {
                $portal_data = jxpress_portal_data();
            ?>
                <div class="candidate-listing container p-0">
                    <div id="jxpressmap" data-zoom="4"></div>  
                </div>
            <?php } ?>
            <div class="candidate-listing container border-top">  

                <?php $jobsArr = array(); if ($the_query->have_posts()) { ?>

                    <?php if ($view == 'grid') { ?>
                        <div class="border border-top-0 border-right-0 border-bottom-0 row">
                        <?php } ?>
                        <?php
                        while ($the_query->have_posts()) {
                            $the_query->the_post();
                            $job_author_id = get_post_field('post_author', get_the_ID());
                            $user_info     = get_user_meta($job_author_id);

                            $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                            $cat_values = [];
                            foreach ($terms as $term) {
                                $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                array_push( $cat_values, $jobterm->name );
                            }

                            $terms = wp_get_post_terms(get_the_ID(), 'city');
                            $job_city = [];
                            foreach ($terms as $term) {
                                $jobterm = get_term_by('id', $term->term_id, 'city');
                                $job_city[] = $jobterm->name;
                            }

                            $terms = wp_get_post_terms(get_the_ID(), 'country');
                            $job_country = [];
                            foreach ($terms as $term) {
                                $jobterm = get_term_by('id', $term->term_id, 'country');
                                $job_country[] = $jobterm->name;
                            }

                            if ( ! empty( get_post_meta(get_the_ID(), 'job_latitude', true) ) ) {
                                $jobsData = array(
                                    'jobid'     => get_the_ID(),
                                    'permalink' => get_the_permalink(get_the_ID()),
                                    'avatar'    => isset( $user_info['avatar'][0] ) ? $user_info['avatar'][0] : '',
                                    'usertitle' => esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""),
                                    'title'     => get_the_title(),
                                    'category'  => implode( ', ', $cat_values ),
                                    'location'  => implode(", ", $job_city),', '.implode(", ", $job_country),
                                    'latitude'  => get_post_meta(get_the_ID(), 'job_latitude', true),
                                    'longitude' => get_post_meta(get_the_ID(), 'job_longitude', true),
                                );
                                array_push( $jobsArr, $jobsData );
                            }
                            ?>
                            <?php if ($view == 'list') { ?>

                                <div class="row text-center text-md-left border border-top-0 jxpress-list-item py-3 map-item" data-latitude="<?php echo get_post_meta(get_the_ID(), 'job_latitude', true); ?>" data-longitude="<?php echo get_post_meta(get_the_ID(), 'job_longitude', true); ?>">

                                    <?php if ($map) { ?>
                                        <div class="d-none map-content job-<?php echo esc_attr( get_the_ID() ); ?>">
                                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                    <a href="<?php echo get_permalink(get_the_ID()); ?>">
                                                        <?php if (isset($user_info['avatar']) && !empty($user_info['avatar'][0])) { ?>

                                                            <img src="<?php echo $user_info['avatar'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>  
                                                    </a>
                                                </div>
                                                <div class="py-1 px-0"><h6 class="m-0"><?php echo get_the_title(); ?></h6></div>
                                                <p> <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                    $selected_values = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                        echo '<b>' . $jobterm->name . '</b>';
                                                    }
                                                    ?></p>
                                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'city');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?>, <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'country');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?></span></p>
                                                <p><a href="<?php echo get_permalink(get_the_ID()); ?>"  class="btn-outline shortlist shortlist-job text-center"><?php echo esc_html('Apply Now'); ?></a>
                                                </p>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class="col-12 col-md-2  text-center my-auto">  

                                        <a href="<?php echo get_permalink(get_the_ID()); $singleJobImg = isset( $user_info['wp_full_avatars'][0] ) ? $user_info['wp_full_avatars'][0] : ''; ?>">                                   
                                            <?php if (isset($user_info['avatar']) && !empty($user_info['avatar'][0])) { ?>

                                                <img src="<?php echo $user_info['avatar'][0]; ?>" class="border p-2 bg-white img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                            <?php } elseif( ! empty( $singleJobImg ) ) { ?>
                                                <img src="<?php echo esc_url( $singleJobImg ); ?>" class="border p-2 bg-white img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/> 
                                            <?php } ?>                                  
                                        </a>

                                    </div>
                                    <div class="col-12 col-md-7">
                                        <div class="text-shorting">                                           
                                            <div class="row jxpress-small">
                                                <div class="col-md-8">
                                                    <h6 class="jxpress-title mb-0 mt-3 mt-md-0"><a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                                    <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                    $selected_values = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                        echo '<b>' . $jobterm->name . '</b>';
                                                    }
                                                    ?>
                                                    <br/> <span><strong><?php echo esc_html__('Salary', 'jxpress-portal'); ?> : </strong> <i class="fa fa-money"></i> 

                                                        <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'salary');
                                                        $selected_values = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'salary');
                                                            echo $jobterm->name;
                                                        }
                                                        ?></span>
                                                    <br class="d-block d-md-none"/>
                                                    <i class="ml-3 fa fa-map-marker"></i> <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                    $langs = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'city');
                                                        $langs[] = $jobterm->name;
                                                    }
                                                    echo implode(", ", $langs);
                                                    ?>, <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                    $langs = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'country');
                                                        $langs[] = $jobterm->name;
                                                    }
                                                    echo implode(", ", $langs);
                                                    ?>
                                                </div>
                                                <div class="col-md-4  my-3 my-md-auto text-center text-md-center">
                                                    <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                                    foreach ($terms as $term) {
                                                        ?>
                                                        <span class="job-type-box  <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                                        <?php
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="col-12 col-md-3 text-center my-auto">

                                        <a href="#"  class="btn-outline  shortlist shortlist-job text-center  <?php echo esc_html(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo get_the_ID(); ?>"><?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>

                                    </div>

                                </div>
                            <?php } ?>
                            <?php if ($view == 'grid') { ?>
                                <div class="col-12 text-center text-lg-left col-md-6 col-lg-4 border-right  border-bottom <?php
                                $terms = wp_get_post_terms(get_the_ID(), 'job-type');
                                foreach ($terms as $term) {
                                    ?>
                                    <?php echo 'border-' . $term->slug; ?>
                                    <?php
                                }
                                ?> p-3 jxpress-list-item  map-item" data-latitude="<?php echo get_post_meta(get_the_ID(), 'job_latitude', true); ?>" data-longitude="<?php echo get_post_meta(get_the_ID(), 'job_longitude', true); ?>">
                                     <?php if ($map) { ?>
                                        <div class="d-none map-content job-<?php echo esc_attr( get_the_ID() ); ?>">
                                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                    <a href="<?php echo get_permalink(get_the_ID()); ?>">
                                                        <?php if (isset($user_info['avatar']) && !empty($user_info['avatar'][0])) { ?>

                                                            <img src="<?php echo $user_info['avatar'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>  
                                                    </a>
                                                </div>
                                                <div class="py-1 px-0"><h6 class="m-0"><?php echo get_the_title(); ?></h6></div>
                                                <p> <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                    $selected_values = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                        echo '<b>' . $jobterm->name . '</b>';
                                                    }
                                                    ?></p>
                                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'city');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?>, <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'country');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?></span></p>
                                                <p><a href="<?php echo get_permalink(get_the_ID()); ?>"  class="btn-outline shortlist shortlist-job text-center"><?php echo esc_html__('Apply Now', 'jxpress-portal'); ?></a>
                                                </p>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class=" mb-3 text-center">
                                        <a href="<?php echo get_permalink(get_the_ID()); ?>">                                   
                                            <?php if (isset($user_info['avatar']) && !empty($user_info['avatar'][0])) { ?>

                                                <img src="<?php echo $user_info['avatar'][0]; ?>" class="border p-2 bg-white img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                            <?php } ?>                                     
                                        </a>
                                    </div>
                                    <div class="jxpress-small text-center">
                                        <h6 class="jxpress-title mb-0"><a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                        <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                        $selected_values = [];
                                        foreach ($terms as $term) {
                                            $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                            echo '<b>' . $jobterm->name . '</b>';
                                        }
                                        ?>
                                        <br/> <span><strong><?php echo esc_html__('Salary', 'jxpress-portal'); ?> : </strong> <i class="fa fa-money"></i> 

                                            <?php
                                            $terms = wp_get_post_terms(get_the_ID(), 'salary');
                                            $selected_values = [];
                                            foreach ($terms as $term) {
                                                $jobterm = get_term_by('id', $term->term_id, 'salary');
                                                echo $jobterm->name;
                                            }
                                            ?></span>
                                        <br class="d-block"/>
                                        <i class="ml-3 fa fa-map-marker"></i> <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'city');
                                        $langs = [];
                                        foreach ($terms as $term) {
                                            $jobterm = get_term_by('id', $term->term_id, 'city');
                                            $langs[] = $jobterm->name;
                                        }
                                        echo implode(", ", $langs);
                                        ?>, <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'country');
                                        $langs = [];
                                        foreach ($terms as $term) {
                                            $jobterm = get_term_by('id', $term->term_id, 'country');
                                            $langs[] = $jobterm->name;
                                        }
                                        echo implode(", ", $langs);
                                        ?>


                                    </div>
                                    <div class="row mt-3 ">
                                        <div class="col-12 my-auto text-center">
                                            <a href="#"  class="btn-outline mb-3  shortlist shortlist-job text-center <?php echo esc_html(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo get_the_ID(); ?>"><?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>
                                            <br/>

                                            <?php
                                            $terms = wp_get_post_terms(get_the_ID(), 'job-type');
                                            foreach ($terms as $term) {
                                                ?>
                                                <span class="text-center mt-2 mt-md-0 job-type-box  <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>
                            <?php
                        }
                        wp_reset_query();
                        ?>
                        <?php if ($view == 'grid') { ?>
                        </div>
                    <?php } ?>

                    <?php
                } else {
                    ?>
                    <div class="row border border-top-0">
                        <div class="col-md-12"><b>
                                <?php echo esc_html__('There are no results that match your search.', 'jxpress-portal'); ?></b>

                        </div>
                    </div>
                    <?php
                }
                ?>

            </div>
            <div class="clearfix pagination mt-3 float-right">
                <?php
                echo paginate_links(array(
                    'format' => '?paged=%#%',
                    'current' => max(1, get_query_var('paged')),
                    'prev_text' => __('<', 'jxpress-portal'),
                    'next_text' => __('>', 'jxpress-portal'),
                    'type' => 'list',
                    'total' => $the_query->max_num_pages
                ));
                ?>
            </div>
        </div>
    </div>

    <?php 
        if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' && ! empty( $jobsArr ) ) {
            $jobsArr = ($jobsArr);
            $jobEnd = end($jobsArr);
            ?>
            <script type="text/javascript">
                mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

                const map = new mapboxgl.Map({
                    container: 'jxpressmap', // container ID
                    // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                    style: 'mapbox://styles/mapbox/streets-v12', // style URL
                    center: [<?php echo esc_attr( $jobEnd['longitude'] ); ?>, <?php echo esc_attr( $jobEnd['latitude'] ); ?>], // starting position [lng, lat]
                    zoom: 8 // starting zoom
                });

                const geojson = {
                    'type': 'FeatureCollection',
                    'features': [
                        <?php foreach ( $jobsArr as $key => $value ) {
                            $map_lat  = $value['latitude'];
                            $map_long = $value['longitude'];
                            $JobID    = $value['jobid'];
                        ?>
                        {
                            'type': 'Feature',
                            'geometry': {
                                'type': 'Point',
                                'coordinates': [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>]
                            },
                            'properties': {
                                'jobid': '<?php echo $JobID ?>',
                                'permalink': '<?php echo $value['permalink']; ?>',
                                'avatar': '<?php echo $value['avatar']; ?>',
                                'usertitle': '<?php echo $value['usertitle']; ?>',
                                'title': '<?php echo $value['title']; ?>',
                                'category': '<?php echo $value['category']; ?>',
                                'location': '<?php echo $value['location']; ?>'
                            }
                        },
                    <?php } wp_reset_query(); ?>
                    ]
                };

                // add markers to map
                for (const feature of geojson.features) {
                // create a HTML element for each feature
                const el = document.createElement('div');
                el.className = 'marker';
                 
                // make a marker for each feature and add it to the map
                new mapboxgl.Marker(el)
                .setLngLat(feature.geometry.coordinates)
                .setPopup(
                    new mapboxgl.Popup({ offset: 25 }) // add popups
                    .setHTML(
                        `
                        <div class="map-content job-${feature.properties.jobid}">
                            <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                    <a href="${feature.properties.permalink}">
                                        <img src="${feature.properties.avatar}" class="img-fluid rounded" alt="${feature.properties.usertitle}"/>           

                                    </a>
                                </div>
                                <div class="py-1 px-0"><h6 class="m-0">${feature.properties.title}</h6></div>
                                <p> ${feature.properties.category}</p>
                                <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> ${feature.properties.location}</span></p>
                                <p><a href="${feature.properties.permalink}"  class="btn-outline shortlist shortlist-job text-center"><?php echo esc_html('Apply Now'); ?></a>
                                </p>
                            </div>
                        </div>
                        `
                    )
                )
                .addTo(map);
                }

            </script>
            <style type="text/css">
                .marker {
                    background-image: url('<?php echo esc_attr( $map_marker ); ?>');
                }
            </style>
            <?php 

        } 
    ?>

    <?php
    return ob_get_clean();
}
