<?php

add_action('cmb2_admin_init', 'jxpress_job_metabox');

/**
 * Hook in and add a demo metabox. Can only happen on the 'cmb2_admin_init' or 'cmb2_init' hook.
 */
function jxpress_job_metabox() {
    global $post;
    $prefix = '';

    ////////////////////////////// Job Fields ///////////////////////
    $cmb_job = new_cmb2_box(array(
        'id' => $prefix . 'job_option',
        'title' => esc_html__('Job fields', 'jxpress-portal'),
        'object_types' => array('jobs'), // Post type
    ));
    $cmb_job->add_field(array(
        'name' => esc_html__('Application Last Date', 'jxpress-portal'),
        'id' => 'job_end',
        'type' => 'text_date',
    ));

    $cmb_job->add_field(array(
        'name' => esc_html__('Address', 'jxpress-portal'),
        'id' => 'job_address',
        'type' => 'textarea',
    ));
    $cmb_job->add_field(array(
        'name' => esc_html__('Featured', 'jxpress-portal'),
        'id' => 'job_featured',
        'type' => 'checkbox',
    ));


    /*     * *********************** Job Category Icon Filed **************** */

    $prefix = 'term_';
    $cmb_jobtype = new_cmb2_box(array(
        'id' => $prefix . 'term_jobcategory',
        'title' => esc_html__('Icon', 'jxpress'),
        'object_types' => array('term'),
        'taxonomies' => 'job-category',
        'new_term_section' => true, // This is important as well
    ));

    // Add new field
    $cmb_jobtype->add_field(array(
        'name' => __('Select Icon', 'jxpress-portal'),
        'id' => 'prefix_icon',
        'type' => 'fontawesome_icon', // This field type
    ));



    /*     * *********************** Job Type Color Filed **************** */

    $prefix = 'term_';
    $cmb_jobtype = new_cmb2_box(array(
        'id' => $prefix . 'term_jobtype',
        'title' => esc_html__('Options', 'jxpress-portal'),
        'object_types' => array('term'),
        'taxonomies' => 'job-type',
        'new_term_section' => true, // This is important as well
    ));

    $cmb_jobtype->add_field(array(
        'name' => esc_html__('Color', 'jxpress-portal'),
        'id' => 'category_colorpicker',
        'type' => 'colorpicker',
        'default' => '#5cc069'
    ));


    /*     * *********************** Currency Filed **************** */
    $cmb_currency = new_cmb2_box(array(
        'id' => $prefix . 'term_jobcurrency',
        'title' => esc_html__('Options', 'jxpress-portal'),
        'object_types' => array('term'),
        'taxonomies' => 'currency',
        'new_term_section' => true, // This is important as well
    ));

    $cmb_currency->add_field(array(
        'name' => __('Select Icon', 'jxpress-portal'),
        'id' => 'currency_icon',
        'type' => 'fontawesome_icon', // This field type
    ));


    /*     * *********************** Currency Filed **************** */
    $cmb_city = new_cmb2_box(array(
        'id' => $prefix . 'term_jobcity',
        'title' => esc_html__('Country', 'jxpress-portal'),
        'object_types' => array('term'),
        'taxonomies' => 'city',
        'new_term_section' => true, // This is important as well
    ));

    $cmb_city->add_field(array(
        'name' => __('Select Country', 'jxpress-portal'),
        'id' => 'city_country',
        'type' => 'select', // This field type
        'options_cb' => 'jxpress_get_countries',
    ));



    ////////////////////////////// Job Fields ///////////////////////
    $cmb_app = new_cmb2_box(array(
        'id' => $prefix . 'application_option',
        'title' => esc_html__('Application fields', 'jxpress-portal'),
        'object_types' => array('applications'), // Post type
    ));
    $cmb_app->add_field(array(
        'name' => esc_html__('Applicant Email', 'jxpress-portal'),
        'id' => 'allication_email',
        'type' => 'text',
    ));

    $cmb_app->add_field(array(
        'name' => esc_html__('Applicant Phone', 'jxpress-portal'),
        'id' => 'allication_phone',
        'type' => 'text',
    ));

    $cmb_app->add_field(array(
        'name' => esc_html__('CV', 'jxpress-portal'),
        'id' => 'allication_cv',
        'type' => 'file',
    ));



    ////////////////////////////// Alert Fields ///////////////////////
    $cmb_app = new_cmb2_box(array(
        'id' => $prefix . 'job_alert',
        'title' => esc_html__('Alert fields', 'jxpress-portal'),
        'object_types' => array('job-alerts'), // Post type
    ));
    $cmb_app->add_field(array(
        'name' => esc_html__('Applicant Email', 'jxpress-portal'),
        'id' => 'alert_email',
        'type' => 'text',
    ));
}

function jxpress_get_countries() {

    $terms = get_terms(array(
        'taxonomy' => 'country',
        'hide_empty' => false,
    ));

    $options = [];

    foreach ($terms as $term) {
        $options[$term->term_id] = $term->name;
    }

    return $options;
}
