<?php

add_action('cmb2_admin_init', 'jxpress_register_metabox');

/**
 * Hook in and add a demo metabox. Can only happen on the 'cmb2_admin_init' or 'cmb2_init' hook.
 */
function jxpress_register_metabox() {
    $prefix = '';

    
     ////////////////////////////// Color Option ///////////////////////
    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'theme_color',
        'title' => esc_html__('Color Option', 'jxpress-portal'),
        'object_types' => array('page', 'post','jobs'), // Post type
    ));

     $cmb_demo->add_field(array(
        'name' => esc_html__('primary Color', 'jxpress-portal'),
        'id' => $prefix . 'primary_color',
        'type' => 'colorpicker',
        'default' => '#017583',
    ));
      $cmb_demo->add_field(array(
        'name' => esc_html__('Secondary Color', 'jxpress-portal'),
        'id' => $prefix . 'secondary_color',
        'type' => 'colorpicker',
        'default' => '#ff8800',
    ));
  
    ////////////////////////////// Page Title ///////////////////////
    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'page_title',
        'title' => esc_html__('Page Title', 'jxpress-portal'),
        'object_types' => array('page', 'post'), // Post type
    ));



    $cmb_demo->add_field(array(
        'name' => esc_html__('Hide Title Bar', 'jxpress-portal'),
        'desc' => esc_html__('Hide Title Bar', 'jxpress-portal'),
        'id' => $prefix . 'disable_title_bar',
        'type' => 'checkbox',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Hide Breadcrum', 'jxpress-portal'),
        'desc' => esc_html__('Hide Breadcrum', 'jxpress-portal'),
        'id' => $prefix . 'hide_breadcrum',
        'type' => 'checkbox',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Top Padding', 'jxpress-portal'),
        'desc' => esc_html__('Top PAdding', 'jxpress-portal'),
        'id' => $prefix . 'header_padding_top',
        'default' => '70px',
        'type' => 'text',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Bottom Padding', 'jxpress-portal'),
        'desc' => esc_html__('Bottom Padding', 'jxpress-portal'),
        'id' => $prefix . 'header_padding_bottom',
        'default' => '70px',
        'type' => 'text',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Alignment', 'jxpress-portal'),
        'desc' => esc_html__('Alignment', 'jxpress-portal'),
        'id' => $prefix . 'title_alignment',
        'type' => 'select',
        'show_option_none' => true,
        'options' => array(
            'left' => esc_html__('Left', 'jxpress-portal'),
            'center' => esc_html__('Center', 'jxpress-portal'),
            'right' => esc_html__('Right', 'jxpress-portal'),
            'leftright' => esc_html__('Title Left - Breadcrum Right', 'jxpress-portal'),
            'rightleft' => esc_html__('Title Right - Breadcrum Left', 'jxpress-portal')
        ),
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Title Background', 'jxpress-portal'),
        'id' => $prefix . 'header_background',
        'type' => 'file'
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Title Background Color', 'jxpress-portal'),
        'id' => $prefix . 'header_background_color',
        'type' => 'colorpicker',
        'default' => '',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Title  Color', 'jxpress-portal'),
        'id' => $prefix . 'header_color',
        'type' => 'colorpicker',
        'default' => '',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Excerpt', 'jxpress-portal'),
        'id' => $prefix . 'page_excerpt',
        'type' => 'textarea',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Excerpt Color', 'jxpress-portal'),
        'id' => $prefix . 'excerpt_color',
        'type' => 'colorpicker',
        'default' => '',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Excerpt Max Width', 'jxpress-portal'),
        'desc' => esc_html__('Excerpt Max Width', 'jxpress-portal'),
        'id' => $prefix . 'excerpt_max_width',
        'default' => '500px',
        'type' => 'text',
    ));

    
   

    /////////////////////////////// Header Setting //////////////////

    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'header',
        'title' => esc_html__('Header Option', 'jxpress-portal'),
        'object_types' => array('page', 'post'), // Post type
    ));

    
    $cmb_demo->add_field(array(
        'name' => esc_html__('Disable Header', 'jxpress-portal'),
        'desc' => esc_html__('Disable Header', 'jxpress-portal'),
        'id' => $prefix . 'disable_header',
        'type' => 'checkbox',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Use Light Logo and Menu', 'jxpress-portal'),
        'desc' => esc_html__('Use Light Logo and Menu', 'jxpress-portal'),
        'id' => $prefix . 'light_menu_logo',
        'type' => 'checkbox',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Transparent Menu', 'jxpress-portal'),
        'desc' => esc_html__('Transparent Menu', 'jxpress-portal'),
        'id' => $prefix . 'transparent_menu',
        'type' => 'checkbox',));


    $cmb_demo->add_field(array(
        'name' => esc_html__('Header Opacity', 'jxpress-portal'),
        'desc' => esc_html__('Header Opacity (0-100%)', 'jxpress-portal'),
        'id' => $prefix . 'header_opacity',
        'default' => 1,
        'type' => 'text',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Header style', 'jxpress-portal'),
        'desc' => esc_html__('Header style', 'jxpress-portal'),
        'id' => $prefix . 'header-layout',
        'type' => 'select',
        'show_option_none' => true,
        'options' => array(
            'default' => esc_html__('Default', 'jxpress-portal'),
            'fluid' => esc_html__('100%', 'jxpress-portal')
        ),
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Menu style', 'jxpress-portal'),
        'desc' => esc_html__('Menu style', 'jxpress-portal'),
        'id' => $prefix . 'menu-layout',
        'type' => 'select',
        'show_option_none' => true,
        'options' => array(
            'default' => 'Horizontal',
            'flyout-menu' => 'Hamburger Menu',
            'vertical-menu' => 'Vertical'
        ),
    ));

    ///////////////////////////////// Sidebar ///////////////////////////////


    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'sidebar',
        'title' => esc_html__('Sidebar Option', 'jxpress-portal'),
        'object_types' => array('page', 'post'), // Post type
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Sticky Sidebar', 'jxpress-portal'),
        'desc' => esc_html__('Sticky Sidebar', 'jxpress-portal'),
        'id' => $prefix . 'sticky_sidebar',
        'type' => 'checkbox',
    ));


    $cmb_demo->add_field(array(
        'name' => esc_html__('Sidebar Position', 'jxpress-portal'),
        'desc' => esc_html__('Sidebar Position', 'jxpress-portal'),
        'id' => $prefix . 'sidebar_position',
        'type' => 'select',         
        'options' => array(
            '' => esc_html__('', 'jxpress-portal'),
            'nosidebar' => esc_html__('No Sidebar', 'jxpress-portal'),
            'left'      => esc_html__('Left', 'jxpress-portal'),
            'right'     => esc_html__('Right', 'jxpress-portal')
        ),
        'default' => 'nosidebar',
    ));

    ///////////////////////////////// Page Setting ///////////////////////////////


    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'setting',
        'title' => esc_html__('Page Setting', 'jxpress-portal'),
        'object_types' => array('page', 'post'), // Post type
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('No Top Padding', 'jxpress-portal'),
        'desc' => esc_html__('No Top Padding', 'jxpress-portal'),
        'id' => $prefix . 'no_top_padding',
        'type' => 'checkbox',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('No Bottom Padding', 'jxpress-portal'),
        'desc' => esc_html__('No Bottom Padding', 'jxpress-portal'),
        'id' => $prefix . 'no_bottom_padding',
        'type' => 'checkbox',
    ));
   

    ///////////////////////////////// Footer Setting ///////////////////////////////


    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'footer',
        'title' => esc_html__('Footer Setting', 'jxpress-portal'),
        'object_types' => array('page', 'post'), // Post type
    ));
    $args = array('post_type' => 'jxpress_footer', 'posts_per_page' => -1);
$pageArray=[];
    $loop = new WP_Query($args);
    if ($loop->have_posts()) {
        while ($loop->have_posts()) : $loop->the_post();
            //
            $varID = get_the_id();
            $varName = get_the_title();
            $pageArray[$varID] = $varName;
        endwhile;
    }
    $cmb_demo->add_field(array(
        'name' => esc_html__('Custom Footer', 'jxpress-portal'),
        'desc' => esc_html__('Custom Footer', 'jxpress-portal'),
        'id' => $prefix . 'footer-option',
        'type' => 'select',
        'show_option_none' => true,
        'options' => $pageArray
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Parallax Footer', 'jxpress-portal'),
        'desc' => esc_html__('Parallax Footer', 'jxpress-portal'),
        'id' => $prefix . 'parallax_footer',
        'type' => 'checkbox',
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Hide Footer', 'jxpress-portal'),
        'desc' => esc_html__('Hide Footer', 'jxpress-portal'),
        'id' => $prefix . 'hide_footer',
        'type' => 'checkbox',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('Hide Copyright', 'jxpress-portal'),
        'desc' => esc_html__('Hide Copyright', 'jxpress-portal'),
        'id' => $prefix . 'hide_copyright',
        'type' => 'checkbox',
    ));
    ///////////////////////////////// Preloader ///////////////////////////////


    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'preloader',
        'title' => esc_html__('Preloader Option', 'jxpress-portal'),
        'object_types' => array('page', 'post'), // Post type
    ));

    $cmb_demo->add_field(array(
        'name' => esc_html__('Enable Preloader', 'jxpress-portal'),
        'desc' => esc_html__('Enable Preloader', 'jxpress-portal'),
        'id' => $prefix . 'enable_preloader',
        'type' => 'checkbox',
    ));
    
    
    
    
     ////////////////////////////// Footer  Option ///////////////////////
    $cmb_demo = new_cmb2_box(array(
        'id' => $prefix . 'footer_option',
        'title' => esc_html__('Footer Option', 'jxpress-portal'),
        'object_types' => array('jxpress_footer'), // Post type
    ));

     $cmb_demo->add_field(array(
        'name' => esc_html__('Title Color', 'jxpress-portal'),
        'id' => $prefix . 'title_color',
        'type' => 'colorpicker',
        'default' => '#fff',
    ));
      $cmb_demo->add_field(array(
        'name' => esc_html__('Text Color', 'jxpress-portal'),
        'id' => $prefix . 'text_color',
        'type' => 'colorpicker',
        'default' => '#aad4d9',
    ));
       $cmb_demo->add_field(array(
        'name' => esc_html__('Title line Color', 'jxpress-portal'),
        'id' => $prefix . 'title_line_color',
        'type' => 'colorpicker',
        'default' => '#fff',
    ));
      $cmb_demo->add_field(array(
        'name' => esc_html__('Link Color', 'jxpress-portal'),
        'id' => $prefix . 'link_color',
        'type' => 'colorpicker',
        'default' => '#aad4d9',
    ));
      $cmb_demo->add_field(array(
        'name' => esc_html__('Link Hover Color', 'jxpress-portal'),
        'id' => $prefix . 'link_hover_color',
        'type' => 'colorpicker',
        'default' => '#fff',
    ));
 $cmb_demo->add_field(array(
        'name' => esc_html__('No Top Padding', 'jxpress-portal'),
        'desc' => esc_html__('No Top Padding', 'jxpress-portal'),
        'id' => $prefix . 'no_top_padding',
        'type' => 'checkbox',
    ));
    $cmb_demo->add_field(array(
        'name' => esc_html__('No Bottom Padding', 'jxpress-portal'),
        'desc' => esc_html__('No Bottom Padding', 'jxpress-portal'),
        'id' => $prefix . 'no_bottom_padding',
        'type' => 'checkbox',
    ));



    ////////////////////////// User Filed ////////////////////////
    $cmb_user = new_cmb2_box(array(
        'id' => $prefix . 'useredit',
        'object_types' => array('user'), // Tells CMB2 to use user_meta vs post_meta
        'show_names' => true,
        'new_user_section' => 'add-new-user', // where form will show on new user page. 'add-existing-user' is only other valid option.
    ));


    $cmb_user->add_field(array(
        'name' => esc_html__('Extra Info', 'jxpress-portal'),
        'id' => $prefix . 'extra_info',
        'type' => 'title',
        'on_front' => false,
    ));

    $cmb_user->add_field(array(
        'name' => esc_html__('Avatar', 'jxpress-portal'),
        'id' => $prefix . 'avatar',
        'type' => 'file',
    ));

    $cmb_user->add_field(array(
        'name' => esc_html__('Facebook URL', 'jxpress-portal'),
        'id' => $prefix . 'facebookurl',
        'type' => 'text_url',
    ));

    $cmb_user->add_field(array(
        'name' => esc_html__('Twitter URL', 'jxpress-portal'),
        'id' => $prefix . 'twitterurl',
        'type' => 'text_url',
    ));

    // $cmb_user->add_field(array(
    //     'name' => esc_html__('Google+ URL', 'jxpress-portal'),
    //     'id' => $prefix . 'googleplusurl',
    //     'type' => 'text_url',
    // ));

    $cmb_user->add_field(array(
        'name' => esc_html__('Linkedin URL', 'jxpress-portal'),
        'id' => $prefix . 'linkedinurl',
        'type' => 'text_url',
    ));
}
