<?php

function jxpress_jobs_type_post_type_init() {
    $labels = array(
        'name' => __('Jobs', 'jxpress-portal'),
        'singular_name' => __('Job', 'jxpress-portal'),
        'menu_name' => __('Jobs', 'jxpress-portal'),
        'name_admin_bar' => __('Job', 'jxpress-portal'),
        'add_new' => __('Add New', 'jxpress-portal'),
        'add_new_item' => __('Add New Listing Type', 'jxpress-portal'),
        'new_item' => __('New Job', 'jxpress-portal'),
        'edit_item' => __('Edit Job', 'jxpress-portal'),
        'view_item' => __('View Job', 'jxpress-portal'),
        'all_items' => __('All Job', 'jxpress-portal'),
        'search_items' => __('Search Job', 'jxpress-portal'),
        'not_found' => __('No Team found.', 'jxpress-portal'),
        'not_found_in_trash' => __('No Job found in Trash.', 'jxpress-portal')
    );

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'query_var' => false,
        'hierarchical' => false,
        'supports' => array('title', 'editor', 'thumbnail', 'excerpt', 'comments','author'),
        'menu_icon' => 'dashicons-list-view'
    );
    register_post_type('jobs', $args);

    $args = array(
        'name' => __('Job Types', 'jxpress-portal'),
        'menu_name' => __('Job Types', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
    );

    register_taxonomy('job-type', array('jobs', 'job-alerts'), $catargs);

    $args = array(
        'name' => __('Category', 'jxpress-portal'),
        'menu_name' => __('Job Category', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
    );

    register_taxonomy('job-category', array('jobs', 'job-alerts'), $catargs);


    $args = array(
        'name' => __('Industries', 'jxpress-portal'),
        'menu_name' => __('Industries', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
    );

    register_taxonomy('industries', array('jobs', 'job-alerts'), $catargs);


    $args = array(
        'name' => __('Languages', 'jxpress-portal'),
        'menu_name' => __('Languages', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
    );

    register_taxonomy('language', array('jobs', 'job-alerts'), $catargs);




    $args = array(
        'name' => __('Salary', 'jxpress-portal'),
        'menu_name' => __('Salary', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
            // 'meta_box_cb' => 'job_salary_meta_box',
    );

    register_taxonomy('salary', array('jobs', 'job-alerts'), $catargs);


    $args = array(
        'name' => __('Experience', 'jxpress-portal'),
        'menu_name' => __('Experience', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
            //'meta_box_cb' => 'job_experience_meta_box',
    );
    register_taxonomy('experience', array('jobs', 'job-alerts'), $catargs);


    $args = array(
        'name' => __('Gender', 'jxpress-portal'),
        'menu_name' => __('Gender', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
            //'meta_box_cb' => 'job_gender_meta_box',
    );
    register_taxonomy('gender', array('jobs', 'job-alerts'), $catargs);

    $args = array(
        'name' => __('Qualification', 'jxpress-portal'),
        'menu_name' => __('Qualification', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true,
            //'meta_box_cb' => 'job_qualification_meta_box',
    );
    register_taxonomy('qualification', array('jobs', 'job-alerts'), $catargs);


    $args = array(
        'name' => __('Country', 'jxpress-portal'),
        'menu_name' => __('Country', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true
    );
    register_taxonomy('country', 'jobs', $catargs);



    $args = array(
        'name' => __('City', 'jxpress-portal'),
        'menu_name' => __('City', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'parent_item' => null,
        'parent_item_colon' => null,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true
    );
    register_taxonomy('city', array('jobs', 'job-alerts'), $catargs);


    $args = array(
        'name' => __('Business Type', 'jxpress-portal'),
        'menu_name' => __('Business Type', 'jxpress-portal'),
    );
    $catargs = array(
        'hierarchical' => true,
        'labels' => $args,
        'show_ui' => true,
        'show_admin_column' => true,
        'query_var' => true,
        'public' => true,
        'rewrite' => true
    );
    register_taxonomy('business_type', 'jobs', $catargs);



    $labels = array(
        'name' => __('Applications', 'jxpress-portal'),
        'singular_name' => __('Application', 'jxpress-portal'),
        'menu_name' => __('Applications', 'jxpress-portal'),
        'name_admin_bar' => __('Application', 'jxpress-portal'),
        'add_new' => __('Add New', 'jxpress-portal'),
        'add_new_item' => __('Add New Application', 'jxpress-portal'),
        'new_item' => __('New Application', 'jxpress-portal'),
        'edit_item' => __('Edit Application', 'jxpress-portal'),
        'view_item' => __('View Application', 'jxpress-portal'),
        'all_items' => __('All Application', 'jxpress-portal'),
        'search_items' => __('Search Application', 'jxpress-portal'),
        'not_found' => __('No Application found.', 'jxpress-portal'),
        'not_found_in_trash' => __('No Application found in Trash.', 'jxpress-portal')
    );

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'query_var' => false,
        'hierarchical' => false,
        'supports' => array('title', 'editor'),
        'menu_icon' => 'dashicons-list-view'
    );
    register_post_type('applications', $args);


    $labels = array(
        'name' => __('Alerts', 'jxpress-portal'),
        'singular_name' => __('Alert', 'jxpress-portal'),
        'menu_name' => __('Alerts', 'jxpress-portal'),
        'name_admin_bar' => __('Alert', 'jxpress-portal'),
        'add_new' => __('Add New', 'jxpress-portal'),
        'add_new_item' => __('Add New Alert', 'jxpress-portal'),
        'new_item' => __('New Alert', 'jxpress-portal'),
        'edit_item' => __('Edit Alert', 'jxpress-portal'),
        'view_item' => __('View Alert', 'jxpress-portal'),
        'all_items' => __('All Alert', 'jxpress-portal'),
        'search_items' => __('Search Alert', 'jxpress-portal'),
        'not_found' => __('No Alert found.', 'jxpress-portal'),
        'not_found_in_trash' => __('No Alert found in Trash.', 'jxpress-portal')
    );

    $args = array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'query_var' => false,
        'hierarchical' => false,
        'supports' => array('title'),
        'menu_icon' => 'dashicons-list-view'
    );
    register_post_type('job-alerts', $args);
}

add_action('init', 'jxpress_jobs_type_post_type_init', 5);


add_action('admin_menu', 'jxpress_admin_menu');

function jxpress_admin_menu() {
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=job-type&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=job-category&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=industries&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=language&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=salary&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=experience&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=gender&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=qualification&amp;post_type=job-alerts');
    remove_submenu_page('edit.php?post_type=job-alerts', 'edit-tags.php?taxonomy=city&amp;post_type=job-alerts');
}

function job_currency_meta_box($post) {
    $terms = get_terms('currency', array('hide_empty' => false));
    $post = get_post();
    $rating = wp_get_object_terms($post->ID, 'currency', array('orderby' => 'term_id', 'order' => 'ASC'));
    $name = '';
    if (!is_wp_error($rating)) {
        if (isset($rating[0]) && isset($rating[0]->name)) {
            $name = $rating[0]->name;
        }
    }
    foreach ($terms as $term) {
        ?>
        <label title='<?php esc_attr_e($term->name); ?>'>
            <input type="radio" name="job_currency" value="<?php esc_attr_e($term->slug); ?>" <?php checked($term->name, $name); ?>>
            <span><?php esc_html_e($term->name); ?></span>
        </label><br>
        <?php
    }
}

function job_salary_meta_box($post) {
    $terms = get_terms('salary', array('hide_empty' => false));
    $post = get_post();
    $rating = wp_get_object_terms($post->ID, 'salary', array('orderby' => 'term_id', 'order' => 'ASC'));
    $name = '';
    if (!is_wp_error($rating)) {
        if (isset($rating[0]) && isset($rating[0]->name)) {
            $name = $rating[0]->name;
        }
    }
    foreach ($terms as $term) {
        ?>
        <label title='<?php esc_attr_e($term->name); ?>'>
            <input type="radio" name="job_salary" value="<?php esc_attr_e($term->name); ?>" <?php checked($term->name, $name); ?>>
            <span><?php esc_html_e($term->name); ?></span>
        </label><br>
        <?php
    }
}

function job_experience_meta_box($post) {
    $terms = get_terms('experience', array('hide_empty' => false));
    $post = get_post();
    $rating = wp_get_object_terms($post->ID, 'experience', array('orderby' => 'term_id', 'order' => 'ASC'));
    $name = '';
    if (!is_wp_error($rating)) {
        if (isset($rating[0]) && isset($rating[0]->name)) {
            $name = $rating[0]->name;
        }
    }
    foreach ($terms as $term) {
        ?>
        <label title='<?php esc_attr_e($term->name); ?>'>
            <input type="radio" name="job_experience" value="<?php esc_attr_e($term->name); ?>" <?php checked($term->name, $name); ?>>
            <span><?php esc_html_e($term->name); ?></span>
        </label><br>
        <?php
    }
}

function job_gender_meta_box($post) {
    $terms = get_terms('gender', array('hide_empty' => false));
    $post = get_post();
    $rating = wp_get_object_terms($post->ID, 'gender', array('orderby' => 'term_id', 'order' => 'ASC'));
    $name = '';
    if (!is_wp_error($rating)) {
        if (isset($rating[0]) && isset($rating[0]->name)) {
            $name = $rating[0]->name;
        }
    }
    foreach ($terms as $term) {
        ?>
        <label title='<?php esc_attr_e($term->name); ?>'>
            <input type="radio" name="job_gender" value="<?php esc_attr_e($term->name); ?>" <?php checked($term->name, $name); ?>>
            <span><?php esc_html_e($term->name); ?></span>
        </label><br>
        <?php
    }
}

function job_qualification_meta_box($post) {
    $terms = get_terms('qualification', array('hide_empty' => false));
    $post = get_post();
    $rating = wp_get_object_terms($post->ID, 'qualification', array('orderby' => 'term_id', 'order' => 'ASC'));
    $name = '';
    if (!is_wp_error($rating)) {
        if (isset($rating[0]) && isset($rating[0]->name)) {
            $name = $rating[0]->name;
        }
    }
    foreach ($terms as $term) {
        ?>
        <label title='<?php esc_attr_e($term->name); ?>'>
            <input type="radio" name="job_qualification" value="<?php esc_attr_e($term->name); ?>" <?php checked($term->name, $name); ?>>
            <span><?php esc_html_e($term->name); ?></span>
        </label><br>
        <?php
    }
}

