<?php
add_action( 'init', 'jxpress_initiate_default_options_data' );
function jxpress_initiate_default_options_data() {
    $login       = get_option('jxpress_login');
    $account     = get_option('jxpress_account');
    $search      = get_option('jxpress_search');
    $alert       = get_option('alert_from');
    $mapBoxKey   = get_option('mapbox_key');
    $map_option  = get_option('map_option');
    $jgValue     = get_option('jxpress_general_options_value');
    $jgCheck     = get_option('jxpress_users_check_value');

    $loginPage  = get_page_by_title( 'Login' );
    $loginPage  = isset( $loginPage->ID ) ? $loginPage->ID : '';
    $AccPage    = get_page_by_title( 'Dashboard' );
    $AccPage    = isset( $AccPage->ID ) ? $AccPage->ID : '';
    $SearchPage = get_page_by_title( 'Browse Jobs' );
    $SearchPage = isset( $SearchPage->ID ) ? $SearchPage->ID : '';

    if ( empty( $jgValue ) && ! empty( $loginPage ) && ! empty( $AccPage ) && ! empty( $SearchPage ) ) {
        if ( empty( $login ) && ! empty( $loginPage ) ) {
            update_option( 'jxpress_login', $loginPage );
        }

        if ( empty( $account ) && ! empty( $AccPage ) ) {
            update_option( 'jxpress_account', $AccPage );
        }

        if ( empty( $search ) && ! empty( $SearchPage ) ) {
            update_option( 'jxpress_search', $SearchPage );
        }

        if ( empty( $alert ) ) {
            $alert = get_option('admin_email');
            update_option( 'alert_from', $alert );
        }

        if ( empty( $mapBoxKey ) ) {
            $mapBoxKey = 'pk.eyJ1Ijoid2VibWFzdGVyZHJpdmVyIiwiYSI6ImNsaHZudDl1ajBibTYzY213MHA0N3ZscjEifQ.xSVUFqwfSYccn4XwNqPYjw';
            update_option( 'mapbox_key', $mapBoxKey );
        }

        if ( empty( $map_option ) ) {
            $map_option = 'mapbox';
            update_option( 'map_option', $map_option );
        }
        update_option( 'jxpress_general_options_value', 1 );
    }

    if ( empty( $jgCheck ) ) {

        $EmpArr = array( 'AlbaVila', 'aqulimited', 'cryptolimited', 'dielimited', 'graditechnologies', 'hemilimited', 'jimmy', 'Ndelela', 'oilprojobs', 'PerryKnows', 'pixotechnologies', 'skalimited', 'skiprivate', 'tele', 'velva', 'olimited', 'neolimited', 'protoprivate' );
        $CanArr = array( 'AngelaHaze', 'bb', 'ccabrera', 'DamarisArtiaga', 'ElvieWageman', 'EstherBueche', 'HarrietteGelinas', 'HomerSim', 'HomerSimpson', 'JohnSpectre', 'kevin', 'LeanaAdamo', 'LeviRath', 'obbdpu', 'oo@gmail.com', 'Perry', 'PerryK', 'RachaelSmith', 'sdg', 'SuzyBiggs', 'IGLESIAS' );
        $EmpStatus = 0;
        $CanStatus = 0;

        $sdata1 = array(
            'skill_title'      => 'Photoshop',
            'skill_percentage' => '86',
        );
        $sdata1 = json_encode( $sdata1 );

        $sdata2 = array(
            'skill_title'      => 'Corel Draw',
            'skill_percentage' => '76',
        );
        $sdata2 = json_encode( $sdata2 );

        $sdata3 = array(
            'skill_title'      => 'Adobe illustrator',
            'skill_percentage' => '79',
        );
        $sdata3 = json_encode( $sdata3 );

        $sdata4 = array(
            'skill_title'      => 'Adobe InDesign',
            'skill_percentage' => '57',
        );
        $sdata4 = json_encode( $sdata4 );

        $SkillsData = array( $sdata1, $sdata2, $sdata3, $sdata4 );

        $ExpectedSalary = array( '0-10000', '10000-20000', '20000-30000', '30000-40000', '40000-50000' );
        $ExpectedLoca   = array( 'New York City, United States', 'Los Angeles, United States', 'Chicago, United States', 'Houston, United States' );
        $avatarRandom   = array( '1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12' );
        $CityRandom     = array( 'New York City', 'Los Angeles', 'Chicago', 'Houston' );

        foreach ( $EmpArr as $errarr_key => $errarr_value ) {
            if ( username_exists( $errarr_value ) ) {
                $userData = get_user_by( 'login', $errarr_value );
                $user_id  = $userData->ID;
                $UserId   = new WP_User( $user_id );
                $UserId->set_role( 'employer' );
                update_user_meta( $user_id, 'profile_completed', 1 );
                $EmpStatus++; 
            }
        }

        $avatarRandomCount = 1;
        foreach ( $CanArr as $canarr_key => $canarr_value ) {
            if ( username_exists( $canarr_value ) ) {
                $userData = get_user_by( 'login', $canarr_value );
                $user_id  = $userData->ID;
                $UserId   = new WP_User( $user_id );
                $UserId->set_role( 'candidate' );

                shuffle( $ExpectedSalary );
                $currentSalary = end( $ExpectedSalary );
                $randomSalary  = isset( $ExpectedSalary[0] ) ? $ExpectedSalary[0] : '';

                shuffle( $ExpectedLoca );
                shuffle( $avatarRandom );
                shuffle( $CityRandom );

                if ( $avatarRandomCount == 1 || $avatarRandomCount == 11 ) {
                    update_user_meta( $user_id, 'user_category', 'accounting' );

                    update_user_meta( $user_id, 'user_longitude', '-74.53237530000001' );
                    update_user_meta( $user_id, 'user_latitude', '42.1553663' );

                } elseif ( $avatarRandomCount == 2 || $avatarRandomCount == 12 ) {
                    update_user_meta( $user_id, 'user_category', 'automotive' );

                    update_user_meta( $user_id, 'user_longitude', '-73.89765690000002' );
                    update_user_meta( $user_id, 'user_latitude', '40.7251068' );

                } elseif ( $avatarRandomCount == 3 || $avatarRandomCount == 13 ) {
                    update_user_meta( $user_id, 'user_category', 'business' );

                    update_user_meta( $user_id, 'user_longitude', '-122.06968210000002' );
                    update_user_meta( $user_id, 'user_latitude', '37.9350123' );

                } elseif ( $avatarRandomCount == 4 || $avatarRandomCount == 14 ) {
                    update_user_meta( $user_id, 'user_category', 'construction' );

                    update_user_meta( $user_id, 'user_longitude', '-118.82900110000003' );
                    update_user_meta( $user_id, 'user_latitude', '34.1585332' );

                } elseif ( $avatarRandomCount == 5 || $avatarRandomCount == 15 ) {
                    update_user_meta( $user_id, 'user_category', 'education' );

                    update_user_meta( $user_id, 'user_longitude', '-87.99975139999998' );
                    update_user_meta( $user_id, 'user_latitude', '41.904575' );

                } elseif ( $avatarRandomCount == 6 || $avatarRandomCount == 16 ) {
                    update_user_meta( $user_id, 'user_category', 'engineering' );

                    update_user_meta( $user_id, 'user_longitude', '-87.802369' );
                    update_user_meta( $user_id, 'user_latitude', '42.186126' );

                } elseif ( $avatarRandomCount == 7 || $avatarRandomCount == 17 ) {
                    update_user_meta( $user_id, 'user_category', 'healthcare' );

                    update_user_meta( $user_id, 'user_longitude', '-91.39175060000002' );
                    update_user_meta( $user_id, 'user_latitude', '40.5445608' );

                } elseif ( $avatarRandomCount == 8 || $avatarRandomCount == 18 ) {
                    update_user_meta( $user_id, 'user_category', 'hospitality' );

                    update_user_meta( $user_id, 'user_longitude', '-95.6013041' );
                    update_user_meta( $user_id, 'user_latitude', '29.99577469999999' );

                } elseif ( $avatarRandomCount == 9 || $avatarRandomCount == 19 ) {
                    update_user_meta( $user_id, 'user_category', 'marketing' );

                    update_user_meta( $user_id, 'user_longitude', '-74.53237530000001' );
                    update_user_meta( $user_id, 'user_latitude', '42.1553663' );

                } elseif ( $avatarRandomCount == 10 || $avatarRandomCount == 20 ) {
                    update_user_meta( $user_id, 'user_category', 'telecommunications' );

                    update_user_meta( $user_id, 'user_longitude', '-87.99975139999998' );
                    update_user_meta( $user_id, 'user_latitude', '41.904575' );

                } elseif ( $avatarRandomCount == 22 || $avatarRandomCount == 21 ) {
                    update_user_meta( $user_id, 'user_category', 'telecommunications' );

                    update_user_meta( $user_id, 'user_longitude', '-87.99975139999998' );
                    update_user_meta( $user_id, 'user_latitude', '41.904575' );
                    
                }

                foreach ( $SkillsData as $skil_key => $skil_value ) {
                    add_user_meta( $user_id, 'user_skills', $skil_value );
                }

                $UserLanguage = array( 'arabic', 'english', 'hindi', 'german' );
                $UserLanguage = json_encode( $UserLanguage );

                update_user_meta( $user_id, 'user_age', '32' ); 
                // update_user_meta( $user_id, 'user_address', $ExpectedLoca ); 
                update_user_meta( $user_id, 'user_phone', '01234567890' ); 
                update_user_meta( $user_id, 'profile_completed', 1 ); 
                update_user_meta( $user_id, 'user_expected_salary', $randomSalary );
                update_user_meta( $user_id, 'user_current_salary', $currentSalary );
                update_user_meta( $user_id, 'user_title', 'UI/UX Developer' );
                update_user_meta( $user_id, 'user_city', 'New York City' );
                update_user_meta( $user_id, 'user_country', 'United States' );
                update_user_meta( $user_id, 'user_experience', '2-3-years' );
                update_user_meta( $user_id, 'user_languages', $UserLanguage );
                update_user_meta( $user_id, 'description', '<p>Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum. <b class="text-success">Nam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem.</b> Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero.</p>                                            <blockquote>" Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus. Nullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. "</blockquote>                                            <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo.</p>' );
                update_user_meta( $user_id, 'wp_full_avatars', get_template_directory_uri().'/assets/images/candidate/team'.$avatarRandomCount.'.jpg' );
                
                $CanStatus++;
                $avatarRandomCount++;
            }
        }
        if ( $EmpStatus != 0 && $CanStatus != 0 ) {
            update_option( 'jxpress_users_check_value', 1 );
        }
    }

    // WordPress get all user emails
    $args          = array('orderby' => 'display_name');
    $wp_user_query = new WP_User_Query( $args );
    $authors       = $wp_user_query->get_results();
    if ( ! empty( $authors ) ) {
        foreach ( $authors as $author ) {
            $map_long = get_user_meta( $author->ID, 'user_longitude', true );
            if ( isset( $map_long ) && ! empty( $map_long ) ) {
                $map_long = str_replace( "'","",$map_long );
                update_user_meta( $author->ID, 'user_longitude', $map_long );
            }
        }
    }

}

add_action('admin_menu', 'jxpress_setting_page');
function jxpress_setting_page() {
    add_menu_page(
        __('Jxpress Settings', 'jxpress'), __('Jxpress Settings', 'jxpress'), 'manage_options', 'jxpress-settings', 'jxpress_settings_options', '', 25
    );
    add_submenu_page(
        'jxpress-settings', __('Candidate Settings', 'jxpress'), __('Candidate Settings', 'jxpress'), 'manage_options', 'candidate-settings', 'jxpress_candidate_settings_options'
    );

    add_submenu_page(
        'jxpress-settings', __('Employer Settings', 'jxpress'), __('Employer Settings', 'jxpress'), 'manage_options', 'employer-settings', 'jxpress_employer_settings_options'
    );
    add_submenu_page(
        'jxpress-settings', __('Job Settings', 'jxpress'), __('Job Settings', 'jxpress'), 'manage_options', 'job-settings', 'jxpress_job_settings_options'
    );
}

function jxpress_settings_options() {
    $message = '';
    if (isset($_POST['jxpress_option_page'])) {
        check_ajax_referer('ajax-jxpresssetiing-nonce', 'security');
        if ($_POST['login_page'] != $_POST['myaccount_page']) {
            if (isset($_POST['login_page'])) {
                update_option('jxpress_login', $_POST['login_page']);
            }
            if (isset($_POST['myaccount_page'])) {
                update_option('jxpress_account', $_POST['myaccount_page']);
            }
            if (isset($_POST['alert_from'])) {
                update_option('alert_from', $_POST['alert_from']);
            }
            if (isset($_POST['search_reasult'])) {
                update_option('jxpress_search', $_POST['search_reasult']);
            }
            if (isset($_POST['map_api'])) {
                update_option('map_api', $_POST['map_api']);
            }
            if (isset($_POST['map_marker_icon'])) {
                update_option('map_marker_icon', $_POST['map_marker_icon']);
            }
            if (isset($_POST['mapbox_key'])) {
                update_option('mapbox_key', $_POST['mapbox_key']);
            }
            if (isset($_POST['map_option'])) {
                update_option('map_option', $_POST['map_option']);
            }
            if (isset($_POST['activate_woocommerce'])) {
                update_option('activate_woocommerce', $_POST['activate_woocommerce']);
            } else {
                update_option('activate_woocommerce', 0);
            }

            $message = __('Option Updated Successfully.');
        } else {
            $message = __('Login and Account page must be seperate.');
        }
    }

    $login       = get_option('jxpress_login');
    $account     = get_option('jxpress_account');
    $search      = get_option('jxpress_search');
    $alert       = get_option('alert_from');
    $woocommerce = get_option('activate_woocommerce');
    $mapapi      = get_option('map_api');
    $mapbox_key  = get_option('mapbox_key');
    $map_marker  = get_option('map_marker_icon');
    $map_option  = get_option('map_option');

    wp_enqueue_media();

    $jhfjkhskfhks = get_option('jxpress_general_options_value'); var_dump($jhfjkhskfhks);
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            "use strict";

            jQuery(document).on( 'click', '#map_marker_icon_btn', function (e) {
                e.preventDefault();
                jQuery('body').addClass('modal-open');
                var button = this;
                var image  = wp.media({
                    title: 'Upload Image',
                    multiple: false
                }).open().on('select', function (e) {
                    var uploaded_image = image.state().get('selection').first();
                    var location_image = uploaded_image.toJSON().url;
                    jQuery( '#map_marker_icon' ).val( location_image );
                    jQuery( 'body' ).addClass( 'modal-open' );
                });
            });

        });
    </script>
    <div id="wpbody" role="main">
        <div id="wpbody-content" aria-label="Main content" tabindex="0">
            <div class="wrap">
                <h1><?php echo esc_html__('General Settings', 'jxpress'); ?></h1>

                <?php if (!empty($message)) { ?>
                    <div class="notice-warning settings-error notice is-dismissible">
                        <p class="status alert-warning px-2 mb-0"><?php echo esc_html__($message); ?></p> 
                    </div>
                <?php } ?>
                <form method="post" action="" novalidate="novalidate">
                    <input type="hidden" name="jxpress_option_page" value="setting">
                    <?php wp_nonce_field('ajax-jxpresssetiing-nonce', 'security'); ?>    
                    <table class="form-table" >
                        <tbody>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Login/Signup Page', 'jxpress'); ?></label></th>
                                <td>
                                    <?php
                                    $args = array('name' => 'login_page', 'selected' => $login);
                                    wp_dropdown_pages($args);
                                    ?> 
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('My Account Page', 'jxpress'); ?></label></th>
                                <td>
                                    <?php
                                    $args = array('name' => 'myaccount_page', 'selected' => $account);
                                    wp_dropdown_pages($args);
                                    ?> 
                                </td>
                            </tr>

                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Search Result Page', 'jxpress'); ?></label></th>
                                <td>
                                    <?php
                                    $args = array('name' => 'search_reasult', 'selected' => $search);
                                    wp_dropdown_pages($args);
                                    ?> 
                                </td>
                            </tr>

                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('From Email for Alert mail', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="text" name="alert_from" value="<?php echo $alert; ?>"/>
                                </td>
                            </tr>

                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Google Map Api Key', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="text" name="map_api" value="<?php echo $mapapi; ?>"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Mapbox Token Key', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="text" name="mapbox_key" value="<?php echo $mapbox_key; ?>"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Select Map type', 'jxpress'); ?></label></th>
                                <td>
                                    <select class="form-control" name="map_option">
                                        <option value="googlemap" <?php selected( $map_option, 'googlemap' ); ?>>
                                            <?php esc_html_e( 'Google Map', 'jxpress' ); ?>
                                        </option>
                                        <option value="mapbox" <?php selected( $map_option, 'mapbox' ); ?>>
                                            <?php esc_html_e( 'Map Box', 'jxpress' ); ?>
                                        </option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Marker icon', 'jxpress'); ?></label></th>
                                <td>
                                    <input style="width:80%;" type="text" name="map_marker_icon" id="map_marker_icon" value="<?php echo $map_marker; ?>"/>
                                    <button type="button" class="button" id="map_marker_icon_btn">
                                        <?php esc_html_e( 'Upload', 'jxpress' ); ?>
                                    </button>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Activate Woocommerce packages', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo $woocommerce ? 'checked' : ''; ?> name="activate_woocommerce" value="1"/>
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
                </form>
            </div>
            <div class="clear"></div>                
        </div><!-- wpbody-content -->
        <div class="clear"></div>            
    </div><!-- wpbody -->
    <?php
}

function jxpress_candidate_settings_options() {

    $message = '';
    if (isset($_POST['jxpress_option_page'])) {
        check_ajax_referer('ajax-jxpresssetiing-nonce', 'security');

        if (isset($_POST['candidate_email'])) {
            update_option('candidate_email', $_POST['candidate_email']);
        } else {
            update_option('candidate_email', 1);
        }

        if (isset($_POST['candidate_phone'])) {
            update_option('candidate_phone', $_POST['candidate_phone']);
        } else {
            update_option('candidate_phone', 1);
        }

        if (isset($_POST['candidate_website'])) {
            update_option('candidate_website', $_POST['candidate_website']);
        } else {
            update_option('candidate_website', 1);
        }

        if (isset($_POST['candidate_address'])) {
            update_option('candidate_address', $_POST['candidate_address']);
        } else {
            update_option('candidate_address', 1);
        }


        if (isset($_POST['candidate_social'])) {
            update_option('candidate_social', $_POST['candidate_social']);
        } else {
            update_option('candidate_social', 1);
        }

        if (isset($_POST['candidate_form'])) {
            update_option('candidate_form', $_POST['candidate_form']);
        } else {
            update_option('candidate_form', 1);
        }

        $message = __('Option Updated Successfully.');
    }

    $email = get_option('candidate_email');
    $phone = get_option('candidate_phone');
    $website = get_option('candidate_website');
    $address = get_option('candidate_address');
    $social = get_option('candidate_social');
    $form = get_option('candidate_form');
    ?>
    <div id="wpbody" role="main">
        <div id="wpbody-content" aria-label="Main content" tabindex="0">
            <div class="wrap">
                <h1><?php echo esc_html__('Candidate Settings', 'jxpress'); ?></h1>
                <?php if (!empty($message)) { ?>
                    <div class="notice-warning settings-error notice is-dismissible">
                        <p class="status alert-warning px-2 mb-0"><?php echo esc_html__($message); ?></p> 
                    </div>
                <?php } ?>
                <form method="post" action="" novalidate="novalidate">
                    <input type="hidden" name="jxpress_option_page" value="setting">
                    <?php wp_nonce_field('ajax-jxpresssetiing-nonce', 'security'); ?>    
                    <table class="form-table" >
                        <tbody>                           
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Email', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$email ? 'checked' : ''; ?> name="candidate_email" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Phone', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$phone ? 'checked' : ''; ?> name="candidate_phone" value="0"/>
                                </td>
                            </tr>

                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Website Link', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$website ? 'checked' : ''; ?> name="candidate_website" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Address', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$address ? 'checked' : ''; ?> name="candidate_address" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Social Media', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$social ? 'checked' : ''; ?> name="candidate_social" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Query Form', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$form ? 'checked' : ''; ?> name="candidate_form" value="0"/>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
                </form>
            </div>
            <div class="clear"></div>                
        </div><!-- wpbody-content -->
        <div class="clear"></div>            
    </div><!-- wpbody -->
    <?php
}

function jxpress_employer_settings_options() {

    $message = '';
    if (isset($_POST['jxpress_option_page'])) {
        check_ajax_referer('ajax-jxpresssetiing-nonce', 'security');

        if (isset($_POST['employer_email'])) {
            update_option('employer_email', $_POST['employer_email']);
        } else {
            update_option('employer_email', 1);
        }

        if (isset($_POST['employer_phone'])) {
            update_option('employer_phone', $_POST['employer_phone']);
        } else {
            update_option('employer_phone', 1);
        }

        if (isset($_POST['employer_website'])) {
            update_option('employer_website', $_POST['employer_website']);
        } else {
            update_option('employer_website', 1);
        }

        if (isset($_POST['employer_address'])) {
            update_option('employer_address', $_POST['employer_address']);
        } else {
            update_option('employer_address', 1);
        }


        if (isset($_POST['employer_social'])) {
            update_option('employer_social', $_POST['employer_social']);
        } else {
            update_option('employer_social', 1);
        }

        if (isset($_POST['employer_form'])) {
            update_option('employer_form', $_POST['employer_form']);
        } else {
            update_option('employer_form', 1);
        }

        $message = __('Option Updated Successfully.');
    }

    $email = get_option('employer_email');
    $phone = get_option('employer_phone');
    $website = get_option('employer_website');
    $address = get_option('employer_address');
    $social = get_option('employer_social');
    $form = get_option('employer_form');
    ?>
    <div id="wpbody" role="main">
        <div id="wpbody-content" aria-label="Main content" tabindex="0">
            <div class="wrap">
                <h1><?php echo esc_html__('Employer Settings', 'jxpress'); ?></h1>
                <?php if (!empty($message)) { ?>
                    <div class="notice-warning settings-error notice is-dismissible">
                        <p class="status alert-warning px-2 mb-0"><?php echo esc_html__($message); ?></p> 
                    </div>
                <?php } ?>
                <form method="post" action="" novalidate="novalidate">
                    <input type="hidden" name="jxpress_option_page" value="setting">
                    <?php wp_nonce_field('ajax-jxpresssetiing-nonce', 'security'); ?>    
                    <table class="form-table" >
                        <tbody>                           
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Email', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$email ? 'checked' : ''; ?> name="employer_email" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Phone', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$phone ? 'checked' : ''; ?> name="employer_phone" value="0"/>
                                </td>
                            </tr>

                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Website Link', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$website ? 'checked' : ''; ?> name="employer_website" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Address', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$address ? 'checked' : ''; ?> name="employer_address" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Social Media', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$social ? 'checked' : ''; ?> name="employer_social" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Query Form', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$form ? 'checked' : ''; ?> name="employer_form" value="0"/>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
                </form>
            </div>
            <div class="clear"></div>                
        </div><!-- wpbody-content -->
        <div class="clear"></div>            
    </div><!-- wpbody -->
    <?php
}

function jxpress_job_settings_options() {

    $message = '';
    if (isset($_POST['jxpress_option_page'])) {
        check_ajax_referer('ajax-jxpresssetiing-nonce', 'security');

        if (isset($_POST['job_company'])) {
            update_option('job_company', $_POST['job_company']);
        } else {
            update_option('job_company', 1);
        }

        if (isset($_POST['job_address'])) {
            update_option('job_address', $_POST['job_address']);
        } else {
            update_option('job_address', 1);
        }

        if (isset($_POST['job_form'])) {
            update_option('job_form', $_POST['job_form']);
        } else {
            update_option('job_form', 1);
        }

        if (isset($_POST['job_apply'])) {
            update_option('job_apply', $_POST['job_apply']);
        } else {
            update_option('job_apply', 1);
        }



        $message = __('Option Updated Successfully.');
    }


    $company = get_option('job_company');
    $address = get_option('job_address');
    $form = get_option('job_form');
    $apply = get_option('job_apply');
    ?>
    <div id="wpbody" role="main">
        <div id="wpbody-content" aria-label="Main content" tabindex="0">
            <div class="wrap">
                <h1><?php echo esc_html__('Job Settings', 'jxpress'); ?></h1>
                <?php if (!empty($message)) { ?>
                    <div class="notice-warning settings-error notice is-dismissible">
                        <p class="status alert-warning px-2 mb-0"><?php echo esc_html__($message); ?></p> 
                    </div>
                <?php } ?>
                <form method="post" action="" novalidate="novalidate">
                    <input type="hidden" name="jxpress_option_page" value="setting">
                    <?php wp_nonce_field('ajax-jxpresssetiing-nonce', 'security'); ?>    
                    <table class="form-table" >
                        <tbody>                           
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Company Profile', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$company ? 'checked' : ''; ?> name="job_company" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Address', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$address ? 'checked' : ''; ?> name="job_address" value="0"/>
                                </td>
                            </tr>


                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Job Apply', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$apply ? 'checked' : ''; ?> name="job_apply" value="0"/>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row"><label for="default_role"><?php echo esc_html__('Hide Query Form', 'jxpress'); ?></label></th>
                                <td>
                                    <input type="checkbox" <?php echo!$form ? 'checked' : ''; ?> name="job_form" value="0"/>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
                </form>
            </div>
            <div class="clear"></div>                
        </div><!-- wpbody-content -->
        <div class="clear"></div>            
    </div><!-- wpbody -->
    <?php
}
