<?php
$nonce = wp_create_nonce("delete_user_job_nonce");
?>

<div class=" border px-3 py-1">
    <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Applied jobs', 'jxpress-portal'); ?></h4>      
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Job Title', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Job Type', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('View', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $user_id = get_current_user_id();


                $args = array(
                    'post_type' => 'applications',
                    'post_status' => 'publish',
                    'posts_per_page' => -1,
                    'author' => $user_id
                );

                $current_user_posts = get_posts($args);




                foreach ($current_user_posts as $post) {
                    $jobid = get_post_meta($post->ID, 'allication_jobid', true);
                    ?>
                    <tr>
                        <td><?php echo get_the_title($jobid); ?></td>
                        <td><?php
                            $terms = wp_get_post_terms($jobid, 'job-type');

                            foreach ($terms as $term) {
                                ?>
                                <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                <?php
                            }
                            ?></td>


                        <td>
                            <a href="<?php the_permalink($jobid) ?>" class="jxpress-btn-outline"><?php echo esc_html__('View Job', 'jxpress-portal'); ?></a>
                        </td>

                    </tr>
                    <?php
                }
                ?>

            </tbody>
        </table> 
    </div>
</div>


