<?php
global $current_user, $wpdb;
$user_id = get_current_user_id();
$user_info = get_user_meta($user_id);
$nonce = wp_create_nonce("delete_user_meta_nonce");
?>
<div class=" border px-3 py-1">
    <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('My Resume', 'jxpress-portal'); ?></h4>

    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="panel-heading"><h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Education', 'jxpress-portal'); ?></h5></div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Qualification', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Date', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('School / Colleges', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>

                <?php
                $educations = $wpdb->get_results("SELECT umeta_id, user_id, meta_key, meta_value FROM $wpdb->usermeta where meta_key='user_educations' and user_id=" . $user_id);
                foreach ($educations as $metajson) {
                    $education = json_decode($metajson->meta_value);
                    ?>  
                    <tr class="record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td><?php echo esc_html(isset($education->education_title) ? $education->education_title : ""); ?>
                        </td>    
                        <td><?php echo esc_html(isset($education->education_from) ? $education->education_from : ""); ?> - <?php echo esc_html(isset($education->education_to) ? $education->education_to : ""); ?></td>
                        <td><?php echo esc_html(isset($education->education_institute) ? $education->education_institute : ""); ?></td>
                        <td><a href="#" data-id="<?php echo esc_html($metajson->umeta_id); ?>" class="edit-form"><span><i class="fa fa-pencil"></i></span></a> 
                            <a data-id="<?php echo esc_html($metajson->umeta_id); ?>" href="#" class="delete-education"  data-bs-toggle="modal" data-bs-target="#confirm-delete<?php echo esc_html($metajson->umeta_id); ?>"><span><i class="fa fa-trash"></i></span></a>

                            <div class="modal fade" id="confirm-delete<?php echo esc_html($metajson->umeta_id); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            
                                            <button type="button" class="btn btn-default confirm-delete" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($metajson->umeta_id); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr> 

                    <tr class="user-update-form <?php echo esc_html($metajson->umeta_id); ?> record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td colspan="4">
                            <form  action="" class="user-resume" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <input type="hidden" name="action" value="candidateeducation">
                                <input type="hidden" name="umetaid" value="<?php echo $metajson->umeta_id; ?>">
                                <?php wp_nonce_field('ajax-candidateeducation-nonce', 'security'); ?> 
                                <div class="row educaion">
                                    <div class="form-group col-md-12 p-l">
                                        <p class="status alert-warning px-2 mb-0"></p> 
                                    </div>
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Title', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="education_title" required="" value="<?php echo esc_html(isset($education->education_title) ? $education->education_title : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Date From', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control datepicker" name="education_from" required="" value="<?php echo esc_html(isset($education->education_from) ? $education->education_from : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Date To', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control datepicker" name="education_to" required="" value="<?php echo esc_html(isset($education->education_to) ? $education->education_to : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Institute', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="education_institute" required="" value="<?php echo esc_html(isset($education->education_institute) ? $education->education_institute : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>
                                        <textarea rows="20" cols="40" name="education_description" id="editor" class="editor-textarea"><?php echo esc_html(isset($education->education_description) ? $education->education_description : ""); ?></textarea>
                                    </div> 
                                    <div class="form-group col-md-6 p-r">
                                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update Education', 'jxpress-portal'); ?>">
                                    </div>
                                </div>
                            </form> 
                        </td></tr>
                <?php } ?>

            </tbody>
        </table> 
    </div>
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <form  action="" class="user-resume user-add-form" method="post" novalidate="novalidate" enctype="multipart/form-data">
                <input type="hidden" name="action" value="candidateeducation">
                <?php wp_nonce_field('ajax-candidateeducation-nonce', 'security'); ?> 
                <div class="row educaion">
                    <div class="form-group col-md-12 p-l">
                        <p class="status alert-warning px-2 mb-0"></p> 
                    </div>
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Title', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="education_title" required="" value="">
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Date From', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control datepicker" name="education_from" required="" value="">
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Date To', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control datepicker" name="education_to" required="" value="">
                    </div> 
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Institute', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="education_institute" required="" value="">
                    </div> 
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>
                        <textarea rows="20" cols="40" name="education_description" id="editor" class="editor-textarea"></textarea>
                    </div> 
                    <div class="form-group col-md-6 p-r">
                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Add Education', 'jxpress-portal'); ?>">
                    </div>
                </div>
            </form>
            <a href="#" class="add-more"><i class="fa fa-plus" aria-hidden="true"></i> <?php echo esc_html__('Add More Education', 'jxpress-portal'); ?></a>
        </div>              
    </div>


    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="panel-heading"><h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Experience', 'jxpress-portal'); ?></h5></div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Company', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Date', 'jxpress-portal'); ?></th>               
                    <th><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>

                <?php
                $experiences = $wpdb->get_results("SELECT umeta_id, user_id, meta_key, meta_value FROM $wpdb->usermeta where meta_key='user_experiences' and user_id=" . $user_id);
                foreach ($experiences as $metajson) {
                    $experience = json_decode($metajson->meta_value);
                    ?>  
                    <tr class="record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td><?php echo esc_html(isset($experience->experience_company) ? $experience->experience_company : ""); ?>
                        </td>    
                        <td><?php echo esc_html(isset($experience->experience_from) ? $experience->experience_from : ""); ?> - <?php echo esc_html(isset($experience->experience_to) ? $experience->experience_to : ""); ?></td>

                        <td><a href="#" data-id="<?php echo esc_html($metajson->umeta_id); ?>" class="edit-form"><span><i class="fa fa-pencil"></i></span></a> 
                            <a data-id="<?php echo esc_html($metajson->umeta_id); ?>" href="#" class="delete-education"  data-bs-toggle="modal" data-bs-target="#confirm-delete<?php echo esc_html($metajson->umeta_id); ?>"><span><i class="fa fa-trash"></i></span></a>

                            <div class="modal fade" id="confirm-delete<?php echo esc_html($metajson->umeta_id); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            
                                            <button type="button" class="btn btn-default confirm-delete" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($metajson->umeta_id); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr> 

                    <tr class="user-update-form <?php echo esc_html($metajson->umeta_id); ?> record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td colspan="3">
                            <form  action="" class="user-resume" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <input type="hidden" name="action" value="candidateexperience">
                                <input type="hidden" name="umetaid" value="<?php echo $metajson->umeta_id; ?>">
                                <?php wp_nonce_field('ajax-candidateexperience-nonce', 'security'); ?> 
                                <div class="row educaion">
                                    <div class="form-group col-md-12 p-l">
                                        <p class="status alert-warning px-2 mb-0"></p> 
                                    </div>
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Company', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="experience_company" required="" value="<?php echo esc_html(isset($experience->experience_company) ? $experience->experience_company : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Date From', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control datepicker" name="experience_from" required="" value="<?php echo esc_html(isset($experience->experience_from) ? $experience->experience_from : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Date To', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control datepicker" name="experience_to"  value="<?php echo esc_html(isset($experience->experience_to) ? $experience->experience_to : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-12 p-l custom-checkbox-parent">
                                        
                                        <input type="checkbox" name="experience_present"  <?php echo (isset($experience->experience_present) && $experience->experience_present) ? "checked" : ""; ?> value="1">
                                        <label><?php echo esc_html__('Present', 'jxpress-portal'); ?></label>
                                    </div> 
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>
                                        <textarea rows="20" cols="40" name="experience_description" id="editor" class="editor-textarea"><?php echo esc_html(isset($experience->experience_description) ? $experience->experience_description : ""); ?></textarea>
                                    </div> 
                                    <div class="form-group col-md-6 p-r">
                                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update Experience', 'jxpress-portal'); ?>">
                                    </div>
                                </div>
                            </form> 
                        </td></tr>
                <?php } ?>

            </tbody>
        </table>
    </div>
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <form  action="" class="user-resume user-add-form" method="post" novalidate="novalidate" enctype="multipart/form-data">
                <input type="hidden" name="action" value="candidateexperience">
                <?php wp_nonce_field('ajax-candidateexperience-nonce', 'security'); ?> 
                <div class="row educaion">
                    <div class="form-group col-md-12 p-l">
                        <p class="status alert-warning px-2 mb-0"></p> 
                    </div>
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Company', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="experience_company" required="" value="">
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Date From', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control datepicker" name="experience_from" required="" value="">
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Date To', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control datepicker" name="experience_to"  value="">
                    </div> 
                    <div class="form-group col-md-12 p-l custom-checkbox-parent">
                        <input type="checkbox"  name="experience_present" value="1">
                        <label><?php echo esc_html__('Present', 'jxpress-portal'); ?></label>
                        
                    </div> 
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>
                        <textarea rows="20" cols="40" name="experience_description" id="editor" class="editor-textarea"></textarea>
                    </div> 
                    <div class="form-group col-md-6 p-r">
                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Add Experience', 'jxpress-portal'); ?>">
                    </div>
                </div>
            </form>
            <a href="#" class="add-more"><i class="fa fa-plus" aria-hidden="true"></i> <?php echo esc_html__('Add More Experience', 'jxpress-portal'); ?></a>
        </div>              
    </div>



    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="panel-heading"><h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Skills', 'jxpress-portal'); ?></h5></div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Skill', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Percentage', 'jxpress-portal'); ?></th>               
                    <th><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>

                <?php
                $skills = $wpdb->get_results("SELECT umeta_id, user_id, meta_key, meta_value FROM $wpdb->usermeta where meta_key='user_skills' and user_id=" . $user_id);
                foreach ($skills as $metajson) {
                    $skill = json_decode($metajson->meta_value);
                    ?>  
                    <tr class="record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td><?php echo esc_html(isset($skill->skill_title) ? $skill->skill_title : ""); ?>
                        </td>    
                        <td><?php echo esc_html(isset($skill->skill_percentage) ? $skill->skill_percentage : ""); ?></td>

                        <td><a href="#" data-id="<?php echo esc_html($metajson->umeta_id); ?>" class="edit-form"><span><i class="fa fa-pencil"></i></span></a> 
                            <a data-id="<?php echo esc_html($metajson->umeta_id); ?>" href="#" class="delete-education"  data-bs-toggle="modal" data-bs-target="#confirm-delete<?php echo esc_html($metajson->umeta_id); ?>"><span><i class="fa fa-trash"></i></span></a>

                            <div class="modal fade" id="confirm-delete<?php echo esc_html($metajson->umeta_id); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            
                                            <button type="button" class="btn btn-default confirm-delete" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($metajson->umeta_id); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr> 

                    <tr class="user-update-form <?php echo esc_html($metajson->umeta_id); ?> record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td colspan="3">
                            <form  action="" class="user-resume" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <input type="hidden" name="action" value="candidateskill">
                                <input type="hidden" name="umetaid" value="<?php echo $metajson->umeta_id; ?>">
                                <?php wp_nonce_field('ajax-candidateskill-nonce', 'security'); ?> 
                                <div class="row educaion">
                                    <div class="form-group col-md-12 p-l">
                                        <p class="status alert-warning px-2 mb-0"></p> 
                                    </div>
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Skill Name', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="skill_title" required="" value="<?php echo esc_html(isset($skill->skill_title) ? $skill->skill_title : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Percentage', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="skill_percentage" required="" value="<?php echo esc_html(isset($skill->skill_percentage) ? $skill->skill_percentage : ""); ?>">
                                    </div> 

                                    <div class="form-group col-md-6 p-r">
                                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update Skill', 'jxpress-portal'); ?>">
                                    </div>
                                </div>
                            </form> 
                        </td></tr>
                <?php } ?>

            </tbody>
        </table>
    </div>
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <form  action="" class="user-resume user-add-form" method="post" novalidate="novalidate" enctype="multipart/form-data">
                <input type="hidden" name="action" value="candidateskill">
                <?php wp_nonce_field('ajax-candidateskill-nonce', 'security'); ?> 
                <div class="row educaion">
                    <div class="form-group col-md-12 p-l">
                        <p class="status alert-warning px-2 mb-0"></p> 
                    </div>
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Skill Name', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="skill_title" required="" value="">
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Percentage', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="skill_percentage" required="" value="">
                    </div> 

                    <div class="form-group col-md-6 p-r">
                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Add Skill', 'jxpress-portal'); ?>">
                    </div>
                </div>
            </form>
            <a href="#" class="add-more"><i class="fa fa-plus" aria-hidden="true"></i> <?php echo esc_html__('Add More Skill', 'jxpress-portal'); ?></a>
        </div>              
    </div>




    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="panel-heading"><h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Awards', 'jxpress-portal'); ?></h5></div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Award Name', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Year', 'jxpress-portal'); ?></th>               
                    <th><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>

                <?php
                $awards = $wpdb->get_results("SELECT umeta_id, user_id, meta_key, meta_value FROM $wpdb->usermeta where meta_key='user_awards' and user_id=" . $user_id);
                foreach ($awards as $metajson) {
                    $award = json_decode($metajson->meta_value);
                    ?>  
                    <tr class="record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td><?php echo esc_html(isset($award->award_title) ? $award->award_title : ""); ?>
                        </td>    
                        <td><?php echo esc_html(isset($award->award_year) ? $award->award_year : ""); ?></td>

                        <td><a href="#" data-id="<?php echo esc_html($metajson->umeta_id); ?>" class="edit-form"><span><i class="fa fa-pencil"></i></span></a> 
                            <a data-id="<?php echo esc_html($metajson->umeta_id); ?>" href="#" class="delete-education"  data-bs-toggle="modal" data-bs-target="#confirm-delete<?php echo esc_html($metajson->umeta_id); ?>"><span><i class="fa fa-trash"></i></span></a>

                            <div class="modal fade" id="confirm-delete<?php echo esc_html($metajson->umeta_id); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            
                                            <button type="button" class="btn btn-default confirm-delete" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($metajson->umeta_id); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr> 

                    <tr class="user-update-form <?php echo esc_html($metajson->umeta_id); ?> record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td colspan="3">
                            <form  action="" class="user-resume" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <input type="hidden" name="action" value="candidateaward">
                                <input type="hidden" name="umetaid" value="<?php echo $metajson->umeta_id; ?>">
                                <?php wp_nonce_field('ajax-candidateaward-nonce', 'security'); ?> 
                                <div class="row educaion">
                                    <div class="form-group col-md-12 p-l">
                                        <p class="status alert-warning px-2 mb-0"></p> 
                                    </div>
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Award Title', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="award_title" required="" value="<?php echo esc_html(isset($award->award_title) ? $award->award_title : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Year', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="award_year" required="" value="<?php echo esc_html(isset($award->award_year) ? $award->award_year : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>
                                        <textarea rows="20" cols="40" name="award_description" id="editor" class="editor-textarea"><?php echo esc_html(isset($award->award_description) ? $award->award_description : ""); ?></textarea>
                                    </div>
                                    <div class="form-group col-md-6 p-r">
                                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update Award', 'jxpress-portal'); ?>">
                                    </div>
                                </div>
                            </form> 
                        </td></tr>
                <?php } ?>

            </tbody>
        </table>
    </div>
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <form  action="" class="user-resume user-add-form" method="post" novalidate="novalidate" enctype="multipart/form-data">
                <input type="hidden" name="action" value="candidateaward">
                <?php wp_nonce_field('ajax-candidateaward-nonce', 'security'); ?> 
                <div class="row educaion">
                    <div class="form-group col-md-12 p-l">
                        <p class="status alert-warning px-2 mb-0"></p> 
                    </div>
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Award Title', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="award_title" required="" value="">
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Year', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="award_year" required="" value="">
                    </div> 
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>
                        <textarea rows="20" cols="40" name="award_description" id="editor" class="editor-textarea"></textarea>
                    </div> 
                    <div class="form-group col-md-6 p-r">
                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Add Award', 'jxpress-portal'); ?>">
                    </div>

                </div>
            </form>
            <a href="#" class="add-more"><i class="fa fa-plus" aria-hidden="true"></i> <?php echo esc_html__('Add More Award', 'jxpress-portal'); ?></a>
        </div>              
    </div>




    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="panel-heading"><h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Works', 'jxpress-portal'); ?></h5></div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Title', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Image', 'jxpress-portal'); ?></th>               
                    <th><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>

                <?php
                $works = $wpdb->get_results("SELECT umeta_id, user_id, meta_key, meta_value FROM $wpdb->usermeta where meta_key='user_works' and user_id=" . $user_id);
                foreach ($works as $metajson) {
                    $work = json_decode($metajson->meta_value);
                    ?>  
                    <tr class="record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td><?php echo esc_html(isset($work->work_title) ? $work->work_title : ""); ?>
                        </td>    
                        <td>
                            <?php if (isset($work->work_image) && !empty($work->work_image)) { ?>
                                <img src="<?php echo esc_html(isset($work->work_image) ? $work->work_image : ""); ?>" alt="<?php echo esc_html(isset($work->work_title) ? $work->work_title : ""); ?>" class="thumb-image"/>
                            <?php } ?>
                        </td>

                        <td><a href="#" data-id="<?php echo esc_html($metajson->umeta_id); ?>" class="edit-form"><span><i class="fa fa-pencil"></i></span></a> 
                            <a data-id="<?php echo esc_html($metajson->umeta_id); ?>" href="#" class="delete-education"  data-BS-toggle="modal" data-BS-target="#confirm-delete<?php echo esc_html($metajson->umeta_id); ?>"><span><i class="fa fa-trash"></i></span></a>

                            <div class="modal fade" id="confirm-delete<?php echo esc_html($metajson->umeta_id); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            
                                            <button type="button" class="btn btn-default confirm-delete" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($metajson->umeta_id); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr> 

                    <tr class="user-update-form <?php echo esc_html($metajson->umeta_id); ?> record-row<?php echo esc_html($metajson->umeta_id); ?>">
                        <td colspan="3">
                            <form  action="" class="user-resume" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <input type="hidden" name="action" value="candidatework">
                                <input type="hidden" name="umetaid" value="<?php echo $metajson->umeta_id; ?>">
                                <?php wp_nonce_field('ajax-candidatework-nonce', 'security'); ?> 
                                <div class="row educaion">
                                    <div class="form-group col-md-12 p-l">
                                        <p class="status alert-warning px-2 mb-0"></p> 
                                    </div>
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Work Title', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="work_title" required="" value="<?php echo esc_html(isset($work->work_title) ? $work->work_title : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-6 p-l">
                                        <label><?php echo esc_html__('Url', 'jxpress-portal'); ?></label>
                                        <input type="text" class="form-control" name="work_url"  value="<?php echo esc_html(isset($work->work_url) ? $work->work_url : ""); ?>">
                                    </div> 
                                    <div class="form-group col-md-12 p-l">
                                        <label><?php echo esc_html__('Image', 'jxpress-portal'); ?></label>
                                        <input type="file" id="avtar" name="work_image" class="file form-control"  accept=".png, .jpg, .jpeg, .gif" >    
                                        <input type="hidden"  name="old_image" value="<?php echo esc_html(isset($work->work_image) ? $work->work_image : ""); ?>" />
                                    </div>
                                    <div class="form-group col-md-6 p-r">
                                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update Work', 'jxpress-portal'); ?>">
                                    </div>
                                </div>
                            </form> 
                        </td></tr>
                <?php } ?>

            </tbody>
        </table>
    </div>
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <form  action="" class="user-resume user-add-form" method="post" novalidate="novalidate" enctype="multipart/form-data">
                <input type="hidden" name="action" value="candidatework">
                <?php wp_nonce_field('ajax-candidatework-nonce', 'security'); ?> 
                <div class="row educaion">
                    <div class="form-group col-md-12 p-l">
                        <p class="status alert-warning px-2 mb-0"></p> 
                    </div>
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Work Title', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="work_title" required="" >
                    </div> 
                    <div class="form-group col-md-6 p-l">
                        <label><?php echo esc_html__('Url', 'jxpress-portal'); ?></label>
                        <input type="text" class="form-control" name="work_url"  >
                    </div> 
                    <div class="form-group col-md-12 p-l">
                        <label><?php echo esc_html__('Image', 'jxpress-portal'); ?></label>
                        <input type="file" id="avtar" name="work_image" class="file form-control"  accept=".png, .jpg, .jpeg, .gif" required="">       
                    </div>
                    <div class="form-group col-md-6 p-r">
                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Add Award', 'jxpress-portal'); ?>">
                    </div>
                </div>
            </form>
            <a href="#" class="add-more"><i class="fa fa-plus" aria-hidden="true"></i> <?php echo esc_html__('Add More Work', 'jxpress-portal'); ?></a>
        </div>              
    </div>


</div>


