<?php
if (!function_exists('jxpress_errors')) {

    // used for tracking error messages
    function jxpress_errors() {
        static $wp_error; // Will hold global variable safely
        return isset($wp_error) ? $wp_error : ($wp_error = new WP_Error(null, null, null));
    }

}

// reset a users password
if (isset($_POST['jxpress_action']) && $_POST['jxpress_action'] == 'reset-password') {

    global $user_ID;

    if (!is_user_logged_in())
        return;

    if (wp_verify_nonce($_POST['jxpress_password_nonce'], 'jxpress-password-nonce')) {

        if ($_POST['jxpress_user_pass'] == '' || $_POST['jxpress_user_pass_confirm'] == '') {
            // password(s) field empty
            jxpress_errors()->add('password_empty', __('Please enter a password, and confirm it', 'jxpress-portal'));
        }
        if ($_POST['jxpress_user_pass'] != $_POST['jxpress_user_pass_confirm']) {
            // passwords do not match
            jxpress_errors()->add('password_mismatch', __('Passwords do not match', 'jxpress-portal'));
        }

        // retrieve all error messages, if any
        $errors = jxpress_errors()->get_error_messages();

        if (empty($errors)) {
            // change the password here
            $user_data = array(
                'ID' => $user_ID,
                'user_pass' => $_POST['jxpress_user_pass']
            );
            wp_update_user($user_data);
            wp_redirect(add_query_arg('password-reset', 'true', $_POST['jxpress_redirect']));
            exit;
        }
    }
}
if (!function_exists('jxpress_show_error_messages')) {

    // displays error messages from form submissions
    function jxpress_show_error_messages() {
        if ($codes = jxpress_errors()->get_error_codes()) {
            echo '<div class="jxpress_message alert-warning px-2">';
            // Loop error codes and display errors
            foreach ($codes as $code) {
                $message = jxpress_errors()->get_error_message($code);
                echo '<span class="jxpress_error"><strong>' . __('Error', 'jxpress-portal') . '</strong>: ' . $message . '</span><br/>';
            }
            echo '</div>';
        }
    }

}

function jxpress_change_password_form() {
    global $post;


    $pageURL = 'http';
    if ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443)
        $pageURL .= "s";
    $pageURL .= "://";
    if ($_SERVER["SERVER_PORT"] != "80")
        $pageURL .= $_SERVER["SERVER_NAME"] . ":" . $_SERVER["SERVER_PORT"] . $_SERVER["REQUEST_URI"];
    else
        $pageURL .= $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
    $current_url = $pageURL;

    $redirect = $current_url;
    ?>
 <div class=" border px-3 py-1">

<h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Change Password', 'jxpress-portal'); ?></h5> 
       
    <?php jxpress_show_error_messages(); ?>
        <?php if (isset($_GET['password-reset']) && $_GET['password-reset'] == 'true') { ?>
            <div class="jxpress_message alert-warning px-2">
                <span><?php _e('Password changed successfully', 'jxpress-portal'); ?></span>
            </div>
    <?php } ?>
        <form id="jxpress_password_form" method="POST" action="">
            <fieldset>
                <p>
                    <label for="jxpress_user_pass"><?php _e('New Password', 'jxpress-portal'); ?></label>
                    <input name="jxpress_user_pass" id="jxpress_user_pass" class="required" type="password"/>
                </p>
                <p>
                    <label for="jxpress_user_pass_confirm"><?php _e('Password Confirm', 'jxpress-portal'); ?></label>
                    <input name="jxpress_user_pass_confirm" id="jxpress_user_pass_confirm" class="required" type="password"/>
                </p>
                <p>
                    <input type="hidden" name="jxpress_action" value="reset-password"/>      
                    <input type="hidden" name="jxpress_redirect" value="<?php echo $redirect; ?>"/>
                    <input type="hidden" name="jxpress_password_nonce" value="<?php echo wp_create_nonce('jxpress-password-nonce'); ?>"/>
                    <input id="jxpress_password_submit" type="submit" value="<?php _e('Change Password', 'jxpress-portal'); ?>"/>
                </p>
            </fieldset>
        </form>
    </div>

    <?php
}

// password reset form

if (is_user_logged_in()) {
    return jxpress_change_password_form();
}

 
 	

 

