<?php
global $current_user;
$user_id = get_current_user_id();
$user_info = get_user_meta($user_id);
$user_data = get_userdata($user_id);
$portal_data = jxpress_portal_data(); 
$mapbox_key = get_option('mapbox_key');
?>
<div class="panel-body border px-3 py-1">
    <form id="user-profile" action="" method="post" novalidate="novalidate" enctype="multipart/form-data">
        <input type="hidden" name="action" value="employerprofile">
        <?php wp_nonce_field('ajax-employerprofile-nonce', 'security'); ?>
        <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('My Profile', 'jxpress-portal'); ?></h4>        
        <div class="row">
            <div class="form-group col-md-12 p-l">
                <p class="status alert-warning px-2 mb-0"></p> 
            </div>
           <?php if(isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])){?>
            <div class="form-group col-md-4 p-l profile-avatar-img">
                <img src="<?php echo $user_info['wp_full_avatars'][0];?>" class="img-fluid" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           
              </div>
            <?php }?>
            <div class="form-group col-md-12 p-l">
               
                <input type="file" id="avtar" name="user_avtar" class="file form-control"  accept=".png, .jpg, .jpeg, .gif">    

            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Company Name', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="display_name" value="<?php echo esc_html(isset($user_data->display_name) ? $user_data->display_name : ""); ?>" required="">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Job Category', 'jxpress-portal'); ?></label>
                <select name="user_category" class="form-control form-control-chosen" required="" data-placeholder="Please Select Job Category"> 
                    <?php
                    $categories = get_terms('job-category', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option <?php echo esc_html((isset($user_info['user_category']) && $user_info['user_category'][0] == $category->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>
                </select>
            </div>

            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>            
                <textarea rows="20" cols="40" name="user_description" id="editor" class="editor-textarea"><?php echo isset($user_info['description']) ? $user_info['description'][0] : ""; ?></textarea>
            </div>
        </div>
        <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Social Network', 'jxpress-portal'); ?></h4>
        <div class="row">

            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Facebook', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_facebook" value="<?php echo esc_url(isset($user_info['user_facebook']) ? $user_info['user_facebook'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Twitter', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_twitter" value="<?php echo esc_url(isset($user_info['user_twitter']) ? $user_info['user_twitter'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Linkedin', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_linkedin" value="<?php echo esc_url(isset($user_info['user_linkedin']) ? $user_info['user_linkedin'][0] : ""); ?>">
            </div>
          <!--   <div class="form-group col-md-6 p-r">
                <label><?php //echo esc_html__('Google+', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_google" value="<?php //echo esc_url(isset($user_info['user_google']) ? $user_info['user_google'][0] : ""); ?>">
            </div> -->
        </div>
       <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Contact Information', 'jxpress-portal'); ?></h4>
        <div class="row">
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Youtube Video', 'jxpress-portal'); ?><small><?php echo esc_html__('(Youtube video id)', 'jxpress-portal'); ?></small></label>
                <input type="text" class="form-control" name="user_youtube_video" value="<?php echo esc_attr(isset($user_info['user_youtube_video']) ? $user_info['user_youtube_video'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Vimeo Video', 'jxpress-portal'); ?><small><?php echo esc_html__('(Vimeo video id)', 'jxpress-portal'); ?></small></label>
                <input type="text" class="form-control" name="user_vimeo_video" value="<?php echo esc_attr(isset($user_info['user_vimeo_video']) ? $user_info['user_vimeo_video'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Phone', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_phone" required="" value="<?php echo esc_attr(isset($user_info['user_phone']) ? $user_info['user_phone'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Email', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_email" required="" value="<?php echo esc_attr(isset($user_data->user_email) ? $user_data->user_email : ""); ?>">
            </div>
            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('Website', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_url" value="<?php echo esc_url(isset($user_data->user_url) ? $user_data->user_url : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Country', 'jxpress-portal'); ?></label>
                <select name="user_country" class="form-control form-control-chosen" data-placeholder="Please Select Country">                 
                    <?php
                    $countries = get_terms('country', array('hide_empty' => false));
                    foreach ($countries as $country) {
                        ?>
                        <option <?php echo esc_html((isset($user_info['user_country']) && $user_info['user_country'][0] == $country->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($country->slug); ?>"><?php esc_attr_e($country->name); ?></option>
                    <?php } ?>

                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('City', 'jxpress-portal'); ?></label>
                <select name="user_city" class="form-control form-control-chosen" data-placeholder="Please Select City"> 
                    <?php
                    $cities = get_terms('city', array('hide_empty' => false));
                    foreach ($cities as $city) {
                        ?>
                        <option <?php echo esc_html((isset($user_info['user_city']) && $user_info['user_city'][0] == $city->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($city->slug); ?>"><?php esc_attr_e($city->name); ?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('Address', 'jxpress-portal'); ?></label>
                <div id="geocoder"></div>
                <?php 
                    if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
                        $HideClass = 'line-height: 20px;';
                    } else {
                        $HideClass = '';
                    }
                ?>
                <textarea style="<?php echo esc_attr( $HideClass ); ?>" rows="" cols="40" name="user_address" id="jxpress_address"  class="required"><?php echo esc_textarea(isset($user_info['user_address']) ? $user_info['user_address'][0] : ""); ?></textarea>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Latitude', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" id="jxpress_latitude" name="user_latitude" value="<?php echo esc_attr_e(isset($user_info['user_latitude']) ? $user_info['user_latitude'][0] : "0"); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Longitude', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" id="jxpress_longitude" name="user_longitude" value="<?php echo esc_attr_e(isset($user_info['user_longitude']) ? $user_info['user_longitude'][0] : "0"); ?>">
            </div>            
            <div class="form-group col-md-12 p-r">
               <div id="jxpressmap-profile" class="h-300"></div>
            </div> 
            

        </div>
        <script src="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v5.0.0/mapbox-gl-geocoder.min.js"></script>
        <link rel="stylesheet" href="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v5.0.0/mapbox-gl-geocoder.css" type="text/css">
        <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
            if ( empty( $map_marker ) ) {
                $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
            }

            if ( empty( $mapbox_key ) ) {
                $mapbox_key = 'pk.eyJ1Ijoid2VibWFzdGVyZHJpdmVyIiwiYSI6ImNsaHZudDl1ajBibTYzY213MHA0N3ZscjEifQ.xSVUFqwfSYccn4XwNqPYjw';
            } 
        ?>
        <script type="text/javascript">
            mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

            var lat = <?php echo esc_attr_e(isset($user_info['user_latitude']) ? $user_info['user_latitude'][0] : "43.6568"); ?>;
            var long = <?php echo esc_attr_e(isset($user_info['user_longitude']) ? $user_info['user_longitude'][0] : "-79.4512"); ?>;

            const map = new mapboxgl.Map({
                container: 'jxpressmap-profile',
                // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                style: 'mapbox://styles/mapbox/streets-v12',
                center: [long, lat],
                zoom: 13
            });

            const geojson = {
              type: 'FeatureCollection',
              features: [
                {
                  type: 'Feature',
                  geometry: {
                    type: 'Point',
                    coordinates: [long, lat]
                  },
                  properties: {
                    title: '<?php echo esc_attr(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>',
                    description: '<?php echo isset($user_info['user_address']) ? $user_info['user_address'][0] : ""; ?>'
                  }
                }
              ]
            };

            for (const feature of geojson.features) {
              // create a HTML element for each feature
              const el = document.createElement('div');
              el.className = 'marker';

              // make a marker for each feature and add to the map
              new mapboxgl.Marker(el).setLngLat(feature.geometry.coordinates).addTo(map);
            }
                         
            // Add the control to the map.
            const geocoder = new MapboxGeocoder({
                accessToken: mapboxgl.accessToken,
                mapboxgl: mapboxgl
            });

            geocoder.on('result', function(r) {
              jQuery('#jxpress_latitude').val(r.result.center[1]);
              jQuery('#jxpress_longitude').val(r.result.center[0]);
              jQuery('#jxpress_address').val(r.result.place_name); 

              lat  = r.result.center[0];
              long = r.result.center[1];
            })
             
            document.getElementById('geocoder').appendChild(geocoder.onAdd(map));

        </script>
        <style>
            .marker {
                background-image: url('<?php echo $map_marker; ?>');
            }.mapboxgl-ctrl-geocoder.mapboxgl-ctrl {
                width: 100%;
                max-width: 100%;
            }.mapboxgl-ctrl-geocoder.mapboxgl-ctrl input {
                padding-left: 30px;
                border: none;
            }textarea#jxpress_address {
                margin-top: 2%;
            }
        </style><?php } ?>

       <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Other Information', 'jxpress-portal'); ?></h4>
        <div class="row">

            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Est. Since', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_since" value="<?php echo esc_textarea(isset($user_info['user_since']) ? $user_info['user_since'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Team Size', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="user_teamsize" value="<?php echo esc_textarea(isset($user_info['user_teamsize']) ? $user_info['user_teamsize'][0] : ""); ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Business Type', 'jxpress-portal'); ?></label>
                <select name="user_business_type" class="form-control form-control-chosen" data-placeholder="Please Select">                 
                    <?php
                    $business = get_terms('business_type', array('hide_empty' => false));
                    foreach ($business as $busi) {
                        ?>
                        <option <?php echo esc_html((isset($user_info['user_business_type']) && $user_info['user_business_type'][0] == $busi->slug) ? "selected" : ""); ?> value="<?php esc_attr_e($busi->slug); ?>"><?php esc_attr_e($busi->name); ?></option>
                    <?php } ?>

                </select>
            </div>



            <div class="form-group col-md-12 p-r">
                <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update', 'jxpress-portal'); ?>">
            </div>
        </div>
    </form>
</div>


