<?php
$nonce    = wp_create_nonce("delete_user_job_nonce");
$user_id  = get_current_user_id();
?>
<div class=" border px-3 py-1">
    <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Favorite jobs', 'jxpress-portal'); ?></h4>    
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Job Title', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('Job Type', 'jxpress-portal'); ?></th>
                    <th><?php echo esc_html__('View', 'jxpress-portal'); ?></th>
                     <th><?php echo esc_html__('Remove', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php $nonce = wp_create_nonce("delete_user_meta_nonce");
                $jobs = get_user_meta($user_id, 'job_shortlist');
                if ( ! empty( $jobs ) ) {
                    $args = array(
                        'post_type'      => 'jobs',
                        'post_status'    => 'publish',
                        'posts_per_page' => -1,
                        'post__in'       => $jobs,
                        'post__not_in'   => array ( $delidjob ),
                    );
                    $current_user_posts = get_posts($args);
                    foreach ($current_user_posts as $post) {
                        $PostCheck = 0;
                        if( $delidjob == $post->ID ) {
                             $PostCheck++;
                        }
                        if ( $PostCheck == 0 ) {
                        ?>
                        <tr>
                            <td><?php echo $post->post_title; ?></td>
                            <td><?php
                                    $terms = wp_get_post_terms($post->ID, 'job-type');
                                    foreach ($terms as $term) {
                                ?>
                                    <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                <?php } ?>
                            </td>
                            <td>
                                <a href="<?php the_permalink($post->ID) ?>" class="jxpress-btn-outline"><?php echo esc_html__('View Job', 'jxpress-portal'); ?></a>
                            </td>
                            <td>

                             <a data-id="<?php echo esc_attr( $post->ID ); ?>" href="#" class="jxpress-btn-outline"  data-bs-toggle="modal" data-bs-target="#confirm-delete-fav-job-<?php echo esc_html($post->ID); ?>"><span><i class="fa fa-trash"></i></span></a>

                             <div class="modal fade" id="confirm-delete-fav-job-<?php echo esc_html($post->ID); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            
                                            <button type="button" class="btn btn-default confirm-delete-fav-job" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_attr( $post->ID ); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            </td>

                        </tr>
                        <?php }
                    } 
                }
                ?>
            </tbody>
        </table> 
    </div>
</div>


