<?php
$nonce = wp_create_nonce("delete_job_alert_nonce");
?>

<div class=" border px-3 py-1">
    <h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Job Alerts', 'jxpress-portal'); ?></h5>      
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th><?php echo esc_html__('Alert Name', 'jxpress-portal'); ?></th>                                                 
                    <th><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $user_id = get_current_user_id();
                $args    = array(
                    'post_type' => 'job-alerts',
                    'post_status' => 'publish',
                    'posts_per_page' => -1,
                    'author' => $user_id
                );
                $current_user_posts = get_posts($args);

                foreach ($current_user_posts as $post) {
                    $jobid = $post->ID;
                    ?>
                    <tr>
                        <td><?php echo get_the_title($jobid); ?></td>
                        <td width='10%'>
                            <a data-id="<?php echo esc_html($jobid); ?>" href="#" class="delete-alerts"  data-bs-toggle="modal" data-bs-target="#confirm-delete<?php echo esc_html($jobid); ?>"><span><i class="fa fa-trash"></i></span></a>
                            <div class="modal fade" id="confirm-delete<?php echo esc_html($jobid); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default confirm-delete-alert" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($jobid); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>

                    </tr>
                    <?php
                }
                ?>

            </tbody>
        </table> 
    </div>
</div>


