<?php
$nonce = wp_create_nonce("delete_user_job_nonce");
?>

<div class=" border px-3 py-1">
    <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Manage Jobs', 'jxpress-portal'); ?></h4>       
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
    <div class="table-responsive-md">
        <table class="table">
            <thead class="">
                <tr>
                    <th scope="col"><?php echo esc_html__('Job Title', 'jxpress-portal'); ?></th>
                    <th scope="col"><?php echo esc_html__('Job Type', 'jxpress-portal'); ?></th>
                    <th scope="col"><?php echo esc_html__('Applications', 'jxpress-portal'); ?></th>
                    <th scope="col"><?php echo esc_html__('Expiry', 'jxpress-portal'); ?></th>                
                    <th scope="col"><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $user_id = get_current_user_id();
                $args = array(
                    'post_type' => 'jobs',
                    'post_status' => array('draft','publish'),
                    'posts_per_page' => -1,
                    'author' => $user_id
                );

                $current_user_posts = get_posts($args);
                foreach ($current_user_posts as $post) {

                    $job_args = array(
                        'post_type'      => 'applications',
                        'post_status'    => 'publish',
                        'posts_per_page' => -1
                    );
                    $current_user_applications = get_posts( $job_args );
                    $app_count = 0;
                    foreach ( $current_user_applications as $job_post ) {
                        $jobid = get_post_meta( $job_post->ID, 'allication_jobid', true );
                        if ( $post->post_title == get_the_title($jobid) ) {
                            $app_count++;
                        }
                    }
                    wp_reset_postdata();

                    $actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]"; 
                    $actual_link = str_replace( "?user_tab=manage-jobs", "", $actual_link );
                    

                ?>
                    <tr>
                        <td scope="row"><?php echo $post->post_title; ?></td>
                        <td><?php
                            $terms = wp_get_post_terms($post->ID, 'job-type');

                            foreach ($terms as $term) {
                                ?>
                                <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                <?php
                            }
                            ?></td>
                        <td>
                            <a href="<?php echo esc_url( $actual_link ); ?>?user_tab=shortlist-resume&jobID=<?php echo $post->ID; ?>">
                                <?php echo esc_html( $app_count ); ?>
                            </a>
                        </td>
                        <td><?php echo get_post_meta($post->ID, 'job_expire', true); ?></td>
                        <td>
                            <?php if (get_post_meta($post->ID, 'job_status', true) != "inactive") { ?>
                                <a href="#" data-toggle="tooltip" title="<?php echo get_post_meta($post->ID, 'job_status', true); ?>" class="job-status mr-2" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($post->ID); ?>" data-status="inactive"><span><i class="fa fa-eye"></i></span></a> 
                            <?php } else { ?>
                                <a href="#" data-toggle="tooltip" title="<?php echo get_post_meta($post->ID, 'job_status', true); ?>" class="job-status mr-2" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($post->ID); ?>" data-status="active"><span><i class="fa fa-eye-slash"></i></span></a> 
                            <?php } ?>

                            <a data-toggle="tooltip" title="<?php echo esc_html__('Edit', 'jxpress-portal'); ?>" class="mr-2" href="<?php echo get_permalink($account); ?>?user_tab=post-job&job_id=<?php echo esc_html($post->ID); ?>" ><span><i class="fa fa-pencil"></i></span></a> 
                            <a data-bs-toggle="modal" title="<?php echo esc_html__('Delete', 'jxpress-portal'); ?>" data-id="<?php echo esc_html($post->ID); ?>" href="#" class="delete-job"   data-bs-target="#confirm-delete<?php echo esc_html($post->ID); ?>"><span><i class="fa fa-trash"></i></span></a>

                            <div class="modal fade" id="confirm-delete<?php echo esc_html($post->ID); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                        </div>

                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default confirm-delete-job" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($post->ID); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                            <button type="button" class="btn btn-default btn-close" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    <?php
                }
                ?>

            </tbody>
        </table> 
    </div>
</div>


