<?php
$nonce = wp_create_nonce("delete_user_job_nonce");
?>

<div class=" border px-3 py-1">
    <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Applications', 'jxpress-portal'); ?></h4>    
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
       <div class="table-responsive-md">
    <table class="table">
        <thead class="">
            <tr>
                <th colspan="2" scope="col" ><?php echo esc_html__('Candidate Name', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Job Title', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Resume', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Action', 'jxpress-portal'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $user_id = get_current_user_id();
            $args    = array(
                'post_type'      => 'jobs',
                'post_status'    => 'publish',
                'posts_per_page' => -1,
                'author'         => $user_id
            );
            $current_user_posts = get_posts($args);
            $jobs  = array();
            foreach ($current_user_posts as $post) {
                array_push( $jobs, $post->ID );
            }

            if ( isset( $_GET['jobID'] ) ) {
                $jobID = sanitize_text_field( $_GET['jobID'] );
                $jobs  = array();
                array_push( $jobs, $jobID );
            }
            wp_reset_postdata();
            $args = array(
                'post_type'      => 'applications',
                'post_status'    => 'publish',
                'posts_per_page' => -1
            );
            $current_user_applications = get_posts( $args );
            foreach ( $current_user_applications as $post ) {
                $candidateid   = $post->post_author;
                $user_info     = get_userdata( $candidateid );
                $jobid         = get_post_meta( $post->ID, 'allication_jobid', true );
                $allication_cv = get_post_meta( $post->ID, 'allication_cv', true );

                if ( in_array( $jobid, $jobs ) ) {
                ?>
                <tr>
                    <td scope="row" width="20%"><a class="candidate-img-a" href="<?php echo get_author_posts_url($candidateid); ?>" ><img src="<?php echo get_avatar_url($candidateid); ?>" alt="" class="img-fluid rounded candidate-img-rounded"/></a>

                        <a class="view-cover-letter-modal-link" data-bs-toggle="modal" data-bs-target="#cover<?php echo esc_html($post->ID); ?>" href="#">
                            <b><i class="fa fa-eye"></i> <?php echo esc_html__('View Cover Letter', 'jxpress-portal'); ?></b>
                        </a>


                        <div class="modal fade" id="cover<?php echo esc_html($post->ID); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">

                                        <h4 class="modal-title"><?php echo esc_html__('Cover Letter', 'jxpress-portal'); ?></h4>
                                        <a href="#" class="btn btn-close btn-default" data-bs-dismiss="modal">
                                            <?php echo esc_html__('Close', 'jxpress-portal'); ?>
                                        </a>
                                    </div>
                                    <div class="modal-body">
                                        <?php
                                        $content_post = get_post($post->ID);
                                        echo $content_post->post_content;
                                        ?>  
                                    </div>
                                </div>
                            </div>
                        </div>

                    </td>
                    <td><a href="<?php echo get_author_posts_url($candidateid); ?>"><?php echo esc_html($user_info->display_name); ?></a></td>
                    <td><?php echo get_the_title($jobid); ?></td>
                    <td><a href="<?php echo $allication_cv; ?>"><i class="fa fa-file-pdf-o"></i> <?php echo esc_html__('Resume', 'jxpress-portal'); ?></a></td>
                    <td>


                        <a data-bs-toggle="modal" title="<?php echo esc_html__('Delete', 'jxpress-portal'); ?>" data-id="<?php echo esc_html($post->ID); ?>" href="#" class="delete-job"   data-bs-target="#confirm-delete<?php echo esc_html($post->ID); ?>"><span><i class="fa fa-trash"></i></span></a>

                        <div class="modal fade" id="confirm-delete<?php echo esc_html($post->ID); ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">  <?php echo esc_html__('Are You Sure?', 'jxpress-portal'); ?></h5>
                                    </div>

                                    <div class="modal-footer">
                                        
                                        <button type="button" class="btn btn-default confirm-delete-application" data-nonce="<?php echo $nonce; ?>" data-id="<?php echo esc_html($post->ID); ?>">  <?php echo esc_html__('Delete', 'jxpress-portal'); ?></button>
                                        <button type="button" class="btn btn-close btn-default" data-bs-dismiss="modal">  <?php echo esc_html__('Cancel', 'jxpress-portal'); ?></button>

                                    </div>
                                </div>
                            </div>
                        </div></td>
                </tr>
                <?php }
            }
            ?>

        </tbody>
    </table> 
       </div>
</div>


