<?php
add_shortcode('jxpressdashboard', 'jxpress_dashboard');

function jxpress_dashboard($atts) {

    if (!is_user_logged_in()) {
        return do_shortcode('[jxpresssignup]');
    }
    if (!jxpress_userrole_exist('candidate') && !jxpress_userrole_exist('employer') && !jxpress_userrole_exist('administrator')) {
        return esc_html__('Insufficient Permission for User Permission', 'jxpress-portal');
    }
    ob_start();
    $portal_data = jxpress_portal_data();
    $account     = $portal_data['myaccount_page'];
    $login       = $portal_data['login_page'];
    $loginurl    = get_permalink($login);

    if ( isset( $_GET['user_tab'] ) ) {
        $activeTab = $_GET['user_tab'];
    } else {
        $activeTab = '';
    }
    ?>
    <div class="row user-panel">
        <div class="col-md-3">
            <div class="jxpress-dashboard-link">
                <h4 class="mb-3"><?php echo esc_html__('My Account', 'jxpress-portal'); ?></h4>
                <?php if (jxpress_userrole_exist('candidate')) { ?>
                    <ul class="list-group ml-0">
                        <li class="list-group-item rounded-0 border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'c-profile' ) {
                                    $profileClass = 'nav-link active';
                                } else {
                                    $profileClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $profileClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=c-profile"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html__('My Profile', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'resume' ) {
                                    $resumeClass = 'nav-link active';
                                } else {
                                    $resumeClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $resumeClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=resume"><i class="fa fa-file" aria-hidden="true"></i> <?php echo esc_html__('My Resume', 'jxpress-portal'); ?></a></li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'favorite-jobs' ) {
                                    $jobsClass = 'nav-link active';
                                } else {
                                    $jobsClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $jobsClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=favorite-jobs"><i class="fa fa-heart" aria-hidden="true"></i> <?php echo esc_html__('Favorite jobs', 'jxpress-portal'); ?></a></li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'applied-jobs' ) {
                                    $appliedClass = 'nav-link active';
                                } else {
                                    $appliedClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $appliedClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=applied-jobs"><i class="fa fa-star" aria-hidden="true"></i> <?php echo esc_html__('Applied jobs', 'jxpress-portal'); ?></a></li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'job-alerts' ) {
                                    $jobalertsClass = 'nav-link active';
                                } else {
                                    $jobalertsClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $jobalertsClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=job-alerts"><i class="fa fa-bell" aria-hidden="true"></i> <?php echo esc_html__('Job Alerts', 'jxpress-portal'); ?></a></li>

                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'cv' ) {
                                    $cvClass = 'nav-link active';
                                } else {
                                    $cvClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $cvClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=cv"><i class="fa fa-envelope" aria-hidden="true"></i> <?php echo esc_html__('CV & Cover Letter', 'jxpress-portal'); ?></a></li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'change-password' ) {
                                    $passwordClass = 'nav-link active';
                                } else {
                                    $passwordClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $passwordClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=change-password"><i class="fa fa-key" aria-hidden="true"></i> <?php echo esc_html__('Change Password', 'jxpress-portal'); ?></a></li>
                        <li class="border-bottom-0 list-group-item border-left-0 border-right-0">
                            <a  href="<?php echo wp_logout_url($loginurl); ?>"><i class="fa fa-sign-out" aria-hidden="true"></i> <?php echo esc_html__('Logout', 'jxpress-portal'); ?></a></li>

                    </ul>
                <?php } ?>
                <?php if (jxpress_userrole_exist('employer')) { ?>
                    <ul class="list-group ml-0">
                        <li class="list-group-item border-left-0  rounded-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'e-profile' ) {
                                    $eprofileClass = 'nav-link active';
                                } else {
                                    $eprofileClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $eprofileClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=e-profile"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html__('My Profile', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'manage-jobs' ) {
                                    $emangejobs = 'nav-link active';
                                } else {
                                    $emangejobs = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $emangejobs ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=manage-jobs"><i class="fa fa-file" aria-hidden="true"></i> <?php echo esc_html__('Manage Jobs', 'jxpress-portal'); ?>
                            </a>
                        </li>
                        <?php if ($portal_data['activate_woocommerce']) { ?>
                            <li class="list-group-item border-left-0 border-right-0">
                                <?php 
                                    if ( $activeTab == 'packages' ) {
                                        $epackages = 'nav-link active';
                                    } else {
                                        $epackages = '';
                                    }
                                ?>
                                <a class="<?php echo esc_attr( $epackages ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=packages"><i class="fa fa-heart" aria-hidden="true"></i> <?php echo esc_html__('Manage Packages', 'jxpress-portal'); ?></a>
                            </li>
                        <?php } ?>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'shortlist-resume' ) {
                                    $eresume = 'nav-link active';
                                } else {
                                    $eresume = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $eresume ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=shortlist-resume"><i class="fa fa-star" aria-hidden="true"></i> <?php echo esc_html__('Applications', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'post-job' ) {
                                    $epjobs = 'nav-link active';
                                } else {
                                    $epjobs = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $epjobs ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=post-job"><i class="fa fa-envelope" aria-hidden="true"></i> <?php echo esc_html__('Post New Job', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'change-password' ) {
                                    $epassword = 'nav-link active';
                                } else {
                                    $epassword = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $epassword ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=change-password"><i class="fa fa-key" aria-hidden="true"></i> <?php echo esc_html__('Change Password', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="border-bottom-0 list-group-item border-left-0 border-right-0 ">
                            <a href="<?php echo wp_logout_url($loginurl); ?>"><i class="fa fa-sign-out" aria-hidden="true"></i> <?php echo esc_html__('Logout', 'jxpress-portal'); ?></a></li>

                    </ul>
                <?php } elseif (jxpress_userrole_exist('administrator')) { ?>
                    <ul class="list-group ml-0">
                        <li class="list-group-item border-left-0  rounded-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'e-profile' ) {
                                    $eprofileClass = 'nav-link active';
                                } else {
                                    $eprofileClass = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $eprofileClass ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=e-profile"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html__('My Profile', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'manage-jobs' ) {
                                    $emangejobs = 'nav-link active';
                                } else {
                                    $emangejobs = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $emangejobs ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=manage-jobs"><i class="fa fa-file" aria-hidden="true"></i> <?php echo esc_html__('Manage Jobs', 'jxpress-portal'); ?>
                            </a>
                        </li>
                        <?php if ($portal_data['activate_woocommerce']) { ?>
                            <li class="list-group-item border-left-0 border-right-0">
                                <?php 
                                    if ( $activeTab == 'packages' ) {
                                        $epackages = 'nav-link active';
                                    } else {
                                        $epackages = '';
                                    }
                                ?>
                                <a class="<?php echo esc_attr( $epackages ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=packages"><i class="fa fa-heart" aria-hidden="true"></i> <?php echo esc_html__('Manage Packages', 'jxpress-portal'); ?></a>
                            </li>
                        <?php } ?>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'shortlist-resume' ) {
                                    $eresume = 'nav-link active';
                                } else {
                                    $eresume = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $eresume ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=shortlist-resume"><i class="fa fa-star" aria-hidden="true"></i> <?php echo esc_html__('Applications', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'post-job' ) {
                                    $epjobs = 'nav-link active';
                                } else {
                                    $epjobs = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $epjobs ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=post-job"><i class="fa fa-envelope" aria-hidden="true"></i> <?php echo esc_html__('Post New Job', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="list-group-item border-left-0 border-right-0">
                            <?php 
                                if ( $activeTab == 'change-password' ) {
                                    $epassword = 'nav-link active';
                                } else {
                                    $epassword = '';
                                }
                            ?>
                            <a class="<?php echo esc_attr( $epassword ); ?>" href="<?php echo get_permalink($account); ?>?user_tab=change-password"><i class="fa fa-key" aria-hidden="true"></i> <?php echo esc_html__('Change Password', 'jxpress-portal'); ?></a>
                        </li>
                        <li class="border-bottom-0 list-group-item border-left-0 border-right-0 ">
                            <a href="<?php echo wp_logout_url($loginurl); ?>"><i class="fa fa-sign-out" aria-hidden="true"></i> <?php echo esc_html__('Logout', 'jxpress-portal'); ?></a></li>
                    </ul>
                <?php } ?>

            </div>
        </div>
        <div class="col-md-9">
            <?php
            if ((isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "c-profile") || (!isset($_REQUEST['user_tab']) && jxpress_userrole_exist('candidate'))) {
                require_once(plugin_dir_path(__FILE__) . 'candidate-profile.php');
            }
            if ((isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "e-profile") || (!isset($_REQUEST['user_tab']) && jxpress_userrole_exist('employer'))) {
                require_once(plugin_dir_path(__FILE__) . 'employer-profile.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "cv") {
                require_once(plugin_dir_path(__FILE__) . 'candidate-cv.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "resume") {
                require_once(plugin_dir_path(__FILE__) . 'candidate-resume.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "change-password") {
                require_once(plugin_dir_path(__FILE__) . 'change-password.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "job-alerts") {
                require_once(plugin_dir_path(__FILE__) . 'job-alerts.php');
            }

            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "packages") {
                require_once(plugin_dir_path(__FILE__) . 'employer-packages.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "favorite-jobs") {
                require_once(plugin_dir_path(__FILE__) . 'favorite-jobs.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "applied-jobs") {
                require_once(plugin_dir_path(__FILE__) . 'applied-jobs.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "shortlist-resume") {
                require_once(plugin_dir_path(__FILE__) . 'shortlist-resume.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "post-job") {
                require_once(plugin_dir_path(__FILE__) . 'post-job.php');
            }
            if (isset($_REQUEST['user_tab']) && $_REQUEST['user_tab'] == "manage-jobs") {
                require_once(plugin_dir_path(__FILE__) . 'manage-jobs.php');
            }
            ?>
        </div>
    </div>
    <?php
    return ob_get_clean();
}
