<?php
add_shortcode('jxpress_job_category_blocks', 'jxpress_job_category_blocks');

function jxpress_job_category_blocks($atts) {
    extract(shortcode_atts(
                    array(
        'job_count' => 1,
        'category_set' => '',
        'columns' => 4,
        'style' => 'style1'
                    ), $atts));

    ob_start(); 
    ?>

    <div class="row <?php echo $style=="style2"?"m-0":"";?>">
        <?php
        if ($category_set != '') {
            $categories = explode(',', $category_set);
            $i=1;
            $row = ceil(count($categories)/$columns);
            $currentrow=1;
            foreach ($categories as $category) {
                $idObj = get_term_by('slug', $category, 'job-category'); 
				if ( ! empty( $idObj ) ) {
                ?>
                <div class="col-md-6 <?php echo $style=="style2"?"p-0":"";?> col-lg-<?php echo 12/$columns;?>">
                    <?php if($style=="style1"){?>
                    <div class="jxpress-category-block rounded">
                        <a href="<?php echo get_term_link($category, 'job-category'); ?>">
                            <i class="fa <?php echo get_term_meta($idObj->term_id, 'prefix_icon', true); ?>"></i> 
                            <h6><?php esc_attr_e($idObj->name); ?></h6>
                            <span class="jobs-count"><?php echo jxpress_get_category_jobcount($idObj->term_id); ?> <?php echo esc_html__('Jobs', 'jxpress'); ?></span>
                        </a>
                    </div>
                    <?php }else{ ?>
                    <div class="jxpress-list-item jxpress-category-block-style2 px-3 py-5 text-center <?php echo $row==$currentrow?'category-last-row':'border-bottom';?>  <?php echo $i==$columns?'end-box':'border-right';?>">
                        <a href="<?php echo get_term_link($category, 'job-category'); ?>">
                            <i class="fa <?php echo get_term_meta($idObj->term_id, 'prefix_icon', true); ?>"></i> 
                            <h6 class="mt-2 mb-0"><?php esc_attr_e($idObj->name); ?></h6>
                            <span class="jobs-count"><?php echo jxpress_get_category_jobcount($idObj->term_id); ?> <?php echo esc_html__('Jobs', 'jxpress'); ?></span>
                        </a>
                    </div>
                    <?php }?>
                </div>
                <?php }
                if($i==$columns)
                {
                    $currentrow++;
                    $i=1;
                }
                else
                {
                    $i++;
                }
            }
        }
        ?>

    </div>




    <?php
    return ob_get_clean();
}
