<?php
add_shortcode('jxpress_featured_job_list', 'jxpress_featured_job_list');

function jxpress_featured_job_list($atts) {

    ob_start();

    global $current_user;
    $user_id    = get_current_user_id();
    $shortlists = get_user_meta( $user_id, 'job_shortlist' );
    extract(
        shortcode_atts(
            array(
                'per_page' => 10,
                'style'    => 'list'
            ),
            $atts
        )
    );

    $second_query = new WP_Query(
        array(
            'post_type'  => 'jobs',
            'meta_query' => array(
                array(
                    'key'     => 'job_featured',
                    'value'   => '1',
                    'compare' => '='
                )
            ),
            'posts_per_page' => $per_page,
        )
    );

    if ( $second_query->have_posts() ) {
        ?>            
        <div class="<?php echo $style == 'list'? 'container border-top border-right mb-3 mtp-2':'';?>">
            <div class="row row-eq-height">
                <?php
                while ( $second_query->have_posts() ) : $second_query->the_post();
                    $job_author_id = get_post_field( 'post_author', get_the_ID() );
                    $job_featured  = get_post_field( 'job_featured', get_the_ID() );
                    $user_info     = get_user_meta( $job_author_id );

                    if ( $job_featured == 'on' || $job_featured == '1' ) {
                    ?>               
                        <?php if ( $style == 'list' ) { ?>
                            <div class="col-md-6 col-lg-12 border border-top-0 border-right-0 text-center text-lg-left table-bg bg-white"> 
                                <div class="row">
                                    <div class="col-lg-2 py-2 my-auto"> 
                                        <div class="block text-center "> 
                                            <a href="<?php echo get_permalink( get_the_ID() ); ?>">                                   
                                                <?php if ( isset( $user_info['wp_full_avatars'] ) && ! empty( $user_info['wp_full_avatars'][0] ) ) { ?>

                                                    <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded bg-white border p-2" alt="<?php echo esc_html( isset( $user_info['user_title'] ) ? $user_info['user_title'][0] : "" ); ?>"/>           

                                                <?php } ?>                                    
                                            </a>
                                        </div>
                                    </div>
                                    <div class="col-lg-5 py-2 my-auto"> 
                                        <h6 class="jxpress-title mb-0"> <a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                        <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                        $selected_values = [];
                                        foreach ($terms as $term) {
                                            $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                            echo '<b><small>' . $jobterm->name . '</small></b>';
                                        }
                                        ?>
                                    </div>
                                    <div class="col-lg text-center py-2 my-auto"> <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                        foreach ($terms as $term) {
                                            ?>
                                            <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                            <?php
                                        }
                                        ?>
                                    </div>
                                    <div class="col-lg text-center py-2 my-auto">
                                        <a href="<?php the_permalink() ?>" class="btn-outline"><?php echo esc_html__('View Job', 'jxpress-portal'); ?></a>
                                    </div> 

                                </div>
                            </div>
                        <?php } else { ?>
                            <div class="col-md-6 col-lg-3 my-3"> 
                                <div class="border h-100 rounded p-3 pt-4"> 
                                    
                                    <a href="#"  class="grid-job-shortlist shortlist shortlist-job text-center  <?php echo esc_html(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "active" : ""); ?>" data-text="<i class='fa fa-heart' aria-hidden='true'></i>" data-id="<?php echo get_the_ID(); ?>"><i class="fa fa-heart" aria-hidden="true"></i></a>

                                    
                                   
                                    <div class="grid-job-type"> <?php
                                            $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                            foreach ($terms as $term) {
                                                ?>
                                        <span class=" color-<?php echo $term->slug; ?>"><b><?php echo $term->name; ?></b></span>
                                                <?php
                                            }
                                            ?>
                                        </div>
                                  
                                       
                                            <div class="block text-center "> <a href="<?php echo get_permalink(get_the_ID()); ?>">                                   
                                                    <?php if (isset($user_info['avatar']) && !empty($user_info['avatar'][0])) { ?>

                                                        <img src="<?php echo $user_info['avatar'][0]; ?>" class="img-fluid rounded bg-white border p-2" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                    <?php } ?>                                    
                                                </a>
                                                
                                                <h6 class="font-weight-bold mt-3 mb-0 job-title-light"> <a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                            
                                            </div>
                                      
                                        
                                            
                                      
                                            <div class="jxpress-dotted-border my-3"></div>
                                            
                                             <?php
                                            $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                            $selected_values = [];
                                            foreach ($terms as $term) {
                                                $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                echo '<b><small class="font-weight-bold text-black">' . $jobterm->name . '</small></b>';
                                            }
                                            ?>
                                            <p><span class="job-place"><i class="fa fa-map-marker"></i> <?php
                                                            $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                            $langs = [];
                                                            foreach ($terms as $term) {
                                                                $jobterm = get_term_by('id', $term->term_id, 'city');
                                                                $langs[] = $jobterm->name;
                                                            }
                                                            echo implode(", ", $langs);
                                                            ?>, <?php
                                                            $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                            $langs = [];
                                                            foreach ($terms as $term) {
                                                                $jobterm = get_term_by('id', $term->term_id, 'country');
                                                                $langs[] = $jobterm->name;
                                                            }
                                                            echo implode(", ", $langs);
                                                            ?></span></p>
                                       <div class="row">
                                      <div class="col-6 my-auto"> 
                                            <a href="<?php the_permalink() ?>" class="btn-outline py-1"><?php echo esc_html__('View Job', 'jxpress-portal'); ?></a>
                                      </div>
                                             <div class="col-6 my-auto text-right"> 
                                            <span class="job-place float-right"><i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo human_time_diff(get_the_time('U'), current_time('timestamp')) . ' ago';?></span>
                                             </div>
                                       </div>
                                   
                                </div>
                            </div>     
                        <?php } 
                    }
                endwhile;
                wp_reset_query();
                ?>
            </div>
        </div>

    <?php } ?>

    <?php
    return ob_get_clean();
}
