<?php
function jxpress_signup_plans($atts) {
    extract(shortcode_atts(
                    array(
        'cols' => 3
                    ), $atts));
    ob_start();
    ?>
    <div class="row">
        <?php
        $col = 12;
        if (isset($cols)) {
            $col = 12 / $cols;
        }

        $args = array(
            'post_type' => 'product',
            'posts_per_page' => -1,
            'tax_query' => array(
                'relation' => 'AND',
                array(
                    'taxonomy' => 'product_type',
                    'field' => 'slug',
                    'terms' => 'jxpress_job_plan',
                ),
            ),
        );
        $plans = new WP_Query($args);
        while ($plans->have_posts()) : $plans->the_post();
            global $product;
            $_product = wc_get_product(get_the_id());
            $active = get_post_meta(get_the_id(), 'listing_highlight', true);
            $listing_days = get_post_meta(get_the_id(), 'listing_days', true);
            $listing_expire = get_post_meta(get_the_id(), 'listing_expire', true);
            ?>
            <div class="col-md-<?php echo $col; ?> mb-2">
                <div class="panel-pricing">
                    <div class="panel-heading text-center"><h3 class="my-3"><?php echo get_the_title(); ?></h3></div>
                    <div class="card-header p-0">
                        <h3 class="display-2 mb-0 text-center font-weight-bold <?php echo $active; ?>">
                            <span class="currency"><?php echo get_woocommerce_currency_symbol(); ?></span>
                            <span class="price-plan-price-bold"><?php echo esc_html( $_product->get_price() ); ?></span>
                            <span class="period">/<?php echo $listing_expire; ?> <?php echo esc_html__('days', 'jxpress-portal'); ?></span>
                        </h3>
                    </div>
                    <?php echo get_the_content(); ?>
                    <div class="panel-footer m-2">
                        <a class="btn btn-lg btn-block btn-default" href="<?php echo get_permalink(wc_get_page_id('checkout')); ?>?add-to-cart=<?php echo get_the_id(); ?>"><?php echo esc_html__('Get Started', 'jxpress-portal'); ?></a>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
        <?php wp_reset_query(); ?>
    </div>
    <?php
    return ob_get_clean();
}
add_shortcode('jxpressplans', 'jxpress_signup_plans');