<?php
add_action('init', 'register_jxpress_product_type');

function register_jxpress_product_type() {

    class WC_Product_package extends WC_Product {

        public function __construct($product) {
            $this->product_type = 'jxpress_job_plan';
            parent::__construct($product);
        }

    }

}

add_filter('product_type_selector', 'add_jxpress_plan');

function add_jxpress_plan($types) {
    $types['jxpress_job_plan'] = __('Jxpress Plan', 'jxpress-portal');
    return $types;
}

add_filter('woocommerce_product_data_tabs', 'jxpress_plan_tab');

function woocommerce_product_class($classname, $product_type) {

    if ($product_type == 'jxpress_job_plan') { // notice the checking here.
        $classname = 'WC_Product_package';
    }

    return $classname;
}

add_filter('woocommerce_product_class', 'woocommerce_product_class', 10, 2);

function jxpress_plan_tab($tabs) {

    $tabs['jxpress_job_plan'] = array(
        'label' => __('Jxpress Plan', 'jxpress-portal'),
        'target' => 'jxpress_product_options',
        'class' => 'show_if_jxpress_job_plan',
    );
    return $tabs;
}

add_action('woocommerce_product_data_panels', 'jxpress_plan_tab_product_tab_content');

function jxpress_plan_tab_product_tab_content() {
    ?><div id='jxpress_product_options' class='panel woocommerce_options_panel'><?php ?>
        <div class='options_group'><?php
    woocommerce_wp_text_input(
            array(
                'id' => 'listing_expire',
                'label' => __('Plan Expire (in days)', 'jxpress-portal'),
                'placeholder' => '',
                'type' => 'number'
            )
    );
    ?></div>
        <div class='options_group'><?php
            woocommerce_wp_text_input(
                    array(
                        'id' => 'total_listing',
                        'label' => __('No of Listing', 'jxpress-portal'),
                        'placeholder' => '',
                        'type' => 'number'
                    )
            );
            ?></div>
         <div class='options_group'><?php
            woocommerce_wp_text_input(
                    array(
                        'id' => 'featured_listing',
                        'label' => __('No of Featured Listing', 'jxpress-portal'),
                        'placeholder' => '',
                        'type' => 'number'
                    )
            );
            ?></div>
        <div class='options_group'><?php
            woocommerce_wp_text_input(
                    array(
                        'id' => 'listing_days',
                        'label' => __('Listing Show(in days)', 'jxpress-portal'),
                        'placeholder' => '',
                        'type' => 'number'
                    )
            );
            ?></div>
        <div class='options_group'><?php
            woocommerce_wp_checkbox(
                    array(
                        'id' => 'listing_highlight',
                        'label' => __('Hilight Plan', 'jxpress-portal'),
                        'placeholder' => '',
                        'type' => 'checkbox'
                    )
            );
            ?></div>
    </div><?php
        }

        add_action('woocommerce_process_product_meta', 'save_jxpress_plan_settings');

        function save_jxpress_plan_settings($post_id) {
            $listing_expire = $_POST['listing_expire'];
            if (!empty($listing_expire)) {
                update_post_meta($post_id, 'listing_expire', esc_attr($listing_expire));
            }
            $total_listing = $_POST['total_listing'];
            if (!empty($total_listing)) {
                update_post_meta($post_id, 'total_listing', esc_attr($total_listing));
            }
            
              $featured_listing = $_POST['featured_listing'];
            if (!empty($total_listing)) {
                update_post_meta($post_id, 'featured_listing', esc_attr($featured_listing));
            }
            
            $listing_days = $_POST['listing_days'];
            if (!empty($listing_days)) {
                update_post_meta($post_id, 'listing_days', esc_attr($listing_days));
            }
            $listing_highlight = $_POST['listing_highlight'];
            if (!empty($listing_highlight)) {
                update_post_meta($post_id, 'listing_highlight', esc_attr($listing_highlight));
            }
        }

        function jxpress_plan_price() {

            if ('product' != get_post_type()) :
                return;
            endif;
            ?>
    <script type='text/javascript'>
        jQuery(document).ready(function () {
            //for Price tab
            jQuery('.product_data_tabs .general_tab').addClass('show_if_jxpress_job_plan').show();
            jQuery('#general_product_data .pricing').addClass('show_if_jxpress_job_plan').show();

        });
    </script>
    <?php
}

add_action('admin_footer', 'jxpress_plan_price');
