<?php
/*
  Plugin Name: Jxpress Portal
  Description: Jxpress Portal.
  Version: 1.0
  Text Domain: jxpress-portal
  Author: webmasterdriver
  Domain Path: /languages
 */

defined( 'ABSPATH' ) or wp_die();

if ( ! defined( 'JXPORT_PLUGIN_URL' ) ) {
    define( 'JXPORT_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'JXPORT_PLUGIN_DIR_PATH' ) ) {
    define( 'JXPORT_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'JXPORT_PLUGIN_BASENAME' ) ) {
    define( 'JXPORT_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
}

if ( ! defined( 'JXPORT_PLUGIN_FILE' ) ) {
    define( 'JXPORT_PLUGIN_FILE', __FILE__ );
}

load_plugin_textdomain( 'jxpress-portal', false, basename( dirname( __FILE__ ) ) . '/languages' ); 
// register custom post type to work with
function fontawesome_dashboard() {
    wp_enqueue_style('fontawesome', 'http:////netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css', '', '4.0.3', 'all');
}

add_action('admin_init', 'fontawesome_dashboard');

function jxpress_admin_style() {

    if (is_admin()) {
        wp_enqueue_style('jxpress-css', plugins_url('/assets/admin/css/admin.css', __FILE__));
        wp_enqueue_script('jxpress-js', plugins_url('/assets/admin/js/admin.js', __FILE__), '1.0.0', '', true);
    }
}

add_action('admin_enqueue_scripts', 'jxpress_admin_style', 10);
add_action('wp_head', 'jxpress_global_variables');

function jxpress_global_variables() {
    $image_url = plugins_url('assets/images/g-pin.png', __FILE__);
    ?>
    <script>
        var gpin = <?php echo json_encode($image_url); ?>;
    </script><?php
}

	
function jxpress_add_elements_scripts($hook) {
    $portal_data = jxpress_portal_data();
    wp_enqueue_script('jquery-ui-datepicker');
    wp_register_style('jquery-ui', '//ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css');
    wp_enqueue_style('jquery-ui');
    
    if ( ! empty( $portal_data['map_api'] ) && $portal_data['map_option'] == 'googlemap' ) {
        wp_enqueue_script('google-map', '//maps.google.com/maps/api/js?key=' . $portal_data['map_api'] . '');
    }

    wp_enqueue_style('jxpress-jqtecss', plugins_url('/assets/css/jquery-te-1.4.0.css', __FILE__));
    wp_enqueue_style('jxpress-chosencss', plugins_url('/assets/css/component-chosen.css', __FILE__));
    wp_enqueue_style('jxpress-fancyboxcss', plugins_url('/assets/css/jquery.fancybox.min.css', __FILE__));
    wp_enqueue_style('jxpresscss', plugins_url('/assets/css/style.css', __FILE__));
    wp_enqueue_style('jxpressresponsive', plugins_url('/assets/css/responsive.css', __FILE__));
    wp_enqueue_script('jxpressjs-validate', plugins_url('/assets/js/jquery.validate.min.js', __FILE__), '1.0.0', '', true);
    wp_enqueue_script('jxpressjs-jqtejs', plugins_url('/assets/js/jquery-te-1.4.0.min.js', __FILE__), '1.0.0', '', true);
    wp_enqueue_script('jxpressjs-select2', plugins_url('/assets/js/chosen.jquery.min.js', __FILE__), '1.0.0', '', true);
    wp_enqueue_script('jxpressjs-toaster', plugins_url('/assets/js/jquery.toaster.js', __FILE__), '1.0.0', '', true);
    wp_enqueue_script('jxpressjs-fancyboxjs', plugins_url('/assets/js/jquery.fancybox.min.js', __FILE__), '1.0.0', '', true);
    wp_enqueue_script('jxpressjs-waypoint', plugins_url('/assets/js/waypoints.min.js', __FILE__), '1.0.0', '', true);
    wp_enqueue_script('jxpressjs-counterjs', plugins_url('/assets/js/jquery.counterup.min.js', __FILE__), '1.0.0', '', true);
    if ( ! empty( $portal_data['map_api'] ) && $portal_data['map_option'] == 'googlemap' ) {
        wp_enqueue_script('jxpress-map', plugins_url('/assets/js/map.js', __FILE__), array('bootstrap'), NULL, TRUE);
    } else {
        wp_enqueue_style('mapbox-gl', 'https://api.mapbox.com/mapbox-gl-js/v2.11.0/mapbox-gl.css' );
        wp_enqueue_script('mapbox-gl', 'https://api.mapbox.com/mapbox-gl-js/v2.11.0/mapbox-gl.js' );
    }
    $portal_data = jxpress_portal_data();

    wp_enqueue_script('jxpressjs', plugins_url('/assets/js/script.js', __FILE__), array( 'jquery', 'bootstrap'), NULL, TRUE);
    wp_localize_script( 'jxpressjs', 'ajax_frontend', 
        array(
            'ajax_url'       => admin_url( 'admin-ajax.php' ),
            'frontend_nonce' => wp_create_nonce( 'front_ajax_nonce' ),
            'map_option'     => $portal_data['map_option'],
        )
    ); 
}

add_action('wp_enqueue_scripts', 'jxpress_add_elements_scripts', 1000);


require_once(plugin_dir_path(__FILE__) . 'inc/functions.php');
require_once(plugin_dir_path(__FILE__) . 'inc/cron.php');
if (file_exists(plugin_dir_path(__FILE__) . 'inc/metabox/init.php')) {
    require_once plugin_dir_path(__FILE__) . 'inc/metabox/init.php';
}

require_once plugin_dir_path(__FILE__) . 'inc/metabox/cmb2-fontawesome-icon-picker-master/cmb2-fontawesome-picker.php';
require_once plugin_dir_path(__FILE__) . 'inc/metabox/cmb_field_map-master/cmb-field-map.php';
require_once(plugin_dir_path(__FILE__) . 'inc/post-types/init.php');
require_once(plugin_dir_path(__FILE__) . 'inc/options/init.php');
require_once(plugin_dir_path(__FILE__) . 'inc/users/init.php');
require_once(plugin_dir_path(__FILE__) . 'inc/jxpress-css.php');
if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    require_once(plugin_dir_path(__FILE__) . 'inc/woocommerce/init.php');
}
require_once(plugin_dir_path(__FILE__) . 'inc/listing-shortcode/init.php');
require_once(plugin_dir_path(__FILE__) . 'templates/init.php');


//VC Editor
require_once plugin_dir_path(__FILE__) . 'inc/vc/init.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/social.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/job-search.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/job-home-search.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/job-by-category.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/job-category-box.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-counter.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-top-employers.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-testimonials.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-blogs.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-icon-block.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-featured-job.php';
require_once plugin_dir_path(__FILE__) . 'inc/vc/templates/jxpress-recent-jobs.php';

// User's data Import
// require_once plugin_dir_path(__FILE__) . 'import/init.php';