<?php
/**
 * The template for displaying Candidate Profile
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package jxpress
 */
get_header();
global $current_user;
$user_id = get_current_user_id();
$shortlists = [];
$author_id = get_post_field('post_author', get_the_ID());
$user_info = get_user_meta($author_id);
$applied_args = array(
    'posts_per_page' => -1,
    'post_type' => 'applications',
    'meta_key' => 'allication_jobid',
    'meta_value' => get_the_ID()
);
$app_query = new WP_Query($applied_args);
$shortlists = get_user_meta($user_id, 'job_shortlist');
?>
<div class="jxpress_job_banner">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">                
                <h1 class="mt-3 mb-0"><?php
                    $tax = $wp_query->get_queried_object();
                    echo $tax->name;
                    ?></h1>    
            </div>  
        </div>
    </div>
</div>
<div id="main-content" class="main-content">
    <div class="area-content">
        <div class="container border-top">
            <?php
            $wpDateFormat = get_option('date_format');
            while (have_posts()) :
                the_post();
               $job_author_id = get_post_field('post_author', get_the_ID());
                            $user_info = get_user_meta($job_author_id);
                ?>
                <div class="row border border-top-0  py-3 map-item" data-latitude="<?php echo get_post_meta(get_the_ID(), 'job_latitude', true); ?>" data-longitude="<?php echo get_post_meta(get_the_ID(), 'job_longitude', true); ?>">


                    <div class="col-12 col-md-2 text-center">  
                        <div class="border py-3 px-2 mb-3 mb-md-0">
                            <a href="<?php echo get_permalink(get_the_ID()); ?>">                                   
                                <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                    <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                <?php } ?>                                  
                            </a>
                        </div>
                    </div>
                    <div class="col-12 col-md-8">
                        <div class="text-shorting">                                           
                            <div class="row jxpress-small">
                                <div class="col-md-8">
                                    <h6 class="jxpress-title mb-0"><a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                    <?php
                                    $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                    $selected_values = [];
                                    foreach ($terms as $term) {
                                        $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                        echo '<b>' . $jobterm->name . '</b>';
                                    }
                                    ?>
                                    <br/> <span><strong><?php echo esc_html__('Salary', 'jxpress-portal'); ?> : </strong> <i class="fa fa-money"></i> 

                                        <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'salary');
                                        $selected_values = [];
                                        foreach ($terms as $term) {
                                            $jobterm = get_term_by('id', $term->term_id, 'salary');
                                            echo $jobterm->name;
                                        }
                                        ?></span>

                                    <i class="ml-3 fa fa-map-marker"></i> <?php
                                    $terms = wp_get_post_terms(get_the_ID(), 'city');
                                    $langs = [];
                                    foreach ($terms as $term) {
                                        $jobterm = get_term_by('id', $term->term_id, 'city');
                                        $langs[] = $jobterm->name;
                                    }
                                    echo implode(", ", $langs);
                                    ?>, <?php
                                    $terms = wp_get_post_terms(get_the_ID(), 'country');
                                    $langs = [];
                                    foreach ($terms as $term) {
                                        $jobterm = get_term_by('id', $term->term_id, 'country');
                                        $langs[] = $jobterm->name;
                                    }
                                    echo implode(", ", $langs);
                                    ?>
                                </div>
                                <div class="col-md-4  my-3 my-md-auto text-center text-md-center">
                                    <?php
                                    $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                    foreach ($terms as $term) {
                                        ?>
                                        <span class="job-type-box  <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                        <?php
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="col-12 col-md-2 text-center my-auto">

                        <a href="#"  class="jxpress-btn-outline  shortlist shortlist-job text-center  <?php echo esc_html(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo get_the_ID(); ?>"><?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>

                    </div>

                </div>

            <?php endwhile; // End of the loop.       ?>
        </div>
    </div>
</div><!-- #primary -->




<?php
get_footer();
