<?php
/**
 * The template for displaying Candidate Profile
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package jxpress
 */
get_header();
global $current_user;
$portal_data = jxpress_portal_data();
$user_id     = get_current_user_id();
$author      = get_queried_object();
$author_id   = $author->ID;
$shortlists  = get_user_meta($user_id, 'candidate_shortlist');
$user_info   = get_user_meta($author_id);
$portal_data = jxpress_portal_data();

$mapbox_key = get_option('mapbox_key');
$map_marker = get_option('map_marker_icon');

if ( empty( $map_marker ) ) {
    $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
}

if ( empty( $mapbox_key ) ) {
    $mapbox_key = 'pk.eyJ1IjoiYWJyYWFvYWx2ZXMiLCJhIjoiY2oxbTRzZXBmMDA1ZjJ3bzI3ODZucTM2dCJ9.AICaNFFp-vS2tD5mEHulmA';
}

?>
<div id="page-title">
    <div class="container">
        <div class="row align-items-center">

            <div class="col-12 ">
                <div class="page-title text-center"><div class="hexagon"></div>
                    <h1 class="mb-0"><?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?></h1>                      

                </div>
            </div>


        </div>
    </div>
</div>

<div id="main-content" class="main-content">
    <div class="area-content">
        <div class="container">
            <div class="row">
            <?php if (is_user_logged_in() ) { ?>
                <div class="col-lg-3 author">
                    <div class="panel-body border p-3">
                        <div class="w-100 text-center">
                            <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                            <?php } ?>
                        </div>
                        <a href="#"  class="btn-outline d-block  w-100 mt-3 shortlist shortlist-resume text-center <?php echo esc_html(is_array($shortlists) && in_array($author_id, $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array($author_id, $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo $author_id; ?>"><?php echo esc_html__(is_array($shortlists) && in_array($author_id, $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>

						<?php if (is_user_logged_in() && (jxpress_userrole_exist('employer') || jxpress_userrole_exist('administrator'))) { 
						if (!empty(get_user_meta($author_id, 'user_cv', true))) { ?>
                            <a class="btn-outline d-block  w-100 mt-3 shortlist text-center" href="<?php echo get_user_meta($author_id, 'user_cv', true); ?>" ><?php echo esc_html__('Download CV', 'jxpress-portal'); ?></a>                                  
                        <?php } }?>


                        <div class="mt-3 text-center text-lg-left">                                           
                            <h5 class="jxpress-title"> <?php echo esc_html__('Hi', 'jxpress-portal'); ?>, <?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?> </h5>
                            <h5 class="jxpress-title my-1"><span><?php echo get_user_meta($author_id, 'user_title', true); ?></span></h5>
                        </div>
                        <div class="candidate_contact_details clearfix text-center text-lg-left">
                            <?php if (!empty(get_the_author_meta('user_email', $author_id)) && $portal_data['candidate_email']) { ?>
                                <span><i class="fa fa-envelope"></i> <a class="jxpress-color" href="mailto:<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>"><?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?></a></span><br/>
                            <?php } ?>
                            <?php if (!empty(get_the_author_meta('user_url', $author_id)) && $portal_data['candidate_website']) { ?>
                                <span><i class="fa fa-chrome"></i> <a class="jxpress-color" href="<?php echo esc_attr(get_the_author_meta('user_url', $author_id)); ?>"><?php echo esc_attr(get_the_author_meta('user_url', $author_id)); ?></a></span><br/>
                            <?php } ?>
                            <?php if (!empty(get_the_author_meta('user_phone', $author_id)) && $portal_data['candidate_phone']) { ?>
                                <span><i class="fa fa-phone"></i> <?php echo get_user_meta($author_id, 'user_phone', true); ?></span><br/>
                            <?php } ?>
                            <?php if (!empty(get_the_author_meta('user_address', $author_id)) && $portal_data['candidate_address']) { ?>
                                <span><i class="fa fa-map-marker"></i> <?php
                                    echo get_user_meta($author_id, 'user_address', true);
                                    ?></span>
                            <?php } ?>
                            <br/>
                            <?php if ($portal_data['candidate_social']) { ?>
                                <?php if (!empty(get_the_author_meta('user_facebook', $author_id))) { ?>
                                    <a href="<?php echo get_the_author_meta('user_facebook', $author_id); ?>" class="jxpress-social-media-button"><i class="fa fa-facebook"></i></a>
                                <?php } ?>
                                <?php if (!empty(get_the_author_meta('user_twitter', $author_id))) { ?>
                                    <a href="<?php echo get_the_author_meta('user_twitter', $author_id); ?>" class="jxpress-social-media-button twitter"><i class="fa fa-twitter"></i></a>
                                <?php } ?>
                                <?php if (!empty(get_the_author_meta('user_linkedin', $author_id))) { ?>
                                    <a href="<?php echo get_the_author_meta('user_linkedin', $author_id); ?>" class="jxpress-social-media-button linke"><i class="fa fa-linkedin"></i></a>
                                <?php } ?>
                                <?php //if (!empty(get_the_author_meta('user_google', $author_id))) { ?>
                                    <!-- <a href="<?php//echo get_the_author_meta('user_google', $author_id); ?>" class="jxpress-social-media-button google"><i class="fa fa-google-plus" aria-hidden="true"></i></a> -->
                                <?php //} ?>
                            <?php } ?>
                        </div>
                    </div>
                    <?php if ($portal_data['candidate_form']) { ?>
                        <div class="panel-body border p-3 mt-3">                       
                            <h5 class="jxpress-title my-1"><?php echo esc_html__('Contact', 'jxpress-portal'); ?> <?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?></h5>

                            <form id="user-message" action="#" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <div class="form-group">                                
                                    <input type="hidden" name="action" value="usermessage">
                                    <input type="hidden" name="subject" value="<?php echo esc_html__('Contact query from profile page', 'jxpress-portal'); ?>">
                                    <input type="hidden" name="uemail" value="<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>">
                                </div>
                                <div class="form-group">
                                    <input type="text" class="form-control" name="u_name" placeholder="<?php echo esc_html__('Full Name', 'jxpress-portal'); ?>" required="">
                                </div>
                                <div class="form-group">
                                    <input type="email" class="form-control"  name="u_email"  placeholder="<?php echo esc_html__('Email Address', 'jxpress-portal'); ?>" required="">
                                </div>
                                <div class="form-group">
                                    <input type="text" class="form-control"  name="u_phone"  placeholder="<?php echo esc_html__('Phone Number', 'jxpress-portal'); ?>" required="">
                                </div>
                                <div class="form-group">
                                    <textarea  class="form-control"  name="u_message"  placeholder="<?php echo esc_html__('Message', 'jxpress-portal'); ?>" required=""></textarea>
                                </div>                       
                                <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Submit Message', 'jxpress-portal'); ?>">
                            </form>
                        </div>
                    <?php } ?>
                    <?php if ($portal_data['candidate_map']) { 
                        $map_lat  = get_user_meta( $author_id, 'user_latitude', true );
                        $map_long = get_user_meta( $author_id, 'user_longitude', true );
                    ?>
                        <div class="mt-3 map-item"  data-latitude="<?php echo get_user_meta($author_id, 'user_latitude', true); ?>" data-longitude="<?php echo get_user_meta($author_id, 'user_longitude', true); ?>">
                            <div id="jxpressmap" class="h-500" data-zoom="5"></div>  
                            <?php
                            $userskills = [];
                            $skills = get_user_meta($author_id, 'user_skills');
                            foreach ($skills as $metajson) {
                                $skill = json_decode($metajson);
                                $userskills[] = $skill->skill_title;
                            }
                            ?>
                            <div class="d-none map-content">
                                <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                    <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                        <a href="<?php echo get_author_posts_url($author_id); ?>">
                                            <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                            <?php } ?>
                                        </a>
                                    </div>
                                    <div class="py-1 px-0"><h6 class="m-0"><?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?> <?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?></h6></div>
                                    <p><?php echo get_user_meta($author_id, 'user_title', true); ?></p>
                                    <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong>  <?php
                                            $term = get_term_by('slug', get_user_meta($author_id, 'user_city', true), 'city');
                                            echo $name = $term->name;
                                            ?>,
                                            <?php
                                            $term = get_term_by('slug', get_user_meta($author_id, 'user_country', true), 'country');
                                            echo $name = $term->name;
                                            ?></span></p>
                                    <p><span><strong><?php echo esc_html__('Skills', 'jxpress-portal'); ?>:</strong> 
                                            <?php
                                            echo implode(", ", $userskills);
                                            ?>
                                        </span></p>
                                </div>
                            </div>
                        </div>
                        <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
                            $candidateFname = esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : "");
                            $candidateLname = esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : "");
                        ?>
                        <script type="text/javascript">
                            mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

                            const map = new mapboxgl.Map({
                                container: 'jxpressmap', // container ID
                                // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                                style: 'mapbox://styles/mapbox/streets-v12', // style URL
                                center: [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>], // starting position [lng, lat]
                                zoom: 14 // starting zoom
                            });
 
                            const geojson = {
                                'type': 'FeatureCollection',
                                'features': [
                                    {
                                        'type': 'Feature',
                                        'geometry': {
                                            'type': 'Point',
                                            'coordinates': [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>]
                                        },
                                        'properties': {
                                            'authorid': '<?php echo get_author_posts_url($author_id); ?>',
                                            'avatar': '<?php echo $user_info['wp_full_avatars'][0]; ?>',
                                            'user_title': '<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>',
                                            'display_name': '<?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?>',
                                            'user_city': '<?php
                                                    $term = get_term_by('slug', get_user_meta($author_id, 'user_city', true), 'city');
                                                    echo $name = $term->name;
                                                    ?>',
                                            'user_country': '<?php
                                                    $term = get_term_by('slug', get_user_meta($author_id, 'user_country', true), 'country');
                                                    echo $name = $term->name;
                                                    ?>',
                                            'first_name': '<?php echo esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : ""); ?>',
                                            'last_name': '<?php echo esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : ""); ?>',
                                            'userskills': '<?php echo implode(", ", $userskills); ?>'
                                        }
                                    }
                                ]
                            };

                            // add markers to map
                            for (const feature of geojson.features) {
                            // create a HTML element for each feature
                            const el = document.createElement('div');
                            el.className = 'marker';
                             
                            // make a marker for each feature and add it to the map
                            new mapboxgl.Marker(el)
                            .setLngLat(feature.geometry.coordinates)
                            .setPopup(
                                new mapboxgl.Popup({ offset: 25 }) // add popups
                                .setHTML(
                                    `<div class="map-content">
                                        <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                            <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                <a href="${feature.properties.authorid}">

                                                        <img src="${feature.properties.avatar}" class="img-fluid rounded" alt="${feature.properties.user_title}"/>           
                                                </a>
                                            </div>
                                            <div class="py-1 px-0"><h6 class="m-0">${feature.properties.first_name} ${feature.properties.last_name}</h6></div>
                                            <p>${feature.properties.user_title}</p>
                                            <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong>  ${feature.properties.user_city},
                                                    ${feature.properties.user_country}</span></p>
                                            <p><span><strong><?php echo esc_html__('Skills', 'jxpress-portal'); ?>:</strong> 
                                                    ${feature.properties.userskills}
                                                </span></p>
                                        </div>
                                    </div>`
                                )
                            )
                            .addTo(map);
                            }

                        </script>
                        <?php 
                            if ( isset( $user_info['wp_full_avatars'][0] ) && ! empty( $user_info['wp_full_avatars'][0] ) ) {
                                $map_marker = $user_info['wp_full_avatars'][0];
                            }
                        ?>
                        <style>
                            .marker {
                                background-image: url('<?php echo $map_marker; ?>')!important;
                            background-size: cover;
                            width: 50px;
                            height: 50px;
                            border-radius: 50%;
                            cursor: pointer;
                            }
                            .mapboxgl-popup {
                            max-width: 200px;
                            }
                            .mapboxgl-popup-content {
                            text-align: center;
                            font-family: 'Open Sans', sans-serif;
                            }
                            button.mapboxgl-popup-close-button {
                                color: #f11212!important;
                                border: 1px solid;
                                padding: 0px 7px!important;
                                border-radius: 4px;
                                font-size: 19px!important;
                            }
                            #jxpressmap {
                                width: 100%;
                                height: 400px;
                            }
                            </style>
                    <?php } } ?>

                </div>
                <div class="col-lg-9">
                    <div class="panel-body profile-section border px-4 py-3">
                        <h4 class="jxpress-title mb-3"><?php echo esc_html__('Basic Information', 'jxpress-portal'); ?></h4>
                        <div class="row">
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-tint"></i> 
                                    <span><?php echo esc_html__('Category', 'jxpress-portal'); ?></span>
                                    <span><small> <?php
                                            $term = get_term_by('slug', get_user_meta($author_id, 'user_category', true), 'job-category');
                                            echo $name = $term->name;
                                            ?> </small></span>
                                </div>

                            </div>
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-briefcase"></i> 
                                    <span><?php echo esc_html__('Experience', 'jxpress-portal'); ?></span>
                                    <span><small><?php
                                            $term = get_term_by('slug', get_user_meta($author_id, 'user_experience', true), 'experience');
                                            echo $name = $term->name;
                                            ?> </small></span>
                                </div>
                            </div>
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-language"></i> 
                                    <span><?php echo esc_html__('Languages', 'jxpress-portal'); ?></span>
                                    <span><small>
                                            <?php
                                            $userlangs = json_decode(get_user_meta($author_id, 'user_languages', true), true);
                                            $langs = [];
                                            foreach ($userlangs as $userlang) {
                                                $term = get_term_by('slug', $userlang, 'language');
                                                $langs[] = $term->name;
                                            }
                                            echo implode(", ", $langs);
                                            ?>
                                        </small></span>
                                </div>                                
                            </div>
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-money"></i> 
                                    <span><?php echo esc_html__('Current Salary', 'jxpress-portal'); ?></span>
                                    <span><small>
                                            <?php
                                            $term = get_term_by('slug', get_user_meta($author_id, 'user_current_salary', true), 'salary');
                                            echo $name = $term->name;
                                            ?>
                                        </small></span>
                                </div>
                            </div>
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-money"></i> 
                                    <span><?php echo esc_html__('Expected Salary', 'jxpress-portal'); ?></span>
                                    <span><small>
                                            <?php
                                            $term = get_term_by('slug', get_user_meta($author_id, 'user_expected_salary', true), 'salary');
                                            echo $name = $term->name;
                                            ?>
                                        </small></span>
                                </div>
                            </div>
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-heart"></i> 
                                    <span><?php echo esc_html__('Age', 'jxpress-portal'); ?></span>
                                    <span><small>
                                            <?php
                                            echo get_user_meta($author_id, 'user_age', true);
                                            ?>
                                        </small></span>
                                </div>                              
                            </div>
                            <div class="col-md-4 p-l">
                                <div class="border text-center information-tip mb-3">
                                    <i class="fa fa-graduation-cap"></i> 
                                    <span><?php echo esc_html__('Qualifications', 'jxpress-portal'); ?></span>
                                    <span><small>
                                            <?php
                                            $userlangs = json_decode(get_user_meta($author_id, 'user_qualification', true), true);
                                            $langs = [];
                                            foreach ($userlangs as $userlang) {
                                                $term = get_term_by('slug', $userlang, 'qualification');
                                                $langs[] = $term->name;
                                            }
                                            echo implode(", ", $langs);
                                            ?>
                                        </small></span>
                                </div>
                            </div>

                        </div>
                        <?php
                        $videoUID = get_user_meta($author_id, 'user_youtube_video', true);
                        if (!empty($videoUID)) {
                            ?>  <hr/>
                            <div class="row mt-3">
                                <div class="col-md-12">

                                    <div class="embed-responsive embed-responsive-16by9">
                                        <iframe class="embed-responsive-item" src="//www.youtube.com/embed/<?php echo $videoUID; ?>"></iframe>
                                    </div>



                                </div></div>
                            <hr/>
                        <?php } ?>

                        <?php
                        $videoVID = get_user_meta($author_id, 'user_vimeo_video', true);
                        if (!empty($videoVID)) {
                            ?>  <hr/>
                            <div class="row mt-3">
                                <div class="col-md-12">



                                    <div class="embed-responsive embed-responsive-16by9">
                                        <iframe class="embed-responsive-item" src="http://player.vimeo.com/video/<?php echo $videoVID; ?>"></iframe>
                                    </div>

                                </div></div>
                            <hr/>
                        <?php } ?>


                        <h4 class="jxpress-title mt-4 mb-1"><?php echo esc_html__('About Me:', 'jxpress-portal'); ?></h4>
                        <?php echo get_user_meta($author_id, 'description', true); ?>

                        <hr/>

                        <div class="page-heading">
                            <h4 class="jxpress-title mb-3"><?php echo esc_html__('Education Information', 'jxpress-portal'); ?></h4>
                            <div class="row">
                                <?php
                                $educations = get_user_meta($author_id, 'user_educations');

                                foreach ($educations as $education) {
                                    $education = json_decode($education);
                                    ?>  
                                    <div class="contact_details col-md-12 p-l">
                                        <div class="jxpress-timeline">
                                            <span class="jxpress-list-circle"> <i class="fa fa-graduation-cap"></i></span>
                                            <h6 class="mb-1"><?php echo esc_html($education->education_institute); ?></h6>
                                            <b><?php echo esc_html($education->education_title); ?></b><br/>
                                            <b><?php echo esc_html($education->education_from); ?> - <?php echo esc_html($education->education_to); ?></b><br/>                           
                                            <?php echo $education->education_description; ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>     

                            <hr/>
                        </div>
                        <div class="page-heading">
                            <h4 class="jxpress-title mb-3"><?php echo esc_html__('Experience', 'jxpress-portal'); ?></h4>
                            <div class="row">
                                <?php
                                $experiences = get_user_meta($author_id, 'user_experiences');

                                foreach ($experiences as $experience) {
                                    $experience = json_decode($experience);
                                    ?>  
                                    <div class="contact_details col-md-12 p-l">
                                        <div class="jxpress-timeline">
                                            <span class="jxpress-list-circle"> <i class="fa fa-briefcase"></i> </span>
                                            <h6 class="mb-1"><?php echo esc_html($experience->experience_company); ?></h6>                                        
                                            <b><?php echo esc_html($experience->experience_from); ?> - <?php echo esc_html($experience->experience_to); ?></b><br/>                           
                                            <?php echo $experience->experience_description; ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>     

                            <hr/>
                        </div>


                        <div class="page-heading">
                            <h4 class="jxpress-title mb-3"><?php echo esc_html__('Awards', 'jxpress-portal'); ?></h4>
                            <div class="row">
                                <?php
                                $awards = get_user_meta($author_id, 'user_awards');

                                foreach ($awards as $award) {
                                    $award = json_decode($award);
                                    ?>  
                                    <div class="contact_details col-md-12 p-l">
                                        <div class="jxpress-timeline">
                                            <span class="jxpress-list-circle"><i class="fa fa-trophy" aria-hidden="true"></i></span>
                                            <h6 class="mb-1"><?php echo esc_html($award->award_title); ?> <small>(<?php echo esc_html($award->award_year); ?>)</small></h6>                                        

                                            <?php echo $award->award_description; ?>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>     

                            <hr/>
                        </div>

                        <div class="page-heading">
                            <h4 class="jxpress-title mb-3"><?php echo esc_html__('Skills', 'jxpress-portal'); ?></h4>
                            <div class="row">

                                <?php
                                $skills = get_user_meta($author_id, 'user_skills');

                                foreach ($skills as $skill) {
                                    $skill = json_decode($skill);
                                    ?>   <div class="contact_details col-md-12 p-l mb-3">
                                        <div class="progress">
                                            <div class="progress-bar py-2 progress-bar-success" role="progressbar" aria-valuenow="<?php echo $skill->skill_percentage; ?>"
                                                 aria-valuemin="0" aria-valuemax="100" style="width:<?php echo $skill->skill_percentage; ?>%;">
                                                     <?php echo $skill->skill_title; ?>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>     

                            <hr/>
                        </div>

                        <div class="page-heading">
                            <h4 class="jxpress-title mb-3"><?php echo esc_html__('Works', 'jxpress-portal'); ?></h4>
                            <div class="row">

                                <?php
                                $works = get_user_meta($author_id, 'user_works');

                                foreach ($works as $work) {
                                    $work = json_decode($work);
                                    ?>   
                                    <div class="contact_details col-md-6 col-lg-6 col-xl-4 p-l mb-4">
                                        <div class="modImage">
                                            <img src="<?php echo $work->work_image; ?>" alt="<?php echo $work->work_title; ?>" class="portfolioImage img-fluid">
                                            <div class="container">
                                                <div class="row candidate-work-anchor">
                                                    <div class="col-6 p-0 border-right">
                                                        <a data-fancybox="images" href="<?php echo $work->work_image; ?>" class="fancybox btn  rounded-0  btn-block"><small><?php echo esc_html__('View Large', 'jxpress-portal'); ?></small></a>
                                                    </div>
                                                    <div class="col-6 p-0 text-right">
                                                        <a href="<?php echo $work->work_url; ?>" class="btn rounded-0 btn-block"><small><?php echo esc_html__('More Details', 'jxpress-portal'); ?></small></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>
                            </div>                             
                        </div>
                    </div>
                </div>
            <?php } else { ?>
                <div class="col-lg-12">
                    <p><?php esc_html_e( 'You have to login first to see the candidate profile.', 'jxpress-portal' ); ?></p>
                </div>
            <?php } ?>
            </div>
        </div>
    </div>
</div><!-- #primary -->
<?php
get_footer();
