<?php
/**
 * The template for displaying Candidate Profile
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package jxpress
 */
get_header();
global $current_user;
$portal_data = jxpress_portal_data();
$user_id = get_current_user_id();
$author = get_queried_object();
$author_id = $author->ID;
$shortlists = get_user_meta($user_id, 'candidate_shortlist');
$user_info = get_user_meta($author_id);
$portal_data = jxpress_portal_data();

$mapbox_key = get_option('mapbox_key');
$map_marker = get_option('map_marker_icon');

if ( empty( $map_marker ) ) {
    $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
}

if ( empty( $mapbox_key ) ) {
    $mapbox_key = 'pk.eyJ1IjoiYWJyYWFvYWx2ZXMiLCJhIjoiY2oxbTRzZXBmMDA1ZjJ3bzI3ODZucTM2dCJ9.AICaNFFp-vS2tD5mEHulmA';
}

?>
<div id="page-title">
    <div class="container">
        <div class="row align-items-center">

            <div class="col-12 ">
                <div class="page-title text-center"><div class="hexagon"></div>
                    <h1 class="mb-0"><?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?></h1>                      

                </div>
            </div>


        </div>
    </div>
</div>

<div id="main-content" class="main-content">
    <div class="area-content">
        <div class="container">
            <div class="row py-4">
                <div class="col-md-8 clearfix">
                    <div class="row">
                        <div class="col-md-3 p-l">
                            <div class="block border p-3 text-center">
                                <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                    <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                <?php } ?>
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="candidate_title mt-0">                                           
                                <h5><?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?> </h5>
                                <span><?php echo get_user_meta($author_id, 'user_title', true); ?></span>
                            </div>
                            <?php if ($portal_data['employer_social']) { ?>
                                <?php if (!empty(get_the_author_meta('user_facebook', $author_id))) { ?>
                                    <a href="<?php echo get_the_author_meta('user_facebook', $author_id); ?>" class="jxpress-social-media-button"><i class="fa fa-facebook"></i></a>
                                <?php } ?>
                                <?php if (!empty(get_the_author_meta('user_twitter', $author_id))) { ?>
                                    <a href="<?php echo get_the_author_meta('user_twitter', $author_id); ?>" class="jxpress-social-media-button twitter"><i class="fa fa-twitter"></i></a>
                                <?php } ?>
                                <?php if (!empty(get_the_author_meta('user_linkedin', $author_id))) { ?>
                                    <a href="<?php echo get_the_author_meta('user_linkedin', $author_id); ?>" class="jxpress-social-media-button linke"><i class="fa fa-linkedin"></i></a>
                                <?php } ?>
                                <?php //if (!empty(get_the_author_meta('user_google', $author_id))) { ?>
                                   <!--  <a href="<?php// echo get_the_author_meta('user_google', $author_id); ?>" class="jxpress-social-media-button google"><i class="fa fa-google-plus" aria-hidden="true"></i></a> -->
                                <?php //} ?>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="candidate_contact_details clearfix">
                        <?php if (!empty(get_the_author_meta('user_address', $author_id)) && $portal_data['employer_address']) { ?>
                            <span><i class="fa fa-map-marker"></i> <?php
                                echo get_user_meta($author_id, 'user_address', true);
                                ?></span>
                        <?php } ?>
                        <?php if (!empty(get_the_author_meta('user_phone', $author_id)) && $portal_data['employer_phone']) { ?>
                            <br/><span><i class="fa fa-phone"></i> <?php echo get_user_meta($author_id, 'user_phone', true); ?></span>
                        <?php } ?>
                        <?php if (!empty(get_the_author_meta('user_email', $author_id)) && $portal_data['employer_email']) { ?>
                            <br/><span><i class="fa fa-envelope jxpress-color"></i> <a class="jxpress-color" href="mailto:<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>"><?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?></a></span>
                        <?php } ?>
                        <?php if (!empty(get_the_author_meta('user_url', $author_id)) && $portal_data['employer_website']) { ?>
                            <br/><span><i class="fa fa-chrome jxpress-color"></i> <a class="jxpress-color" href="<?php echo esc_attr(get_the_author_meta('user_url', $author_id)); ?>"><?php echo esc_attr(get_the_author_meta('user_url', $author_id)); ?></a></span>
                        <?php } ?>

                    </div>
                </div>
            </div>


            <div class="row profile-section mt-3">
                <div class="<?php echo ($portal_data['employer_form'] || $portal_data['employer_map'])?'col-lg-8':'col-12';?>">
                    <div class="panel-body border p-3 mb-3">

                        <h4 class="jxpress-title mb-3"><?php echo esc_html__('Company Overview', 'jxpress-portal'); ?></h4>
                        <?php echo get_user_meta($author_id, 'description', true); ?>                        
                    </div>
                    <?php
                    $videoUID = get_user_meta($author_id, 'user_youtube_video', true);
                    if (!empty($videoUID)) {
                        ?>  
                        <div class="row mt-3">
                            <div class="col-md-12">

                                <div class="embed-responsive embed-responsive-16by9">
                                    <iframe class="embed-responsive-item" src="//www.youtube.com/embed/<?php echo $videoUID; ?>"></iframe>
                                </div>



                            </div></div>
                        <hr/>
                    <?php } ?>

                    <?php
                    $videoVID = get_user_meta($author_id, 'user_vimeo_video', true);
                    if (!empty($videoVID)) {
                        ?>  
                        <div class="row mt-3">
                            <div class="col-md-12">



                                <div class="embed-responsive embed-responsive-16by9">
                                    <iframe class="embed-responsive-item" src="http://player.vimeo.com/video/<?php echo $videoVID; ?>"></iframe>
                                </div>

                            </div></div>
                        <hr/>
                    <?php } ?>

                    <?php
                    $args = array(
                        'post_type' => 'jobs',
                        'author' => $author_id,
                        'posts_per_page' => -1 // no limit
                    );
                    $second_query = new WP_Query($args);

                    if ($second_query->have_posts()) {
                        ?>
                        <h5 class="jxpress-title mb-2"><?php echo esc_html__('Employer Jobs', 'jxpress-portal'); ?></h5>
                        <div class="container border-top border-right mb-3 mtp-2">
                            <div class="row">
                                <?php
                                while ($second_query->have_posts()) : $second_query->the_post();
                                    $job_author_id = get_post_field('post_author', get_the_ID());
                                    $user_info = get_user_meta($job_author_id);
                                    ?>
                                    <div class="col-md-6 col-lg-12 border border-top-0 border-right-0 text-center text-lg-left table-bg"> 
                                        <div class="row">
                                            <div class="col-lg-2 py-2 my-auto"> 
                                                <div class="block text-center "> <a href="<?php echo get_permalink(get_the_ID()); ?>">                                   
                                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                            <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded bg-white border p-2" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                        <?php } ?>                                    
                                                    </a>
                                                </div>
                                            </div>
                                            <div class="col-lg-5 py-2 my-auto"> 
                                                <h6 class="jxpress-title mb-0"> <a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                                <?php
                                                $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                $selected_values = [];
                                                foreach ($terms as $term) {
                                                    $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                    echo '<b><small>' . $jobterm->name . '</small></b>';
                                                }
                                                ?>
                                            </div>
                                            <div class="col-lg text-center py-2 my-auto"> <?php
                                                $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                                foreach ($terms as $term) {
                                                    ?>
                                                    <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                                    <?php
                                                }
                                                ?>
                                            </div>
                                            <div class="col-lg text-center py-2 my-auto">
                                                <a href="<?php the_permalink() ?>" class="btn-outline"><?php echo esc_html__('View Job', 'jxpress-portal'); ?></a>
                                            </div> 

                                        </div>
                                    </div>
                                    <?php
                                endwhile;
                                wp_reset_query();
                                ?>
                            </div>
                        </div>
                    <?php } ?>



                </div> 
                <?php if($portal_data['employer_form'] || $portal_data['employer_map']){?>
                <div class="col-lg-4">
                    <?php if ($portal_data['employer_form']) { ?>
                        <div class="panel-body border p-3">
                            <div class="candidate_title  block1">
                                <h5 class="jxpress-title my-1"><?php echo esc_html__('Contact', 'jxpress-portal'); ?> <?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?></h5>
                            </div> 
                            <form id="user-message" action="#" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                <div class="form-group">
                                    <p class="status alert-warning px-2 mb-0"></p> 
                                    <input type="hidden" name="action" value="usermessage">
                                    <input type="hidden" name="subject" value="<?php echo esc_html__('Contact query from profile page', 'jxpress-portal'); ?>">
                                    <input type="hidden" name="uemail" value="<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>">
                                </div>
                                <div class="form-group">
                                    <input type="text" class="form-control" name="u_name" placeholder="<?php echo esc_html__('Full Name', 'jxpress-portal'); ?>" required="">
                                </div>
                                <div class="form-group">
                                    <input type="email" class="form-control"  name="u_email"  placeholder="<?php echo esc_html__('Email Address', 'jxpress-portal'); ?>" required="">
                                </div>
                                <div class="form-group">
                                    <input type="text" class="form-control"  name="u_phone"  placeholder="<?php echo esc_html__('Phone Number', 'jxpress-portal'); ?>" required="">
                                </div>
                                <div class="form-group">
                                    <textarea  class="form-control"  name="u_message"  placeholder="<?php echo esc_html__('Message', 'jxpress-portal'); ?>" required=""></textarea>
                                </div>                       
                                <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Submit Message', 'jxpress-portal'); ?>">
                            </form>
                        </div>
                    <?php } ?>
                    <?php if ($portal_data['employer_map']) { ?>
                        <div class="panel-body border p-2 mt-3">
                            <div class="map mt-3 map-item" data-latitude="<?php echo get_user_meta($author_id, 'user_latitude', true); ?>" data-longitude="<?php echo get_user_meta($author_id, 'user_longitude', true); ?>">
                                <div class="d-none map-content">
                                    <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                        <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                            <a href="<?php echo get_author_posts_url($author_id); ?>">
                                                <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                    <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                <?php } ?>
                                            </a>
                                        </div>
                                        <div class="py-1 px-0"><h6 class="m-0"><?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?></h6></div>
                                        <p><?php echo get_user_meta($author_id, 'user_title', true); ?></p>
                                        <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php echo get_user_meta($author_id, 'user_city', true); ?>, <?php echo get_user_meta($author_id, 'user_country', true); ?></span></p>

                                    </div>
                                </div>
                                <div id="jxpressmap" class="h-300" data-zoom="5"></div>


                            </div>

                        </div>
                    <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
                            $map_lat  = get_user_meta( $author_id, 'user_latitude', true );
                            $map_long = get_user_meta( $author_id, 'user_longitude', true );

                            $candidateFname = esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : "");
                            $candidateLname = esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : "");
                        ?>
                        <script type="text/javascript">
                            mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

                            const map = new mapboxgl.Map({
                                container: 'jxpressmap', // container ID
                                // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                                style: 'mapbox://styles/mapbox/streets-v12', // style URL
                                center: [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>], // starting position [lng, lat]
                                zoom: 14 // starting zoom
                            });
 
                            const geojson = {
                                'type': 'FeatureCollection',
                                'features': [
                                    {
                                        'type': 'Feature',
                                        'geometry': {
                                            'type': 'Point',
                                            'coordinates': [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>]
                                        },
                                        'properties': {
                                            'authorid': '<?php echo get_author_posts_url($author_id); ?>',
                                            'avatar': '<?php echo $user_info['wp_full_avatars'][0]; ?>',
                                            'user_title': '<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>',
                                            'display_name': '<?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?>',
                                            'user_city': '<?php echo get_user_meta($author_id, 'user_city', true); ?>',
                                            'user_country': '<?php echo get_user_meta($author_id, 'user_country', true); ?>',
                                        }
                                    }
                                ]
                            };

                            // add markers to map
                            for (const feature of geojson.features) {
                            // create a HTML element for each feature
                            const el = document.createElement('div');
                            el.className = 'marker';
                             
                            // make a marker for each feature and add it to the map
                            new mapboxgl.Marker(el)
                            .setLngLat(feature.geometry.coordinates)
                            .setPopup(
                                new mapboxgl.Popup({ offset: 25 }) // add popups
                                .setHTML(
                                    `<div class=" map-content">
                                    <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                        <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                            <a href="${feature.properties.authorid}">

                                                <img src="${feature.properties.avatar}" class="img-fluid rounded" alt="${feature.properties.user_title}"/>           
                                            </a>
                                        </div>
                                        <div class="py-1 px-0"><h6 class="m-0">${feature.properties.display_name}</h6></div>
                                        <p>${feature.properties.user_title}</p>
                                        <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> ${feature.properties.user_city}, ${feature.properties.user_country}</span></p>

                                    </div>
                                </div>
                                `
                                )
                            )
                            .addTo(map);
                            }

                        </script>
                        <?php 
                            if ( isset( $user_info['wp_full_avatars'][0] ) ) {
                                $map_marker = $user_info['wp_full_avatars'][0];
                            } 
                        ?>
                        <style>
                            .marker {
                                background-image: url('<?php echo $map_marker; ?>') !important;
                                background-size: cover;
                                width: 50px;
                                height: 50px;
                                border-radius: 50%;
                                cursor: pointer;
                            }
                            .mapboxgl-popup {
                                max-width: 200px;
                            }
                            .mapboxgl-popup-content {
                                text-align: center;
                                font-family: 'Open Sans', sans-serif;
                            }
                            button.mapboxgl-popup-close-button {
                                color: #f11212!important;
                                border: 1px solid;
                                padding: 0px 7px!important;
                                border-radius: 4px;
                                font-size: 19px!important;
                            }
                            #jxpressmap {
                                width: 100%;
                                height: 400px;
                            }
                        </style>
                    <?php } } ?>
                </div>
                <?php } ?>
            </div>
        </div>  
    </div>
</div><!-- #primary -->
<?php
get_footer();
