<?php
/**
 * The template for displaying Candidate Profile
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package jxpress
 */
get_header();
global $current_user;
$portal_data = jxpress_portal_data();
$portal_data = jxpress_portal_data();
$user_id = get_current_user_id();
$shortlists = [];
$author_id = get_post_field('post_author', get_the_ID());
$user_info = get_user_meta($author_id);
$applied_args = array(
    'posts_per_page' => -1,
    'post_type' => 'applications',
    'meta_key' => 'allication_jobid',
    'meta_value' => get_the_ID()
);
$app_query = new WP_Query($applied_args);
$shortlists = get_user_meta($user_id, 'job_shortlist');

$mapbox_key = get_option('mapbox_key');
$map_marker = get_option('map_marker_icon');

if ( empty( $map_marker ) ) {
    $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
}

if ( empty( $mapbox_key ) ) {
    $mapbox_key = 'pk.eyJ1IjoiYWJyYWFvYWx2ZXMiLCJhIjoiY2oxbTRzZXBmMDA1ZjJ3bzI3ODZucTM2dCJ9.AICaNFFp-vS2tD5mEHulmA';
}

?>
<div class="jxpress_job_banner">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <?php
                $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                foreach ($terms as $term) {
                    ?>
                    <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                    <?php
                }
                ?>
                <h1 class="mt-3 mb-0"><?php the_title(); ?></h1>    
            </div>  
        </div>
    </div>
</div>
<div id="main-content" class="main-content">
    <div class="area-content">
        <div class="container">
            <?php
            $wpDateFormat = get_option('date_format');
            while (have_posts()) :
                the_post();
                ?>
                <div class="row">
                    <div class="<?php echo ($portal_data['job_company'] || $portal_data['job_form'] || $portal_data['job_map'])? 'col-lg-9':'col-12';?>">
                        <div class="panel-body border p-3">
                            <div class="row">
                                <div class="col-md-3 p-l mb-3">
                                    <div class="block text-center border p-3">
                                        <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                            <img src="<?php $singleJobImg = $user_info['wp_full_avatars'][0]; echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                        <?php } ?>                                        
                                    </div>
                                    <a href="#"  class="abc btn-outline d-block  w-100 mt-3 shortlist shortlist-job text-center  <?php echo esc_html(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "active" : ""); ?>" data-text="<?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlist" : "Shortlisted",'jxpress-portal'); ?>" data-id="<?php echo get_the_ID(); ?>"><?php echo esc_html__(is_array($shortlists) && in_array(get_the_ID(), $shortlists) ? "Shortlisted" : "Shortlist",'jxpress-portal'); ?></a>
                                    <?php
                                    $expirydate = get_post_meta(get_the_ID(), 'job_expire', true);
                                    if (!empty(is_user_logged_in()) && !empty(jxpress_userrole_exist('candidate') || jxpress_userrole_exist('administrator'))) {
									if ($portal_data['job_apply']) {
                                        if ((strtotime($expirydate) >= strtotime(date($wpDateFormat))) || empty($expirydate)) {
                                            ?>
                                            <a  <?php echo $app_query->have_posts() ? '' : 'data-bs-toggle="modal" data-bs-target="#apply-now"'; ?> href="javascript:;"  class="abc w-100 d-block btn-outline mt-2 shortlist job-apply text-center  <?php echo esc_html($app_query->have_posts() ? "active" : ""); ?>" data-text="<?php echo esc_html__('Applied', 'jxpress-portal'); ?>" data-id="<?php echo get_the_ID(); ?>">
                                                <?php echo esc_html__($app_query->have_posts() ? "Applied" : "Apply Now", 'jxpress-portal'); ?>
                                            </a>
                                        <?php } else {
                                            ?>
                                            <div class="text-center mt-3 bg-success text-white">
                                                <?php echo esc_html__('Job Expired', 'jxpress-portal'); ?>
                                            </div>
                                            <?php
                                        }
                                    }
									}
                                    ?>

                                </div>
                                <div class="col-md-9">                                   
                                    <div class="job_title candidate_title">
                                        <h5 class="jxpress-title my-1"><?php
                                            $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                            $selected_values = [];
                                            foreach ($terms as $term) {
                                                $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                echo '<span>' . $jobterm->name . '</span>';
                                            }
                                            ?></h5>
                                    </div>
                                    <div class="row mt-2">
                                        <div class="col-md-4">
                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-briefcase"></i> 
                                                <span><?php echo esc_html__('Experience', 'jxpress-portal'); ?></span>
                                                <span><small><?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'experience');
                                                        $selected_values = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'experience');
                                                            echo $jobterm->name;
                                                        }
                                                        ?> </small></span>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-money"></i>
                                                <span><?php echo esc_html__('Salary', 'jxpress-portal'); ?></span>
                                                <span><small><?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'salary');
                                                        $selected_values = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'salary');
                                                            echo $jobterm->name;
                                                        }
                                                        ?> 
                                                    </small></span>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-clock-o"></i>
                                                <span><?php echo esc_html__('Posted', 'jxpress-portal'); ?></span>
                                                <span><small><?php echo human_time_diff(get_the_time('U'), current_time('timestamp')) . ' ago'; ?></small></span>
                                            </div>


                                        </div>

                                        <div class="col-md-4">

                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-industry"></i>
                                                <span><?php echo esc_html__('Industry', 'jxpress-portal'); ?></span>
                                                <span><small>
                                                        <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'industries');
                                                        $selected_values = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'industries');
                                                            echo $jobterm->name;
                                                        }
                                                        ?>
                                                    </small></span>
                                            </div>                                           



                                        </div>

                                        <div class="col-md-4">

                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-language"></i>
                                                <span><?php echo esc_html__('Languages', 'jxpress-portal'); ?></span>
                                                <span><small>
                                                        <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'language');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'language');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?>
                                                    </small></span>
                                            </div> 
                                        </div>

                                        <div class="col-md-4">
                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-user-o"></i>
                                                <span><?php echo esc_html__('Gender', 'jxpress-portal'); ?></span>
                                                <span><small>
                                                        <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'gender');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'gender');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?>
                                                    </small></span>
                                            </div> 
                                        </div>

                                        <div class="col-md-4">
                                            <div class="border text-center information-tip mb-3">
                                                <i class="fa fa-graduation-cap"></i>
                                                <span><?php echo esc_html__('Qualification', 'jxpress-portal'); ?></span>
                                                <span><small>
                                                        <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'qualification');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'qualification');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?>
                                                    </small></span>
                                            </div> 
                                        </div>
                                        <div class="col-md-8">
                                            <?php if ($portal_data['job_address']) { ?>
                                                <div class="border text-center information-tip mb-3">
                                                    <i class="fa fa-map-marker"></i>
                                                    <span><?php echo esc_html__('Address', 'jxpress-portal'); ?></span>
                                                    <span><small>
                                                            <?php echo get_post_meta(get_the_ID(), 'job_address', true); ?>
                                                        </small></span>
                                                </div> 
                                            <?php } ?>

                                        </div>
                                    </div>
                                </div>
                            </div>

                            <h4 class="mt-4 mb-1"><?php echo esc_html__('Job Description', 'jxpress-portal'); ?></h4>
                            <div class="profile-section">           
                                <?php the_content(); ?>                 

                            </div>
                        </div>                       

                        <?php
                        $terms = get_the_terms($post->ID, 'job-category', 'jxpress-portal');
                        $term_ids = wp_list_pluck($terms, 'term_id');
                        $second_query = new WP_Query(array(
                            'post_type' => 'jobs',
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'job-category',
                                    'field' => 'id',
                                    'terms' => $term_ids,
                                    'operator' => 'IN' //Or 'AND' or 'NOT IN'
                                )),
                            'posts_per_page' => 5,
                            'orderby' => 'rand',
                            'post__not_in' => array($post->ID)
                        ));

                        if ($second_query->have_posts()) {
                            ?>
                            <h5 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Similar  Jobs', 'jxpress-portal'); ?></h5>
                            <div class="container border-top border-right mb-3 mtp-2">
                                <div class="row">
                                    <?php
                                    while ($second_query->have_posts()) : $second_query->the_post();
                                        $job_author_id = get_post_field('post_author', get_the_ID());
                                        $user_info = get_user_meta($job_author_id);
                                        ?>
                                        <div class="col-md-6 col-lg-12 border border-top-0 border-right-0 text-center text-lg-left table-bg"> 
                                            <div class="row">
                                                <div class="col-lg-2 py-2 my-auto"> 
                                                    <div class="block text-center "> <a href="<?php echo get_permalink(get_the_ID()); ?>">                                   
                                                            <?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                                <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded bg-white border p-2" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                            <?php } ?>                                    
                                                        </a>
                                                    </div>
                                                </div>
                                                <div class="col-lg-5 py-2 my-auto"> 
                                                    <h6 class="jxpress-title mb-0"> <a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                                    <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                    $selected_values = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                        echo '<b><small>' . $jobterm->name . '</small></b>';
                                                    }
                                                    ?>
                                                </div>
                                                <div class="col-lg text-center py-2 my-auto"> <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                                    foreach ($terms as $term) {
                                                        ?>
                                                        <span class="job-type-box <?php echo $term->slug; ?>"><?php echo $term->name; ?></span>
                                                        <?php
                                                    }
                                                    ?>
                                                </div>
                                                <div class="col-lg text-center py-2 my-auto">
                                                    <a href="<?php the_permalink() ?>" class="btn-outline"><?php echo esc_html__('View Job', 'jxpress-portal'); ?></a>
                                                </div> 

                                            </div>
                                        </div>
                                        <?php
                                    endwhile;
                                    wp_reset_query();
                                    ?>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                    <?php if ($portal_data['job_company'] || $portal_data['job_form'] || $portal_data['job_map']){?>
                    <div class="col-lg-3 author">
                        <?php if ($portal_data['job_company']) { ?>
                            <div class="panel-body border p-3 mb-3">
                                <h5 class="jxpress-title"><?php echo esc_html__('Company Profile', 'jxpress-portal'); ?></h5>
                                <h5 class="jxpress-title my-1">                                           
                                    <a href="<?php echo get_author_posts_url($author_id); ?>" > <span><?php echo esc_attr(get_the_author_meta('display_name', $author_id)); ?></span> </a>                           
                                </h5>
                                <?php if (get_option('employer_social')) { ?>
                                    <div class="candidate_contact_details d-block clearfix">
                                        <?php if (!empty(get_the_author_meta('user_facebook', $author_id))) { ?>
                                            <a href="<?php echo get_the_author_meta('user_facebook', $author_id); ?>" class="jxpress-social-media-button"><i class="fa fa-facebook"></i></a>
                                        <?php } ?>
                                        <?php if (!empty(get_the_author_meta('user_twitter', $author_id))) { ?>
                                            <a href="<?php echo get_the_author_meta('user_twitter', $author_id); ?>" class="jxpress-social-media-button twitter"><i class="fa fa-twitter"></i></a>
                                        <?php } ?>
                                        <?php if (!empty(get_the_author_meta('user_linkedin', $author_id))) { ?>
                                            <a href="<?php echo get_the_author_meta('user_linkedin', $author_id); ?>" class="jxpress-social-media-button linke"><i class="fa fa-linkedin"></i></a>
                                        <?php } ?>
                                        <?php //if (!empty(get_the_author_meta('user_google', $author_id))) { ?>
                                           <!--  <a href="<?php //echo get_the_author_meta('user_google', $author_id); ?>" class="jxpress-social-media-button google"><i class="fa fa-google-plus" aria-hidden="true"></i></a> -->
                                        <?php// } ?>
                                    </div>
                                <?php } ?>
                                <div class="candidate_contact_details d-block mt-3 clearfix">
                                    <?php if (!empty(get_the_author_meta('user_email', $author_id)) && get_option('employer_email')) { ?>
                                        <span><i class="fa fa-envelope jxpress-color"></i> <a class="jxpress-color" href="mailto:<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>"><?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?></a></span><br/>
                                    <?php } ?>
                                    <?php if (!empty(get_the_author_meta('user_url', $author_id)) && get_option('employer_website')) { ?>
                                        <span><i class="fa fa-chrome jxpress-color"></i> <a class="jxpress-color" href="<?php echo esc_attr(get_the_author_meta('user_url', $author_id)); ?>"><?php echo esc_attr(get_the_author_meta('user_url', $author_id)); ?></a></span><br/>
                                    <?php } ?>
                                    <?php if (!empty(get_the_author_meta('user_phone', $author_id)) && get_option('employer_phone')) { ?>
                                        <span><i class="fa fa-phone"></i> <?php echo get_user_meta($author_id, 'user_phone', true); ?></span><br/>
                                    <?php } ?>
                                    <?php if (!empty(get_the_author_meta('user_address', $author_id)) && get_option('employer_address')) { ?>
                                        <span><i class="fa fa-map-marker"></i> <?php
                                            echo get_user_meta($author_id, 'user_address', true);
                                            ?></span>
                                    <?php } ?>
                                </div>
                            </div>
                        <?php } ?>
                        <?php if ($portal_data['job_form']) { ?>
                            <div class="panel-body border p-3 mb-3">
                                <h5 class="jxpress-title">
                                    <?php echo esc_html__('Send a Query', 'jxpress-portal'); ?>
                                </h5> 
                                <form id="user-message" action="#" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                    <div class="form-group">
                                        <p class="status alert-warning px-2 mb-0"></p> 
                                        <input type="hidden" name="action" value="usermessage">
                                        <input type="hidden" name="subject" value="<?php echo esc_html__('Contact query from job', 'jxpress-portal'); ?> <?php echo get_the_title(); ?>">
                                        <input type="hidden" name="uemail" value="<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>">
                                    </div>
                                    <div class="form-group">
                                        <input type="text" class="form-control" name="u_name" placeholder="<?php echo esc_html__('Full Name', 'jxpress-portal'); ?>" required="">
                                    </div>
                                    <div class="form-group">
                                        <input type="email" class="form-control"  name="u_email"  placeholder="<?php echo esc_html__('Email Address', 'jxpress-portal'); ?>" required="">
                                    </div>
                                    <div class="form-group">
                                        <input type="text" class="form-control"  name="u_phone"  placeholder="<?php echo esc_html__('Phone Number', 'jxpress-portal'); ?>" required="">
                                    </div>
                                    <div class="form-group">
                                        <textarea  class="form-control"  name="u_message"  placeholder="<?php echo esc_html__('Message', 'jxpress-portal'); ?>" required=""></textarea>
                                    </div>                       
                                    <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Submit Message', 'jxpress-portal'); ?>">
                                </form>
                            </div>
                        <?php } ?>
                        <?php if ($portal_data['job_map']) { ?>
                            <div class="panel-body border p-3 mb-3">
                                <div class="map mt-3 map-item"  data-latitude="<?php echo get_post_meta(get_the_ID(), 'job_latitude', true); ?>" data-longitude="<?php echo get_post_meta(get_the_ID(), 'job_longitude', true); ?>">
                                    <div class="d-none map-content">
                                        <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                            <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                <a href="<?php echo get_permalink(get_the_ID()); ?>"><?php if (isset($user_info['wp_full_avatars']) && !empty($user_info['wp_full_avatars'][0])) { ?>

                                                        <img src="<?php echo $user_info['wp_full_avatars'][0]; ?>" class="img-fluid rounded" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           

                                                    <?php } ?></a>
                                            </div>
                                            <div class="py-1 px-0"><h6 class="m-0"><?php echo get_the_title(); ?></h6></div>
                                            <p> <?php
                                                $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                $selected_values = [];
                                                foreach ($terms as $term) {
                                                    $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                    echo '<b>' . $jobterm->name . '</b>';
                                                }
                                                ?></p>
                                            <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                    $langs = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'city');
                                                        $langs[] = $jobterm->name;
                                                    }
                                                    echo implode(", ", $langs);
                                                    ?>, <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                    $langs = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'country');
                                                        $langs[] = $jobterm->name;
                                                    }
                                                    echo implode(", ", $langs);
                                                    ?></span></p>

                                        </div>
                                    </div>

                                    <div id="jxpressmap" class="h-300" data-zoom="5"></div>  
                                </div>
                            </div>
                            <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
                            $map_lat  = get_post_meta( get_the_ID(), 'job_latitude', true );
                            $map_long = get_post_meta( get_the_ID(), 'job_longitude', true );

                            $candidateFname = esc_html(isset($user_info['first_name']) ? $user_info['first_name'][0] : "");
                            $candidateLname = esc_html(isset($user_info['last_name']) ? $user_info['last_name'][0] : "");
                        ?>
                        <script type="text/javascript">
                            mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

                            const map = new mapboxgl.Map({
                                container: 'jxpressmap', // container ID
                                // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                                style: 'mapbox://styles/mapbox/streets-v12', // style URL
                                center: [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>], // starting position [lng, lat]
                                zoom: 14 // starting zoom
                            });
 
                            const geojson = {
                                'type': 'FeatureCollection',
                                'features': [
                                    {
                                        'type': 'Feature',
                                        'geometry': {
                                            'type': 'Point',
                                            'coordinates': [<?php echo esc_attr( $map_long ); ?>, <?php echo esc_attr( $map_lat ); ?>]
                                        },
                                        'properties': {
                                            'link': '<?php echo get_permalink(get_the_ID()); ?>',
                                            'avatar': '<?php echo isset( $singleJobImg ) ? $singleJobImg : ''; ?>',
                                            'user_title': '<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>',
                                            'title': '<?php echo get_the_title(); ?>',
                                            'category': '<?php
                                                $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                                $selected_values = [];
                                                foreach ($terms as $term) {
                                                    $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                                    echo '<b>' . $jobterm->name . '</b>';
                                                }
                                                ?>',
                                            'location': '<?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                    $langs = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'city');
                                                        $langs[] = $jobterm->name;
                                                    }
                                                    echo implode(", ", $langs);
                                                    ?>, <?php
                                                    $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                    $langs = [];
                                                    foreach ($terms as $term) {
                                                        $jobterm = get_term_by('id', $term->term_id, 'country');
                                                        $langs[] = $jobterm->name;
                                                    }
                                                    echo implode(", ", $langs);
                                                    ?>'
                                        }
                                    }
                                ]
                            };

                            // add markers to map
                            for (const feature of geojson.features) {
                            // create a HTML element for each feature
                            const el = document.createElement('div');
                            el.className = 'marker';
                             
                            // make a marker for each feature and add it to the map
                            new mapboxgl.Marker(el)
                            .setLngLat(feature.geometry.coordinates)
                            .setPopup(
                                new mapboxgl.Popup({ offset: 25 }) // add popups
                                .setHTML(
                                    `<div class=" map-content">
                                        <div class="googleinfo-image text-center text-lg-left lis-info lis-relative">
                                            <div class="lis-grediant grediant-tb-light lis-relative modImage rounded">
                                                <a href="${feature.properties.link}">

                                                    <img src="${feature.properties.avatar}" class="img-fluid rounded" alt="${feature.properties.user_title}"/>           

                                                </a>
                                            </div>
                                            <div class="py-1 px-0"><h6 class="m-0">${feature.properties.title}</h6></div>
                                            <p> ${feature.properties.category}</p>
                                            <p><span><strong><?php echo esc_html__('Location', 'jxpress-portal'); ?>:</strong> ${feature.properties.location}</span></p>

                                        </div>
                                    </div>`
                                )
                            )
                            .addTo(map);
                            }

                        </script>
                        <?php 
                            if ( isset( $singleJobImg ) && ! empty( $singleJobImg ) ) {
                                $map_marker = isset( $singleJobImg ) ? $singleJobImg : '';
                            } 
                        ?>
                        <style>
                            .marker {
                                background-image: url('<?php echo $map_marker; ?>')!important;
                                background-size: cover;
                                width: 50px;
                                height: 50px;
                                border-radius: 50%;
                                cursor: pointer;
                            }
                            .mapboxgl-popup {
                                max-width: 200px;
                            }
                            .mapboxgl-popup-content {
                                text-align: center;
                                font-family: 'Open Sans', sans-serif;
                            }
                            button.mapboxgl-popup-close-button {
                                color: #f11212!important;
                                border: 1px solid;
                                padding: 0px 7px!important;
                                border-radius: 4px;
                                font-size: 19px!important;
                            }
                            #jxpressmap {
                                width: 100%;
                                height: 400px;
                            }
                        </style>

                        <?php } } ?>
                    </div>
<?php } ?>
                </div>
                <?php if (get_option('job_apply')) { ?>
                    <!-- Modal -->
                    <div id="apply-now" class="modal fade" role="dialog">
                        <div class="modal-dialog">

                            <!-- Modal content-->
                            <div class="modal-content">
                                <div class="modal-header">

                                    <h4 class="modal-title"><?php echo esc_html__('APPLY FOR JOB', 'jxpress-portal'); ?></h4><a href="#" data-dismiss="modal"><i class="fa fa-times" aria-hidden="true"></i></a>
                                </div>
                                <div class="modal-body">
                                    <form id="job-apply" action="#" method="post" novalidate="novalidate" enctype="multipart/form-data">
                                        <div class="form-group">
                                            <p class="status alert-warning px-2 mb-0"></p> 
                                            <input type="hidden" name="action" value="jobapply">
                                            <input type="hidden" name="jobid"  value="<?php echo get_the_ID(); ?>">
                                            <input type="hidden" name="uemail" value="<?php echo esc_attr(get_the_author_meta('user_email', $author_id)); ?>">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" class="form-control" name="u_name" placeholder="<?php echo esc_html__('Full Name*', 'jxpress-portal'); ?>" required="">
                                        </div>
                                        <div class="form-group">
                                            <input type="email" class="form-control"  name="u_email"  placeholder="<?php echo esc_html__('Email Address*', 'jxpress-portal'); ?>" required="">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" class="form-control"  name="u_phone"  placeholder="<?php echo esc_html__('Phone Number*', 'jxpress-portal'); ?>" required="">
                                        </div>
                                        <div class="form-group">
                                            <textarea  class="form-control"  name="u_message"  placeholder="<?php echo esc_html__('Cover Letter*', 'jxpress-portal'); ?>" required=""></textarea>
                                        </div> 
                                        <div class="form-group">
                                            <?php echo esc_html__('CV*', 'jxpress-portal'); ?>
                                            <input type="file" id="cv" name="user_cv" required="" class="file form-control"  accept=".doc, .docx, .rft, .pdf">     
                                        </div> 
                                        <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Apply Now', 'jxpress-portal'); ?>">
                                    </form>
                                </div>

                            </div>

                        </div>
                    </div>

                <?php } ?>
            <?php endwhile; // End of the loop.       ?>
        </div>
    </div>
</div><!-- #primary -->




<?php
get_footer();
